function AsyncJobList(_1){
this.asyncJob=_1;
this.currentJob=null;
this.currentJobIndex=0;
var _2=this;
this.asyncJob.onSuccess=function(_3){
_2._handleSuccess(_3);
};
this.asyncJob.onError=function(_4){
_2._handleError(_4);
};
this.jobs=[];
this.result=null;
};
AsyncJobList.prototype.setResult=function(_5){
this.result=_5;
};
AsyncJobList.prototype.addJob=function(_6,_7){
this.jobs.push({request:_6,callback:_7});
};
AsyncJobList.prototype.setProgressHandler=function(_8){
this.showProgress(false);
this.progressHandler=_8;
};
AsyncJobList.prototype.execute=function(_9){
if(_9){
AsyncJobList.log.warn("AsyncJobList.execute : parameter is depracated.");
this.progressHandler=_9;
}
this.showProgress(true);
this.currentJobIndex=-1;
var _a=this;
setTimeout(function(){
_a._executeNext();
},0);
};
AsyncJobList.prototype._executeNext=function(){
this.currentJobIndex++;
if(this.currentJobIndex>=this.jobs.length){
if(this.onSuccess){
this.onSuccess.call(this,this.result);
}
this.showProgress(false);
return false;
}
var _b=this.jobs[this.currentJobIndex];
this.currentJob=_b;
var _c=_b.request;
if(typeof _b.request=="function"){
_c=_b.request(this.result);
}
this.asyncJob.startAsync(_c,null,true);
return true;
};
AsyncJobList.prototype._handleSuccess=function(_d){
this.setResult(_d);
if(this.currentJob.callback){
this.currentJob.callback(_d);
}
this._executeNext();
};
AsyncJobList.prototype._handleError=function(_e){
this.showProgress(false);
if(this.onError){
this.onError.call(this,_e);
}
};
AsyncJobList.prototype.showProgress=function(_f){
if(this.progressHandler){
if(_f==null){
_f=true;
}
this.progressHandler.show(this,_f);
if(!_f){
this.progressHandler=null;
}
}
};
AsyncJobList.log=Logger.getLogger("AsyncJobList");
