function FacebookApi(){
this.cacheMap=new PreferencesCache("fb_");
this.cacheMap.setMemoryLimit(65536);
this.changeListeners={};
this.popup=null;
this.updateTimerId=null;
};
FacebookApi.prototype.login=function(_1){
validateParams(_1,["email","password","onSuccess","onError"]);
this.popup=new LoadingPopup(pr_loading);
this.popup.show(this,true);
this.loginRequest=_1;
var _2=this;
var _3=function(){
var _4={method:"auth.login",email:_1.email,password:_1.password};
var _5=new AsyncJob(new FacebookBroker());
_5.onSuccess=function(_6){
_2._sucessfullLogin(_1);
};
_5.onError=function(){
_2._loginFailed.apply(_2,arguments);
};
_5.startAsync(_4,null,true);
};
var _7=(WrtHelper.isWrt5OrLater())?5:3;
FBAPIBridge.getProductionKey(_7,function(_8){
FacebookManager.api_key=_8.key;
FacebookManager.secret=_8.secret;
_3();
},function(){
_2._loginFailed(lbl_miniview_error);
});
};
FacebookApi.prototype.getUserInfo=function(){
Debug.assert(this.userInfo);
return this.userInfo;
};
FacebookApi.prototype._generateQuery=function(_9){
var _a="select uid from user where uid in ";
if(_9.uids){
_a+="("+_9.uids.join(",")+") ";
}else{
_a+="(select uid2 from friend where uid1 = "+FacebookManager.getSessionUid()+") ";
}
if(_9.filterByName){
var _b="lower('"+_9.filterByName+"')";
_a+=" AND (strpos(lower(first_name), "+_b+") = 0 or strpos(lower(last_name), "+_b+") = 0) ";
}
if(_9.condition){
_a+="AND ("+_9.condition+") ";
}
var _c=" order by "+_9.orderBy;
if(_9.order){
_c+=" "+_9.order;
}
_a+=_c;
return _a;
};
FacebookApi.prototype.findFriends=function(_d){
validateParams(_d,["onSuccess","onError","filter","offset","limit"]);
var _e=this._createNewJob(_d);
var _d={method:"users.search",query:_d.filter,limit:_d.limit,start:_d.offset};
_e.addJob(_d);
_e.execute();
};
FacebookApi.prototype.getFriendList=function(_f){
validateParams(_f,["onSuccess","onError","offset","limit","orderBy"]);
var _10=_f.cacheKey&&!_f.filterByName;
var _11=_f.cacheKey;
var _12=this.cacheMap.get(FacebookApi.PAGINATION_CACHE_KEY)||{};
var _13=this;
if(_10&&!_f.nocache){
var _14=_12[_11];
if(_14){
var _15=true;
for(var i=0;i<_14.length;i++){
if(!this._ensureIsFriend(_14[i],false)){
_15=false;
break;
}
}
if(_15){
var _17=_14.length;
var _18=_f.onSuccess;
_f.uids=_14.slice(_f.offset,_f.offset+_f.limit);
_f.onSuccess=function(_19){
_19.friendsCount=_17;
_18(_19);
};
return this.getFriendInfo(_f);
}
}
}
var _1a=new AsyncJobList(new AsyncJob(new FacebookBroker()));
_1a.nocache=_f.nocache;
_1a.onSuccess=function(_1b){
_f.onSuccess(_1b);
};
_1a.onError=function(){
_f.onError.apply(this,arguments);
};
if(_f.needsPhone){
var _1c=_f.nocache?null:this.cacheMap.get("uidsWithPhones");
if(_1c){
_f.uids=_1c;
}else{
var _1d={method:"users.getContactInfo",friends:1};
_1a.addJob(_1d,function(_1e){
var _1f=[];
var idx=0;
for(var i=0;i<_1e.length;i++){
var _22=_1e[i];
if(_22.phone||_22.cell){
_1f[idx++]=_22.uid;
}
}
_13.cacheMap.put("uidsWithPhones",_1f,FacebookApi.CONTACTS_TIMEOUT);
_f.uids=_1f;
});
}
}
var _23=function(){
var _24=_13._generateQuery(_f);
return {method:"fql.query",query:_24};
};
_1a.addJob(_23,function(_25){
if(!_25.length){
_1a.setResult([]);
return;
}
var _26=new Array(_25.length);
for(var i=0;i<_25.length;i++){
_26[i]=_25[i].uid;
_13._ensureIsFriend(_25[i].uid,true);
}
if(_10){
_12[_11]=_26;
_13.cacheMap.put(FacebookApi.PAGINATION_CACHE_KEY,_12,FacebookApi.PAGINATION_CACHE_TIMEOUT);
}
var ret=_26.slice(_f.offset,_f.offset+_f.limit);
ret.friendsCount=_26.length;
_13._resolveUids(_1a,ret);
});
_1a.setProgressHandler(this._extractLoader(_f,pr_retrieving_friends));
_1a.execute();
};
FacebookApi.prototype._resolveUids=function(_29,_2a){
var ret=new Array(_2a.length);
ret.friendsCount=_2a.friendsCount;
var _2c=[];
var _2d={};
for(var i=0;i<_2a.length;i++){
var uid=_2a[i];
var _30=_29.nocache?null:this.cacheMap.get("fr_"+uid);
if(!_30){
_2d[uid]=i;
_2c.push(uid);
continue;
}
ret[i]=_30;
}
if(_2c.length===0){
_29.setResult(ret);
FacebookApi.log.info("Loaded users data from cache. Uids: "+_2a);
return;
}
var _31=[{method:"users.getInfo",uids:_2c,fields:FacebookManager.PARAMS_FRIENDS_INFO},{method:"users.getContactInfo",uids:_2c}];
var _32=this;
_29.addJob(_31,function(_33){
var _34=_33[0];
var _35=_33[1];
Debug.assert(_34.length===_35.length,"Info length was: "+_34.length+", Contacts: "+_35.length);
for(i=0;i<_34.length;i++){
var uid=_34[i].uid;
Debug.assert(uid===_35[i].uid,"uids must match.");
var idx=_2d[uid];
Debug.assert(!ret[idx],"index already taken");
ret[idx]=_32.updateUserContactInfo(_34[i],_35[i]);
}
_29.setResult(ret);
});
};
FacebookApi.prototype.getFriendInfo=function(_38){
validateParams(_38,["uids","onSuccess","onError"]);
var _39=false;
if(_38.fields&&_38.fields.length){
_39=true;
}
var _3a=_38.uids;
var ret=new Array(_3a.length);
var _3c=_38.reload||_39||_38.nocache;
for(var i=0;!_3c&&i<_3a.length;i++){
var _3e=this.cacheMap.get("fr_"+_3a[i]);
if(!_3e){
_3c=true;
break;
}
ret[i]=_3e;
}
if(!_3c){
_38.onSuccess(ret);
return;
}
var _3f=[{method:"users.getInfo",uids:_3a,fields:((_39)?_38.fields:FacebookManager.PARAMS_FRIENDS_INFO)},{method:"users.getContactInfo",uids:_3a}];
var _40=this;
var _41=new AsyncJob(new FacebookBroker());
_41.onSuccess=function(_42){
if(_39){
_38.onSuccess(_42);
return;
}
var _43=_42[0];
var _44=_42[1];
var _45=new Array(_43.length);
for(var i=0;i<_43.length;i++){
var _47=_43[i];
var _48=_44[i];
_45[i]=_40.updateUserContactInfo(_47,_48);
}
_38.onSuccess(_45);
};
_41.onError=function(){
_38.onError.apply(this,arguments);
};
_41.startAsync(_3f,this._extractLoader(_38,pr_updating),true,true);
};
FacebookApi.prototype._sucessfullLogin=function(_49){
var _4a=new XMLHttpRequest();
_4a.open("GET","http://fb.link.nokia.com/mobiwgz",true);
_4a.onreadystatechange=function(){
if(this.readyState!==4){
return;
}
FacebookApi.log.info("Updated FB statistics with status: "+this.status);
};
_4a.send(null);
var _4b=[];
var _4c=this;
var _4d=widget.preferenceForKey("cachedUserId");
var _4e=FacebookManager.getSessionUid();
if(_4d!=_4e){
FacebookApi.log.info("A different user logged in");
this.cacheMap.clear();
}
this.friends=this.cacheMap.get("friendIds");
this.userInfo=this.cacheMap.get("userInfo");
widget.setPreferenceForKey(FacebookManager.getSessionUid(),"cachedUserId");
this.cacheMap.remove(FacebookApi.NOTIFICATIONS);
if(FacebookApi.POLL_NOTIFICATIONS){
this.updateTimerId=setTimeout(function(){
facebook.refreshNotifications();
},1000);
}
if(!this.userInfo||!this.friends){
_4b=[{method:"users.getInfo",uids:FacebookManager.getSessionUid(),fields:FacebookManager.PARAMS_FRIENDS_INFO},{method:"friends.get"}];
}else{
this.popup.show(this,false);
_49.onSuccess(this.userInfo);
delete this.loginRequest;
return;
}
var _4f=new AsyncJob(new FacebookBroker());
_4f.onSuccess=function(_50){
var _51=_50[0][0];
_4c.cacheMap.put("userInfo",_51,FacebookApi.USER_CACHE_TIMEOUT);
_4c.userInfo=_51;
_4c.cacheMap.put("fr_"+_51.uid,_51,FacebookApi.USER_CACHE_TIMEOUT);
var _52=_50[1];
_4c._friendsIdsRecieved(_52);
};
_4f.onError=function(){
_4c._loginFailed.apply(_4c,arguments);
};
_4f.startAsync(_4b,null,true);
};
FacebookApi.prototype._loginFailed=function(){
this.popup.show(this,false);
this.loginRequest.onError.apply(this,arguments);
this.loginRequest=null;
if(this.updateTimerId){
clearTimeout(this.updateTimerId);
this.updateTimerId=null;
}
};
FacebookApi.prototype._friendsIdsRecieved=function(_53){
FacebookApi.log.debug("Recieved friend ids.");
if(_53&&_53.sort){
_53.sort();
this.friends=_53;
}else{
this.friends=[];
}
this.cacheMap.put("friendIds",_53,FacebookApi.USER_CACHE_TIMEOUT);
var _54=0;
var _55=[];
this.popup.show(this,false);
this.loginRequest.onSuccess(this.userInfo);
};
FacebookApi.prototype._ensureIsFriend=function(uid,_57){
var _58=uid.toString();
var low=0;
var _5a=this.friends.length-1;
while(low<=_5a){
var mid=Math.floor(low+(_5a-low)/2);
Debug.assert(typeof mid=="number");
if(this.friends[mid]>_58){
_5a=mid-1;
}else{
if(this.friends[mid]<_58){
low=mid+1;
}else{
return true;
}
}
}
FacebookApi.log.warn("Friend not found is cache. UID: "+_58);
this.cacheMap.remove(FacebookApi.PAGINATION_CACHE_KEY);
if(_57){
this.friends.splice(low-1,0,_58);
this.cacheMap.put("friendIds",this.friends,FacebookApi.USER_CACHE_TIMEOUT);
}
return false;
};
FacebookApi.prototype.isFriend=function(_5c){
validateParams(_5c,["onSuccess","onError","uid"]);
if(!this.friends){
_5c.onSuccess(false);
}
var _5d=false;
for(var i=0;i<this.friends.length;i++){
if(_5c.uid==this.friends[i]){
_5d=true;
break;
}
}
_5c.onSuccess(_5d);
};
FacebookApi.prototype.getFriendsCount=function(){
return this.friends.length;
};
FacebookApi.prototype._getFriendsIdsFailed=function(_5f){
this.popup.show(this,false);
this.loginRequest.onError(_5f);
};
FacebookApi.prototype._getFriendsRequestSuccess=function(_60){
var _61=this;
if(_60!=null){
FacebookApi.log.debug("Recieved friends data: "+JSON.stringify(_60));
var _62=_60[0];
var _63=_60[1];
for(var i=0;i<_62.length;i++){
var _65=_62[i];
var _66=_63[i];
_61.updateUserContactInfo(_65,_66);
}
}
if(this.friendRequests.length===0){
this.popup.show(this,false);
this.loginRequest.onSuccess(this.userInfo);
return;
}
var _67=this.friendRequests.pop();
var _68=new AsyncJob(new FacebookBroker());
_68.onSuccess=function(_69){
_61._getFriendsRequestSuccess(_69);
};
_68.onError=function(_6a){
_61._getFriendsIdsFailed(_6a);
};
_68.startAsync(_67,null,true);
};
FacebookApi.prototype.updateUserContactInfo=function(_6b,_6c){
if(!_6b.pic){
delete _6b.pic;
}
if(!_6b.pic_square){
delete _6b.pic_square;
}
if(_6b.uid!=_6c.uid){
FacebookApi.log.warn("Wrong contact data: "+_6b.uid+" != "+_6c.uid);
return _6b;
}
if(_6c.email){
_6b.email=_6c.email;
}
if(_6c.cell){
_6b.cell=_6c.cell;
}
if(_6c.phone){
_6b.phone=_6c.phone;
}
if(!_6b.name&&_6c.name){
_6b.name=_6c.name;
}
var key="fr_"+_6b.uid;
var old=this.cacheMap.get(key);
if(old&&old.status&&_6b.status&&old.status.time!=_6b.status.time){
FacebookApi.log.info("Clearing pagination cache");
this.cacheMap.remove(FacebookApi.PAGINATION_CACHE_KEY);
}
this.cacheMap.put(key,_6b,FacebookApi.USER_CACHE_TIMEOUT);
return _6b;
};
FacebookApi.prototype._extractLoader=function(_6f,_70){
if(_6f.noLoader){
return null;
}
if(_6f.loader){
return _6f.loader;
}
if(_70){
return new LoadingPopup(_70);
}
return null;
};
FacebookApi.prototype._createNewJob=function(_71,_72,_73,_74){
if(!_71.nocache&&_72){
var _75=_72?this.cacheMap.get(_72):null;
if(_75){
if(!_71.noCallbackFromCache){
setTimeout(function(){
_71.onSuccess(_75);
},0);
}
return null;
}
}
var _76=new AsyncJobList(new AsyncJob(new FacebookBroker()));
var _77=this;
_76.onSuccess=function(_78){
if(_72){
if(FacebookApi.log.isDebugEnabled()){
FacebookApi.log.debug("Storing "+_72+" into cache");
}
var _79=_77.changeListeners[_72];
if(_79){
for(var i=0;i<_79.length;i++){
_79[i](_78);
}
}
_77.cacheMap.put(_72,_78,_73);
}
_71.onSuccess(_78);
};
_76.onError=function(){
_71.onError.apply(this,arguments);
};
_76.setProgressHandler(this._extractLoader(_71,_74));
return _76;
};
FacebookApi.prototype.registerChangeListener=function(key,_7c){
var _7d=this.changeListeners[key];
if(!_7d){
_7d=[];
this.changeListeners[key]=_7d;
}
_7d.push(_7c);
};
FacebookApi.prototype.getNotifications=function(_7e){
validateParams(_7e,["onSuccess","onError"]);
var _7f=FacebookApi.NOTIFICATIONS;
var _80=FacebookApi.UPDATE_PERIOD;
var _81=this._createNewJob(_7e,_7f,_80);
if(!_81){
return;
}
this.invalidateMessagesCache();
var _82={method:"notifications.get"};
_81.addJob(_82);
_81.execute();
};
FacebookApi.prototype.refreshNotifications=function(){
var _83={onSuccess:function(){
FacebookApi.log.info("Notifications successfull updated");
if(FacebookApi.POLL_NOTIFICATIONS){
facebook.updateTimerId=setTimeout(function(){
facebook.refreshNotifications();
},FacebookApi.UPDATE_PERIOD);
}
},onError:function(err){
FacebookApi.log.warn("Failed to refresh notifications");
if(FacebookApi.POLL_NOTIFICATIONS){
facebook.updateTimerId=setTimeout(function(){
facebook.refreshNotifications();
},FacebookApi.UPDATE_PERIOD);
}
},nocache:true};
if(this.updateTimerId){
clearTimeout(this.updateTimerId);
this.updateTimerId=null;
}
this.getNotifications(_83);
};
FacebookApi.prototype.markMessagesAsRead=function(_85){
validateParams(_85,["onSuccess","onError","tid"]);
var _86=this._createNewJob(_85);
this.invalidateMessagesCache();
var _87={method:"mailbox.markRead",tid:_85.tid};
_86.addJob(_87);
_86.execute();
};
FacebookApi.prototype._removeFromCache=function(uid){
this.cacheMap.remove(FacebookApi.PAGINATION_CACHE_KEY);
this.cacheMap.remove("fr_"+uid);
};
FacebookApi.prototype.getNewsFeed=function(_89){
validateParams(_89,["onSuccess","onError"]);
var _8a=WrtHelper.isWrt5OrLater()?"news.feed":null;
var _8b=60*15;
var _8c=this._createNewJob(_89,_8a,_8b,pr_retrievingnews);
if(!_8c){
return;
}
var _8d={method:"newsfeed.get",show_comments:1};
_8c.addJob(_8d,function(_8e){
for(var i=0;i<_8e.length;i++){
var _90=_8e[i];
if(_90.type==46&&_90.comment_info&&_90.comment_info.target){
var fr=facebook.cacheMap.get("fr_"+_90.comment_info.target);
facebook.cacheMap.remove(FacebookApi.PAGINATION_CACHE_KEY);
facebook._removeFromCache(_90.comment_info.target);
}
}
});
_8c.execute();
};
FacebookApi.prototype.postStatusUpdate=function(_92){
validateParams(_92,["onSuccess","onError","uid","status","clear"]);
var _93={method:"users.setStatus",uid:_92.uid,status:_92.status,clear:_92.clear,status_includes_verb:true};
this._removeFromCache(_92.uid);
this.cacheMap.remove("news.feed");
var _94=this._createNewJob(_92,null,null,pr_updating_status);
_94.addJob(_93);
_94.execute();
};
FacebookApi.prototype.isProfilePicturesAlbum=function(_95){
return _95&&(_95.name==="Profile Pictures"||(_95.link&&_95.link.search("aid=-3")>=0));
};
FacebookApi.prototype.getAlbums=function(_96){
validateParams(_96,["uid","onSuccess","onError"]);
var _97="alb_"+_96.uid;
var _98=this._createNewJob(_96,_97,FacebookApi.ALBUMS_CACHE_TIMEOUT,pr_retrieving_albums);
if(!_98){
return;
}
var _99={method:"photos.getAlbums",uid:_96.uid};
_98.addJob(_99,function(_9a){
for(var i=0;_9a&&_9a.length&&i<_9a.length;i++){
var _9c=_9a[i];
_9c.profilePictures=facebook.isProfilePicturesAlbum(_9c);
}
});
_98.execute();
};
FacebookApi.prototype.clearAlbumCache=function(uid){
this.cacheMap.remove("alb_"+uid);
};
FacebookApi.prototype.getAlbumInfo=function(_9e){
var _9f=_9e.onSuccess;
_9e.onSuccess=function(_a0){
var _a1=false;
for(var i=0;i<_a0.length;i++){
var _a3=_a0[i];
if(_9e.aid==_a3.aid){
_a1=true;
_9f(_a3);
break;
}
}
if(!_a1){
_9e.onError(msg_album_not_found);
}
};
this.getAlbums(_9e);
};
FacebookApi.prototype.mailboxReply=function(_a4){
validateParams(_a4,["onSuccess","onError","tid","body"]);
this.invalidateMessagesCache();
var _a5={method:"mailbox.reply",tid:_a4.tid,body:_a4.body};
var _a6=this._createNewJob(_a4);
_a6.addJob(_a5);
_a6.execute();
};
FacebookApi.prototype.getThreadMessages=function(_a7){
validateParams(_a7,["onSuccess","onError","tid","uid"]);
var _a8={method:"mailbox.getThreadMessages",uid:_a7.uid,tid:_a7.tid};
var _a9=this._createNewJob(_a7,null,null,pr_getting_messages);
_a9.addJob(_a8);
_a9.execute();
};
FacebookApi.prototype.invalidateMessagesCache=function(){
FacebookApi.log.info("Clearing messages cache");
this.cacheMap.remove("notifications");
this.cacheMap.remove("inbox");
this.cacheMap.remove("outbox");
};
FacebookApi.prototype.getThreads=function(_aa){
validateParams(_aa,["onSuccess","onError","uid"]);
var _ab=this;
var _ac=null;
var _ad=60*5;
var _ae={uid:_aa.uid};
if(_aa.outbox){
_ae.method="mailbox.getOutbox";
}else{
_ae.method="mailbox.getInbox";
}
if(_aa.limit){
_ae.limit=_aa.limit;
}else{
_ae.limit=15;
_ac=_aa.outbox?"outbox":"inbox";
}
var _af=this._createNewJob(_aa,_ac,_ad,pr_getting_messages);
if(!_af){
return;
}
_af.addJob(_ae);
_af.execute();
};
FacebookApi.prototype.postStoryComment=function(_b0){
validateParams(_b0,["onSuccess","onError","uid","wsid","body"]);
var _b1={method:"story.addComment",uid:_b0.uid,wsid:_b0.wsid,body:_b0.body};
var _b2=this._createNewJob(_b0);
_b2.addJob(_b1);
_b2.execute();
};
FacebookApi.prototype.postPhotoComment=function(_b3){
validateParams(_b3,["onSuccess","onError","pid","body"]);
var _b4={method:"photos.addComment",body:_b3.body,pid:_b3.pid};
var _b5=this._createNewJob(_b3);
_b5.addJob(_b4);
_b5.execute();
};
FacebookApi.prototype.getWall=function(_b6){
validateParams(_b6,["onSuccess","onError","uid"]);
var _b7={method:"minifeed.get",show_comments:1,uid:_b6.uid};
if(_b6.limit){
_b7.limit=_b6.limit;
}
var _b8=this._createNewJob(_b6,null,null,pr_loading);
_b8.addJob(_b7);
_b8.execute();
};
FacebookApi.prototype.wallPost=function(_b9){
validateParams(_b9,["onSuccess","onError","to","body"]);
var _ba={method:"wall.post",to:_b9.to,body:_b9.body};
var _bb=this._createNewJob(_b9,null,null,pr_posting);
_bb.addJob(_ba);
_bb.execute();
};
FacebookApi.prototype.sendMessage=function(_bc){
validateParams(_bc,["onSuccess","onError","to","body"]);
this.invalidateMessagesCache();
var _bd={method:"mailbox.send",to:_bc.to,body:_bc.body,subject:_bc.subject};
var _be=this._createNewJob(_bc,null,null,pr_sending_message);
_be.addJob(_bd);
_be.execute();
};
FacebookApi.prototype.getPokes=function(req){
validateParams(req,["onSuccess","onError"]);
var _c0={method:"pokes.get"};
var _c1=this._createNewJob(req);
_c1.addJob(_c0,function(_c2){
var _c3=facebook.cacheMap.get(FacebookApi.NOTIFICATIONS);
var _c4=0;
if(_c3){
_c4=_c3.pokes?parseInt(_c3.pokes.unread):0;
}
var _c5=_c2?_c2.length:0;
if(_c4!==_c5){
FacebookApi.log.info("The number of pokes mismatches. Old: "+_c4+", new: "+_c5);
facebook.refreshNotifications();
}
});
_c1.execute();
};
FacebookApi.prototype.poke=function(_c6){
validateParams(_c6,["onSuccess","onError","uid"]);
this.cacheMap.remove(FacebookApi.NOTIFICATIONS);
var _c7={method:"pokes.poke",uid:_c6.uid};
var _c8=this._createNewJob(_c6,null,null,pr_poking);
_c8.addJob(_c7);
_c8.execute();
};
FacebookApi.prototype.hidePoke=function(_c9){
validateParams(_c9,["onSuccess","onError","uid"]);
this.cacheMap.remove(FacebookApi.NOTIFICATIONS);
var _ca={method:"pokes.hide",uid:_c9.uid};
var _cb=this._createNewJob(_c9);
_cb.addJob(_ca);
_cb.execute();
};
FacebookApi.prototype.sendFriendRequest=function(_cc){
validateParams(_cc,["onSuccess","onError","uid"]);
var _cd={method:"friends.add",uid:_cc.uid};
var _ce=this._createNewJob(_cc,null,null,pr_sending_request);
_ce.addJob(_cd);
_ce.execute();
};
FacebookApi.prototype.confirmFriend=function(_cf){
validateParams(_cf,["onSuccess","onError","uid"]);
this.cacheMap.remove(FacebookApi.NOTIFICATIONS);
this.cacheMap.remove(FacebookApi.PAGINATION_CACHE_KEY);
var _d0={method:"friends.confirm",confirm:_cf.confirm,uid:_cf.uid};
var _d1=this._createNewJob(_cf);
if(!_cf.confirm){
_d1.addJob(_d0);
}else{
_d1.addJob(_d0,function(){
facebook._ensureIsFriend(_cf.uid,true);
});
}
_d1.execute();
};
FacebookApi.prototype.resolveAlbumId=function(_d2){
validateParams(_d2,["onSuccess","onError","uid","aid"]);
var _d3=this._createNewJob(_d2);
var _d4="select aid, owner, name from album where owner = "+_d2.uid+" and strpos(link, "+_d2.aid+") > 0;";
var _d5={method:"fql.query",query:_d4};
_d3.addJob(_d5,function(_d6){
if(_d6&&_d6.length){
_d3.setResult(_d6[0]);
}else{
_d3.setResult(null);
}
});
_d3.execute();
};
FacebookApi.prototype.resolvePhotoId=function(_d7){
validateParams(_d7,["onSuccess","onError","src","uid","aid"]);
var _d8=this._createNewJob(_d7);
var _d9="select aid, pid from photo where src_small = \""+_d7.src+"\" and aid in (select aid from album where owner = \""+_d7.uid+"\"and strpos(link, \""+_d7.aid+"\") > 0);";
var _da={method:"fql.query",query:_d9};
_d8.addJob(_da,function(_db){
if(_db&&_db.length){
_d8.setResult(_db[0]);
}else{
_d8.setResult(null);
}
});
_d8.execute();
};
FacebookApi.prototype.resolveAidForPhoto=function(_dc){
validateParams(_dc,["onSuccess","onError","pid"]);
var _dd=this._createNewJob(_dc);
var _de="select aid from photo where pid = "+_dc.pid+";";
var _df={method:"fql.query",query:_de};
_dd.addJob(_df,function(_e0){
if(_e0&&_e0.length){
_dd.setResult(_e0[0]);
}else{
_dd.setResult(null);
}
});
_dd.execute();
};
FacebookApi.prototype.getComments=function(_e1){
validateParams(_e1,["onSuccess","onError","story_id","uid"]);
var _e2={method:"newsfeed.getComments",story_id:_e1.story_id,uid:_e1.uid};
var _e3=this._createNewJob(_e1);
_e3.addJob(_e2);
_e3.execute();
};
FacebookApi.prototype.logout=function(){
FacebookManager._clearSessionData();
this.cacheMap.clear();
};
FacebookApi.PAGINATION_CACHE_TIMEOUT=15*60;
FacebookApi.ALBUMS_CACHE_TIMEOUT=5*60;
FacebookApi.USER_CACHE_TIMEOUT=15*60;
FacebookApi.CONTACTS_TIMEOUT=60*60*24;
FacebookApi.PAGINATION_CACHE_KEY="frPagination";
FacebookApi.NUM_OF_USERS_PER_REQUEST=50;
FacebookApi.NOTIFICATIONS="notifications";
FacebookApi.log=Logger.getLogger("FacebookApi");
FacebookApi.UPDATE_PERIOD=60000*15;
FacebookApi.POLL_NOTIFICATIONS=true;
var facebook=new FacebookApi();
function validateParams(obj,_e5){
var _e6=Logger.getRootLogger();
if(!_e6.isInfoEnabled()){
return;
}
var _e7="";
for(var i=0;i<_e5.length;i++){
var _e9=_e5[i];
if(!(_e9 in obj)){
_e6.warn("Property '"+_e9+"\" not given");
_e7+=_e9+",";
}
}
if(_e7.length>0){
throw new Error("The following properties must be given: "+_e7);
}
};
