function RequestBroker(){
this.httpReq=null;
this.onSuccess=null;
this.onError=null;
};
RequestBroker.prototype.startAsync=function(_1){
this.cancel();
this.url=_1;
this.httpReq=new XMLHttpRequest();
if(RequestBroker.log.isInfoEnabled()){
RequestBroker.log.info("Fetching data from "+_1);
}
var _2=this;
this.httpReq.onreadystatechange=function(){
_2.readyStateChanged();
};
this.canceled=false;
this.httpReq.open("GET",_1,true);
this.httpReq.send(null);
};
RequestBroker.prototype.cancel=function(){
this.canceled=true;
try{
if(this.httpReq){
this.httpReq.abort();
this.httpReq.onreadystatechange=function(){
};
this.httpReq=null;
}
}
catch(ex){
RequestBroker.log.warn("cancel failed.",ex);
}
};
RequestBroker.prototype.readyStateChanged=function(){
if(this.httpReq.readyState==4){
var _3=null;
try{
_3=this.httpReq.status;
}
catch(noStatusException){
RequestBroker.log.warn("No status specified in response.",noStatusException);
}
if(RequestBroker.log.isDebugEnabled()){
RequestBroker.log.debug("Got response with status "+_3);
}
if(this.canceled){
return;
}
var _4=this.httpReq;
this.httpReq=null;
if(_3==200){
var _5=_4.responseText;
try{
this.onSuccess.call(this,_4);
}
catch(_6){
this.onError.call(this,_6);
RequestBroker.log.error("Processing response failed.",_6);
}
}else{
var _6=msg_error_retreiving_data;
this.onError.call(this,_6,_3);
}
_4=null;
}
};
RequestBroker.log=Logger.getLogger("RequestBroker");
function JsonRequestBroker(){
this.broker=new RequestBroker();
var _7=this;
this.broker.onSuccess=function(_8){
_7._parseJson(_8);
};
this.broker.onError=function(_9){
_7.onError.call(_7,_9);
};
this.onSuccess=null;
this.onError=null;
this.response=null;
};
JsonRequestBroker.prototype.startAsync=function(_a){
this.broker.startAsync(_a);
};
JsonRequestBroker.prototype.cancel=function(){
this.broker.cancel();
};
JsonRequestBroker.prototype._parseJson=function(_b){
this.response=null;
try{
eval("this.response = "+_b.responseText);
}
catch(e){
JsonRequestBroker.log.error("Unexpected response from server: '"+_b.responseText+"'.",e);
this.onError.call(this,"Unexpected response from server."+e.message);
return;
}
if(this.response!=null){
this.onSuccess.call(this,this.response);
this.response=null;
}else{
this.onError.call(this,500);
}
};
JsonRequestBroker.log=Logger.getLogger("JsonRequestBroker");
