function CommentsView(){
CommentsView.baseConstructor.call(this,"comments","content",ConversationBase.COMMENT);
var _1=this;
this.commentsContainer=$("comments_container");
this.replyBox=$("comments_comment_box");
this.replyButton=$("comments_post_comment");
this.body_text=$("comments_comment_ta");
this.subject=$("comments_subject");
Events(this.replyButton).setAction(function(){
_1.onComment();
});
this.lastPostBody="";
this.lastDayDiff=-1;
this.rows=[];
this.uids=[];
this.loader=new InlineLoader($(this.id),pr_loading);
};
Helper.extend(CommentsView,ConversationBase);
CommentsView.prototype.reset=function(){
this.clearScreen();
};
CommentsView.prototype._createSoftMenu=function(_2){
_2=_2||"Comment";
menu.clear();
this.mComment=new MenuItem(_2,CommentsView.COMMENT);
Events.setMenuAction(this.mComment,function(){
uiManager.get("comments").onComment();
});
menu.append(this.mComment);
};
CommentsView.prototype.onComment=function(){
if(!this._validatePostBody()){
alert(alert_inbox_conversation_reply);
return;
}
this.lastPostBody=this.body_text.value;
if(this.callback){
this.showCommentBox(false);
this.callback.call(this,this.lastPostBody);
}
this.clearPostBodyText();
};
CommentsView.prototype.onActivated=function(){
ConversationBase.base.onActivated.call(this);
this.clearScreen();
this.setIgnoreBack();
};
CommentsView.prototype.onDeactivated=function(){
ConversationBase.base.onDeactivated.call(this);
};
CommentsView.prototype.clearPostBodyText=function(){
this.body_text.value="";
};
CommentsView.prototype._validatePostBody=function(){
if(!this.body_text||this.body_text.value<=0){
return false;
}
return true;
};
CommentsView.prototype.appendLastPost=function(){
if(this.lastPostBody&&this.lastPostBody.length>0){
var _3=new Date();
var _4=this.appendComment({time:(_3.getTime()/1000),text:this.lastPostBody,from:FacebookManager.getSessionUid()});
this.updateCommentWithDetails(_4,facebook.getUserInfo());
}
this.scrollToBottom();
this.invalidate();
};
CommentsView.prototype.appendComment=function(_5){
var _6=new Date();
var _7=new Date(parseInt(_5.time*1000));
var _8=FBUtils.dateDayDiff(_6,_7);
if(_8!=this.lastDayDiff){
var _9=this.createDateRow(FBUtils.createDateTableTitle(_6,_7));
this.commentsContainer.appendChild(_9);
this.lastDayDiff=_8;
}
if(_5.from==FacebookManager.getSessionUid()){
row=this.createCommentRow({time_sent:_5.time,body:_5.text});
}else{
row=this.createCommentRow({time_sent:_5.time,body:_5.text});
}
this.commentsContainer.appendChild(row.tr);
this.lastRow=row.tr;
this.uids.push(_5.from);
this.rows.push({element:row.tr,img:row.img,nameSpan:row.nameSpan,uid:_5.from});
return row;
};
CommentsView.prototype.fetchCommentDetails=function(_a){
var _b=this;
var _c={uids:this.uids,noLoader:true,onSuccess:function(_d){
_b.onDetailsReceived(_d);
},onError:function(_e){
_b.onErrorReceived(_e);
}};
facebook.getFriendInfo(_c);
};
CommentsView.prototype.setPostButtonName=function(_f){
this.replyButton.innerHTML=_f;
};
CommentsView.prototype._getParticipantUids=function(_10){
var _11="";
for(uid in _10){
_11+=uid+",";
}
_11=_11.substring(0,_11.length-1);
return _11;
};
CommentsView.prototype.displayThreadMessages=function(_12){
this.parent.activate(this.id);
this.showCommentBox(false);
var _13=this;
var _14={uid:_12._uid,tid:_12._tid,loader:this.loader,onSuccess:function(_15){
var _16=Inbox._convertToComments(_15);
var _17=!(_16.length==1&&FacebookManager.getSessionUid()==_16[0].from);
var obj={comments:_16,can_post:_17,subject:_12._subject,postButtonName:"Reply",participants:_12._participants,callback:function(_19){
Inbox.onMessagePost(_12,_19);
}};
_13.display(obj);
if(_12._isUnread){
Inbox.markThreadAsRead(_12._tid);
}
},onError:function(msg,_1b){
alert(msg);
}};
facebook.getThreadMessages(_14);
};
CommentsView.prototype.display=function(_1c){
var _1d=this;
this.parent.activate(this.id);
this._createSoftMenu(_1c.postButtonName);
this.callback=_1c.callback;
if(_1c.subject&&_1c.subject.length>0){
$(this.subject).setText(_1c.subject);
this.subject.show(true);
}else{
this.subject.innerHTML="";
this.subject.show(false);
}
if(_1c.participants){
var _1e={uids:this._getParticipantUids(_1c.participants),noLoader:true,onSuccess:function(_1f){
_1d.subject.innerHTML=FBUtils.generateThreadMessagesSubtitleDiv(_1c.subject,_1f).innerHTML;
},onError:function(msg){
_1d.onErrorReceived(msg);
}};
facebook.getFriendInfo(_1e);
}
if(_1c.postButtonName&&_1c.postButtonName.length>0){
this.replyButton.innerHTML=_1c.postButtonName;
}else{
this.replyButton.innerHTML="Comment";
}
this.showCommentBox(false);
this.loader.show(this,true);
var _21=_1c.comments;
if(_21&&_21.length){
_21.sort(function(a,b){
var _24=parseInt(a.time);
var _25=parseInt(b.time);
if(_24<_25){
return -1;
}else{
if(_24>_25){
return 1;
}
}
return 0;
});
for(var i=0;i<_21.length;++i){
var _27=_21[i];
this.appendComment(_27);
}
this.fetchCommentDetails();
}
this.showCommentBox(_1c.can_post);
this.invalidate();
this.loader.show(this,false);
};
CommentsView.prototype.updateCommentWithDetails=function(row,_29){
$(row.nameSpan).setText(_29.name);
if(_29.pic_square&&_29.pic_square.length){
row.img.src=_29.pic_square;
}else{
row.img.src="images/3_2/user_default_square.png";
}
this.invalidate();
};
CommentsView.prototype.onDetailsReceived=function(_2a){
for(var i=0;i<_2a.length;++i){
var _2c=_2a[i];
for(var j=0;j<this.rows.length;++j){
var row=this.rows[j];
if(row.uid==_2c.uid){
this.updateCommentWithDetails(row,_2c);
}
}
}
this.scrollToBottom();
};
CommentsView.prototype.onErrorReceived=function(msg){
this.showCommentBox(false);
alert("Error getting or posting comments: "+msg);
};
CommentsView.prototype.showCommentBox=function(_30){
this.replyBox.show(_30);
};
CommentsView.prototype.scrollToBottom=function(){
if(this.lastRow){
this.setSelected(this.lastRow);
this.scroller.scrollTop=this.scroller.scrollTop+40;
}else{
this.setSelected(this.body_text);
}
};
CommentsView.prototype.clearScreen=function(){
this.commentsContainer.removeChildren();
this.lastRow=null;
this.body_text.value="";
this.subject.show(false);
this.callback=null;
this.lastPostBody="";
this.lastDayDiff=-1;
this.rows=[];
this.uids=[];
this.setPostButtonName("Comment");
};
CommentsView.COMMENT=Menu.getUniqueId();
CommentsView.log=Logger.getLogger("CommentsView");
