function FeedsBaseView(id,_2,_3){
FeedsBaseView.baseConstructor.call(this,id,_2);
var _4=this;
this.feedsContainer=_3;
this.hasContent=false;
this._noFeedsMessage="No data";
this.activeMenu=null;
this.uid=0;
this.actionMenuBar=new ActionBarMenu();
this.selectedItem=null;
};
Helper.extend(FeedsBaseView,FormWithBack);
FeedsBaseView.prototype.setNoFeedsMessage=function(_5){
this._noFeedsMessage=_5;
};
FeedsBaseView.prototype.reset=function(){
FeedsBaseView.base.reset.apply(this,arguments);
this.clearScreen();
this.uid=0;
this.activeMenu=null;
};
FeedsBaseView.prototype.onSelectionChanged=function(_6,_7,_8){
FeedsBaseView.base.onSelectionChanged.call(this,_6,_7,_8);
if(_7==null||!_7.story){
this.mActions.setDimmed(true);
this.mAddComment.setDimmed(true);
this.mGotoProfile.setDimmed(true);
this.mGotoPhotos.setDimmed(true);
return;
}
var _9=FeedsBaseView._getAvailableActions(_7.story,this.uid);
this.mActions.setDimmed(!_9.canComment&&!_9.canGotoProfile&&!_9.canPhoto);
this.mAddComment.setDimmed(!_9.canComment);
this.mGotoProfile.setDimmed(!_9.canGotoProfile);
this.mGotoPhotos.setDimmed(!_9.canPhoto);
this.actionMenuBar.removeAllItems();
if(_9.canPhoto){
this.actionMenuBar.appendActionItem({name:FeedsBaseView.GOTO_PHOTO_NAME,handler:FeedsBaseView.doFeedAction,id:FeedsBaseView.GOTO_PHOTO});
}
if(_9.canComment){
this.actionMenuBar.appendActionItem({name:FeedsBaseView.COMMENT_ACTION_NAME,handler:FeedsBaseView.doFeedAction,id:FeedsBaseView.ADD_COMMENT});
}
if(_9.canGotoProfile){
this.actionMenuBar.appendActionItem({name:FeedsBaseView.SHOW_PROFILE_ACTION_NAME,handler:FeedsBaseView.doFeedAction,id:FeedsBaseView.GOTO_PROFILE});
}
};
FeedsBaseView.prototype.clearScreen=function(){
this.feedsContainer.removeChildren();
};
FeedsBaseView.prototype.onFeedsError=function(_a){
this.clearScreen();
this.feedsContainer.innerHTML="<div class='error'>"+"<div class='title'>Error</div>"+"<div class='message'>This page could not be loaded.</div>"+"</div>";
};
FeedsBaseView.prototype.onFeedsReceived=function(_b){
this.clearScreen();
this.hasContent=true;
var _c=null;
if(_b&&_b.length){
_b.sort(this.compareFeedsTime);
var _d=new Date();
var _e=-1;
for(var i=0;i<_b.length;++i){
var _10=_b[i];
if(_10.type=="17"){
continue;
}
var _11=new Date(parseInt(_10.time*1000));
var _12=FBUtils.dateDayDiff(_d,_11);
if(_12!=_e){
var _13=FBUtils.createDateRow(FBUtils.createDateTableTitle(_d,_11),3);
this.feedsContainer.appendChild(_13);
_e=_12;
}
var row=this.createRow(_10);
if(!_c){
_c=row;
}
this.feedsContainer.appendChild(row);
}
}else{
this.feedsContainer.innerHTML="<div class='no_data'>"+"<div class='title'></div>"+"<div class='message'>"+this._noFeedsMessage+"</div>"+"</div>";
}
this.setSelected(_c);
this.invalidate();
};
FeedsBaseView.prototype.insertBeforeDefaultMenu=function(){
var _15=this;
this.mAddComment=new MenuItem(FeedsBaseView.COMMENT_ACTION_NAME,FeedsBaseView.ADD_COMMENT);
Events.setMenuAction(this.mAddComment,function(_16){
FeedsBaseView.doFeedAction(_15.getSelected(),_16);
});
this.mGotoProfile=new MenuItem(FeedsBaseView.SHOW_PROFILE_ACTION_NAME,FeedsBaseView.GOTO_PROFILE);
Events.setMenuAction(this.mGotoProfile,function(_17){
FeedsBaseView.doFeedAction(_15.getSelected(),_17);
});
this.mGotoPhotos=new MenuItem(FeedsBaseView.GOTO_PHOTO_NAME,FeedsBaseView.GOTO_PHOTO);
Events.setMenuAction(this.mGotoPhotos,function(_18){
FeedsBaseView.doFeedAction(_15.getSelected(),_18);
});
this.mActions=new MenuItem(FeedsBaseView.ACTIONS_NAME,FeedsBaseView.ACTIONS);
menu.append(this.mActions);
this.mActions.append(this.mGotoPhotos);
this.mActions.append(this.mAddComment);
this.mActions.append(this.mGotoProfile);
};
FeedsBaseView.prototype.onActivated=function(){
FeedsBaseView.base.onActivated.call(this);
menu.clear();
this.insertBeforeDefaultMenu();
Menu.createDefaultSoftMenu(this.id,false);
if(this.selectedItem){
this.setSelected(this.selectedItem);
}
};
FeedsBaseView.prototype.onDeactivated=function(){
FeedsBaseView.base.onDeactivated.call(this);
this.selectedItem=this.getSelected();
};
FeedsBaseView._getUid=function(_19){
var uid="";
if(!_19){
return uid;
}
if(_19.participants&&_19.participants.length){
uid=_19.participants[0];
}else{
if(_19.comment_info&&_19.comment_info.target){
uid=_19.comment_info.target;
}else{
if(_19.href){
uid=FBUtils.extractUidFromHref(_19.href);
}
}
}
return uid==null?"":uid;
};
FeedsBaseView._getAvailableActions=function(_1b,uid){
var _1d={canComment:false,canGotoProfile:false,canPhoto:false};
if(!_1b){
return _1d;
}
if(_1b.comment_info&&(_1b.comment_info.can_post||(_1b.comment_info.comments&&_1b.comment_info.comments.length))){
_1d.canComment=true;
}
var _1e=FeedsBaseView._getUid(_1b);
var _1f=_1e==uid||_1e==FacebookManager.getSessionUid();
if((_1e&&_1e.length>0)&&!_1f){
_1d.canGotoProfile=true;
}
if(_1b.photos&&_1b.photos.length){
var _20=_1b.photos[0];
var _21=null;
if(_1b.album&&_1b.album.owner&&_1b.album.owner.length){
_21=_1b.album.owner;
}else{
if(_20.owner&&_20.owner.length){
_21=_20.owner;
}else{
_21=this._getUid(_1b,false);
}
}
if(_21&&(_20.pid&&_20.pid.length&&_20.pid!="0")){
_1d.canPhoto=true;
}
}
return _1d;
};
FeedsBaseView.prototype.createText=function(_22,_23){
var _24="";
if(_23.photos&&_23.photos.length){
$(_22).setText(_23.text);
_22.appendChild(document.createElement("br"));
for(var i=0;i<_23.photos.length;++i){
var _26=_23.photos[i];
var div=document.createElement("div");
div.style.cssFloat="left";
var img=document.createElement("img");
img.src=_26.src;
img.className="event_added_photo";
div.appendChild(img);
_22.appendChild(div);
}
}else{
$(_22).setText(_23.text);
}
};
FeedsBaseView.onCommentsUpdated=function(tr,_2a){
if(tr.story.comment_info){
if(!tr.story.comment_info.comments.length){
tr.story.comment_info.comments=new Array();
}
tr.story.comment_info.comments.push(_2a);
tr.td.innerHTML="<div class='button_comments button_number_comments'>"+tr.story.comment_info.comments.length+"</div>";
}
uiManager.activePage.invalidate();
};
FeedsBaseView.prototype.createRow=function(_2b){
var _2c=false;
var tr=document.createElement("tr");
tr.className="n";
var td=document.createElement("td");
td.className="event_icon";
var img=document.createElement("img");
img.src=_2b.icon;
td.appendChild(img);
tr.appendChild(td);
td=document.createElement("td");
td.className="event_description";
this.createText(td,_2b);
tr.appendChild(td);
var _30=FeedsBaseView._getAvailableActions(_2b,this.uid);
if(_30.canComment){
var _31=document.createElement("td");
_31.className="comment_column";
if(_2b.comment_info.comments&&_2b.comment_info.comments.length){
_31.innerHTML="<div class='button_comments button_number_comments'>"+_2b.comment_info.comments.length+"</div>";
}else{
_31.innerHTML="<div class='button_comments button_add_comments'></div>";
}
tr.appendChild(_31);
tr.td=_31;
}else{
if(_30.canGotoProfile){
var _32=document.createElement("td");
_32.className="arrow_column";
_32.innerHTML="<div class='arrow'><div/>";
tr.appendChild(_32);
tr.td=_32;
}else{
td.colSpan=2;
td=null;
tr.td=td;
}
}
tr.story=_2b;
tr.uid=this.uid;
tr.activeMenu=this.activeMenu;
Events(tr).setAction(function(){
FeedsBaseView.onFeedAction(tr);
});
return tr;
};
FeedsBaseView.onFeedAction=function(tr){
var _34=FeedsBaseView._getAvailableActions(tr.story,tr.uid);
if(_34.canPhoto){
FeedsBaseView.doFeedAction(tr,FeedsBaseView.GOTO_PHOTO);
return;
}
if(_34.canComment){
FeedsBaseView.doFeedAction(tr,FeedsBaseView.ADD_COMMENT);
return;
}
if(_34.canGotoProfile){
FeedsBaseView.doFeedAction(tr,FeedsBaseView.GOTO_PROFILE);
}
};
FeedsBaseView.prototype.compareFeedsTime=function(a,b){
if(a.time<b.time){
return 1;
}else{
if(a.time>b.time){
return -1;
}
}
return 0;
};
FeedsBaseView.onCommentPost=function(_37,_38,_39){
var _3a={uid:_38.story.comment_info.target,wsid:_38.story.comment_info.fbid,body:_39,loader:_37.loader,onError:function(msg,_3c){
alert(msg);
_37.showCommentBox(true);
},onSuccess:function(_3d){
_37.appendLastPost();
FeedsBaseView.onCommentsUpdated(_38,{time:Math.round(new Date().getTime()/1000),text:_39,from:FacebookManager.getSessionUid()});
_37.showCommentBox(true);
}};
facebook.postStoryComment(_3a);
};
FeedsBaseView.onPhotoCommentPost=function(_3e,_3f,pid,_41){
var _42={method:"photos.addComment",body:_41,pid:pid,loader:_3e.loader,onError:function(msg,_44){
alert(msg);
},onSuccess:function(_45){
_3e.appendLastPost();
_3f.onCommentAdded({time:Math.round(new Date().getTime()/1000),text:_41,from:FacebookManager.getSessionUid()});
}};
facebook.postPhotoComment(_42);
};
FeedsBaseView.prototype._processKeyEvent=function(_46){
var _47=this.getSelected();
if(_46.keyNum===Keyboard.KEY_RIGHT&&_47&&_47.story){
this.actionMenuBar.show(this.getSelected(),this.scroller);
return true;
}
return FeedsBaseView.base._processKeyEvent.apply(this,arguments);
};
FeedsBaseView.doFeedAction=function(tr,_49){
if(!tr||!_49){
return;
}
var _4a=FeedsBaseView._getAvailableActions(tr.story,tr.uid);
switch(_49){
case FeedsBaseView.ADD_COMMENT:
if(!_4a.canComment){
return;
}
var _4b=uiManager.get("comments");
var _4c={comments:tr.story.comment_info.comments,can_post:tr.story.comment_info.can_post,callback:function(_4d){
FeedsBaseView.onCommentPost(_4b,tr,_4d);
}};
_4b.display(_4c);
break;
case FeedsBaseView.GOTO_PROFILE:
if(!_4a.canGotoProfile){
return;
}
var uid=FeedsBaseView._getUid(tr.story);
facebook.isFriend({uid:uid,onSuccess:function(_4f){
if(_4f){
var _50=uiManager.get("user");
if(tr.activeMenu){
_50.activeMenu=tr.activeMenu;
}
_50.display(uid);
}else{
uiManager.get("user_not_visible").display(uid);
}
},onError:function(err){
alert(err);
}});
break;
case FeedsBaseView.GOTO_PHOTO:
if(!_4a.canPhoto){
return;
}
if(tr.story.photos&&tr.story.photos[0]){
var _52=tr.story.photos[0];
var uid=(_52.owner&&_52.owner.length)?_52.owner:tr.story.actor;
if(_52.aid&&_52.aid.length){
FeedsBaseView._openPhotoInView(_52.aid,_52.pid,uid);
}else{
var _53=this;
facebook.resolveAidForPhoto({pid:_52.pid,onSuccess:function(_54){
FeedsBaseView._openPhotoInView(_54.aid,_52.pid,uid);
},onError:function(err){
}});
}
}
break;
}
};
FeedsBaseView._openPhotoInView=function(aid,pid,uid){
var _59=uiManager.get("photo_view");
_59.displayForIds(aid,pid,uid);
};
FeedsBaseView.COMMENT_ACTION_NAME="Comment";
FeedsBaseView.SHOW_PROFILE_ACTION_NAME="Show profile";
FeedsBaseView.GOTO_PHOTO_NAME="Photos";
FeedsBaseView.ACTIONS_NAME="Actions";
FeedsBaseView.ADD_COMMENT=Menu.getUniqueId();
FeedsBaseView.GOTO_PROFILE=Menu.getUniqueId();
FeedsBaseView.GOTO_PHOTO=Menu.getUniqueId();
FeedsBaseView.ACTIONS=Menu.getUniqueId();
