function Friends(){
Friends.baseConstructor.call(this,"friends","content");
var _1=this;
this.type_title=$("friends_type_title");
this.views=[{viewName:Friends.TAB_STATUS,view:new FriendsStatusList($(this.id)),text:tab_friends_status},{viewName:Friends.TAB_EVERYONE,view:new FriendsList($(this.id),"friends_every_one","last_name"),text:tab_friends_everyone},{viewName:Friends.TAB_PHONEBOOK,view:new FriendsList($(this.id),"friends_phone_book","last_name",null,true),text:tab_friends_phoonebook},{viewName:Friends.TAB_FIND,view:new FriendsFindList($(this.id)),text:tab_friends_label_find}];
this.tabControler={};
this.tabControler.getActivedTabPage=function(){
var _2=_1.selectedView;
for(var i=0;i<_1.views.length;i++){
if(_2===_1.views[i].viewName){
return _1.views[i].view;
}
}
return _1.views[0].view;
};
this.tabControler.getActivedTabTitle=function(){
var _4=_1.selectedView;
for(var i=0;i<_1.views.length;i++){
if(_4===_1.views[i].viewName){
return _1.views[i].text;
}
}
return _1.views[0].text;
};
this.prevButton=$("friendsPrevPage");
Events(this.prevButton).setAction(function(){
_1.prevPage();
});
this.nextButton=$("friendsNextPage");
Events(this.nextButton).setAction(function(){
_1.nextPage();
});
this.searchField=$("friends_search_input");
this.searchField.onblur=function(){
if(_1.searchField.value===""){
_1.searchField.value=Friends.SEARCH_HINT;
$(_1.searchField).setClassName("hint",true);
}
};
this.searchField.onfocus=function(){
$(_1.searchField).setClassName("hint",false);
if(_1.searchField.value==Friends.SEARCH_HINT){
_1.searchField.value="";
}
};
this.setAction($("friend_search_but"),this.reloadFriends);
this.refreshTime=0;
};
Helper.extend(Friends,FormWithBack);
Friends.prototype.processBackButton=function(){
if(this._onBack){
this._onBack();
}else{
Friends.base.processBackButton.call(this);
}
};
Friends.prototype._processKeyEvent=function(_6){
var _7=this.getSelected();
if(_6.keyNum===Keyboard.KEY_RIGHT&&_7&&_7.id=="friend_item"){
_6.keyNum=Keyboard.KEY_ENTER;
}
return Friends.base._processKeyEvent.apply(this,arguments);
};
Friends.prototype.reloadFriends=function(_8,_9){
var _a=this.tabControler.getActivedTabPage();
var _b=this.tabControler.getActivedTabTitle();
this.type_title.innerHTML=_b;
var _c=function(_d){
facebook.isFriend({uid:_d,onSuccess:function(_e){
if(_e){
uiManager.get("user").display(_d);
}else{
uiManager.get("user_not_visible").display(_d);
}
},onError:function(){
}});
};
for(var i=0;i<this.views.length;i++){
this.views[i].view._itemClicked=_c;
}
if(_8){
_a.offset=0;
}
var _10=this.searchField.value;
_10=_10==Friends.SEARCH_HINT?null:_10;
_a.reload(_10,_9);
this.invalidate();
};
Friends.setView=function(_11){
var _12=uiManager.get("friends");
_12.selectedView=_11;
_12.searchField.value=Friends.SEARCH_HINT;
var tab=_12.tabControler.getActivedTabPage();
var _14=_12.tabControler.getActivedTabTitle();
_12.type_title.innerHTML=_14;
tab.reload();
};
Friends.prototype.onActivated=function(){
Friends.base.onActivated.call(this);
if(!this.selectedView){
this.selectedView=widget.preferenceForKey("friendsView");
if(!this.selectedView){
this.selectedView=Friends.TAB_STATUS;
}
}
menu.clear();
this._onBack=null;
var _15=new MenuItem("View",Menu.getUniqueId());
menu.append(_15);
var _16=new MenuItem("Everyone",Menu.getUniqueId());
Events.setMenuAction(_16,function(){
Friends.setView(Friends.TAB_EVERYONE);
});
_15.append(_16);
var _17=new MenuItem("Phonebook",Menu.getUniqueId());
Events.setMenuAction(_17,function(){
Friends.setView(Friends.TAB_PHONEBOOK);
});
_15.append(_17);
var _18=new MenuItem("Status updates",Menu.getUniqueId());
Events.setMenuAction(_18,function(){
Friends.setView(Friends.TAB_STATUS);
});
_15.append(_18);
var _19=new MenuItem("Find",Menu.getUniqueId());
Events.setMenuAction(_19,function(){
Friends.setView(Friends.TAB_FIND);
});
_15.append(_19);
Menu.createDefaultSoftMenu(this.id,false);
if(!this.searchField.value){
this.searchField.value=Friends.SEARCH_HINT;
$(this.searchField).setClassName("hint",true);
}
};
Friends.prototype.refresh=function(_1a){
this.reloadFriends(false,_1a);
};
Friends.prototype.nextPage=function(){
var _1b=this.tabControler.getActivedTabPage();
var _1c=facebook.getFriendsCount();
if(_1b.offset+_1b.limit<_1c){
_1b.offset+=_1b.limit;
this.setScrollerPos(0);
this.setSelected(null);
_1b.reload(_1b.filter);
}
};
Friends.prototype.prevPage=function(){
var _1d=this.tabControler.getActivedTabPage();
if(_1d.offset>0){
_1d.offset-=_1d.limit;
this.setScrollerPos(0);
this.setSelected(null);
_1d.reload(_1d.filter);
}
};
Friends.prototype.reset=function(){
this.clearScreen();
this.searchField.value="";
for(var i=0;i<this.views.length;i++){
var _1f=this.views[i];
if(_1f.view&&_1f.view.reset){
_1f.view.reset();
}
}
this.setSelected(null);
widget.setPreferenceForKey("","friendsView");
this.selectedView=null;
};
Friends.prototype.clearScreen=function(){
$("friends_content").removeChildren();
};
Friends.SEARCH_HINT="Search";
Friends.TAB_PHONEBOOK="friendsPhonebookTab";
Friends.TAB_STATUS="friendsStatusTab";
Friends.TAB_EVERYONE="friendsEveryOneTab";
Friends.TAB_FIND="friendsFindTab";
