function Menu(){
Menu.baseConstructor.call(this,"buttons_bottom");
this.home=this.addMenuItem("bottom_button_home","home");
this.user=this.addMenuItem("bottom_button_user","user");
this.friends=this.addMenuItem("bottom_button_friends","friends");
this.photos=this.addMenuItem("bottom_button_photos","photo_albums");
this.inbox=this.addMenuItem("bottom_button_inbox_empty","inbox");
this.buttons_container=$("buttons_bottom");
this.activeItem=null;
facebook.registerChangeListener(FacebookApi.NOTIFICATIONS,Menu.updateInbox);
};
Helper.extend(Menu,Container);
function showPageWithDelay(_1){
uiManager.activate(_1);
};
Menu.getUniqueId=function(){
Menu._id++;
return Menu._id;
};
Menu.onMenuItemSelected=function(_2){
switch(_2){
case Menu.REFRESH:
var _3=uiManager.activePage;
if(_3&&_3.refresh){
_3.refresh(true);
}
break;
case Menu.HOME:
uiManager.activate("home");
break;
case Menu.FRIENDS:
uiManager.activate("friends");
break;
case Menu.USER:
uiManager.get("user").display(FacebookManager.getSessionUid());
break;
case Menu.INBOX:
uiManager.activate("inbox");
break;
case Menu.PHOTOS:
uiManager.get("photo_albums").display(FacebookManager.getSessionUid(),UserData);
break;
case Menu.LOGOUT:
Login.logout();
break;
case Menu.UPDATE_STATUS:
var _4=uiManager.get("update_status").display({uid:FacebookManager.getSessionUid(),name:UserData.name});
break;
case Menu.UPLOAD_PHOTO_TAKE:
CameraApp.takePhoto(uiManager.activePage.id);
break;
case Menu.UPLOAD_PHOTO_GALLERY:
uiManager.activate("photo_gallery");
break;
case Menu.ABOUT:
uiManager.activate("about");
break;
default:
Menu.log.warn("No menu item found with id: "+_2);
break;
}
};
Menu.createDefaultSoftMenu=function(_5,_6,_7){
_7=_7||0;
if(_6){
menu.clear();
}
var _8=new MenuItem("Home",Menu.HOME);
var _9=new MenuItem("Friends",Menu.FRIENDS);
var _a=new MenuItem("Photos",Menu.PHOTOS);
var _b=new MenuItem("Inbox",Menu.INBOX);
var _c=new MenuItem("About",Menu.ABOUT);
var _d="User";
if(UserData&&UserData.firstName&&UserData.firstName.length){
_d=UserData.firstName;
}
var _e=new MenuItem(_d,Menu.USER);
Events.setMenuAction(_8,Menu.onMenuItemSelected);
Events.setMenuAction(_b,Menu.onMenuItemSelected);
Events.setMenuAction(_e,Menu.onMenuItemSelected);
Events.setMenuAction(_9,Menu.onMenuItemSelected);
Events.setMenuAction(_a,Menu.onMenuItemSelected);
Events.setMenuAction(_c,Menu.onMenuItemSelected);
var _f=new MenuItem("Goto",Menu.GOTO);
menu.append(_f);
if(_5!="home"){
_f.append(_8);
}
if(_5!="user"||_7!=FacebookManager.getSessionUid()){
_f.append(_e);
}
if(_5!="friends"){
_f.append(_9);
}
if(_5!="photo_albums"||_7!=FacebookManager.getSessionUid()){
_f.append(_a);
}
if(_5!="inbox"){
_f.append(_b);
}
if(_5!="about"){
_f.append(_c);
}
var _10=new MenuItem("Update status",Menu.UPDATE_STATUS);
Events.setMenuAction(_10,Menu.onMenuItemSelected);
menu.append(_10);
var _11=new MenuItem("Upload Photo",Menu.UPLOAD_PHOTO);
menu.append(_11);
var _12=new MenuItem("Take a Photo",Menu.UPLOAD_PHOTO_TAKE);
Events.setMenuAction(_12,Menu.onMenuItemSelected);
_11.append(_12);
var _13=new MenuItem("From Gallery",Menu.UPLOAD_PHOTO_GALLERY);
Events.setMenuAction(_13,Menu.onMenuItemSelected);
_11.append(_13);
var _14=new MenuItem("Logout",Menu.LOGOUT);
var c=uiManager.get(_5);
if(c.refresh){
var _16=new MenuItem("Refresh",Menu.REFRESH);
menu.append(_16);
Events.setMenuAction(_16,Menu.onMenuItemSelected);
}
Events.setMenuAction(_14,Menu.onMenuItemSelected);
menu.append(_14);
};
Menu.updateInbox=function(_17){
if(_17.messages){
Menu.updateInboxUnreadCountIcon(_17.messages.unread);
}else{
Menu.updateInboxUnreadCountIcon(null);
}
};
Menu.updateInboxUnreadCountIcon=function(_18){
var _19=$("inbox_mail");
_19.onclick=function(){
uiManager.activate("inbox");
};
if(!_18||_18<=0){
_19.className="hidden";
}else{
_19.innerHTML="<div>"+_18+"</div>";
_19.className="";
}
};
Menu.prototype.addMenuItem=function(id,_1b){
var _1c=$(id);
_1c.parentNode.pageId=_1b;
Events(_1c.parentNode).setAction(function(){
uiManager.getMenu()._activatePage(this.pageId);
});
_1c.container=$(_1c.parentNode);
return _1c;
};
Menu.prototype._activatePage=function(id){
var _1e;
if(id==="user"){
_1e=uiManager.get("user");
if(_1e.uid!==FacebookManager.getSessionUid()){
_1e.display();
return;
}
}else{
if(id==="photo_albums"){
_1e=uiManager.get("photo_albums");
_1e.display(FacebookManager.getSessionUid(),UserData);
return;
}
}
this.parent.activate(id);
};
Menu.prototype.onActivated=function(){
Menu.base.onActivated.call(this);
this.onActivatePageChanged(this.parent.activePage);
};
Menu.prototype.activateMenu=function(_1f){
var _20=Utils.getElementsByClassName(this.buttons_container,null,Container.ACTIVE_STYLE);
for(var i=0;i<_20.length;i++){
_20[i].setClassName(Container.ACTIVE_STYLE,false);
}
_1f.container.setClassName(Container.ACTIVE_STYLE,true);
this.activeItem=_1f;
};
Menu.prototype.onActivatePageChanged=function(_22){
switch(_22.id){
case "home":
this.activateMenu(this.home);
break;
case "friends":
this.activateMenu(this.friends);
break;
case "inbox":
this.activateMenu(this.inbox);
break;
case "photo_albums":
this.activateMenu(this.photos);
break;
}
};
Menu.prototype.show=function(_23){
$("buttons_bottom").show(_23);
var _24=$("content");
var _25=$("buttons_bottom");
var _26=$("title");
var _27=screen.height;
var _28=(_25.clientHeight)?_25.clientHeight:0;
_27=_27-_26.clientHeight-_28;
if(Menu.log.isDebugEnabled()){
Menu.log.debug("Menu is shown or hidden, setting content hight to: "+_27);
}
_24.style.height=_27+"px";
this._isActive=true;
};
Menu.log=Logger.getLogger("Menu");
Menu._id=0;
Menu.HOME=Menu.getUniqueId();
Menu.FRIENDS=Menu.getUniqueId();
Menu.PHOTOS=Menu.getUniqueId();
Menu.INBOX=Menu.getUniqueId();
Menu.GOTO=Menu.getUniqueId();
Menu.LOGOUT=Menu.getUniqueId();
Menu.USER=Menu.getUniqueId();
Menu.ABOUT=Menu.getUniqueId();
Menu.UPLOAD_PHOTO=Menu.getUniqueId();
Menu.UPLOAD_PHOTO_TAKE=Menu.getUniqueId();
Menu.UPLOAD_PHOTO_GALLERY=Menu.getUniqueId();
Menu.UPDATE_STATUS=Menu.getUniqueId();
Menu.REFRESH=Menu.getUniqueId();
