function PhotoAlbums(){
PhotoAlbums.baseConstructor.call(this,"photo_albums","content");
var _1=this;
this.albumsList=$("photo_albums_content");
this.title=$("photo_albums_title");
this.loader=new InlineLoader($(this.id),pr_loading);
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onError=function(_2){
_1.onErrorReceived(_2);
};
};
Helper.extend(PhotoAlbums,FormWithBack);
PhotoAlbums.prototype.reset=function(){
this.clearScreen();
};
PhotoAlbums.prototype.display=function(_3,_4,_5){
var _6={uid:_3,userData:_4,forceReload:_5?true:false};
if(this.parent.activePage==this){
this.onActivated(_6);
}else{
this.parent.activate(this.id,_6);
}
};
PhotoAlbums.prototype._processKeyEvent=function(_7){
var _8=this.getSelected();
if(_7.keyNum===Keyboard.KEY_RIGHT&&_8&&_8.id=="album_item"){
_7.keyNum=Keyboard.KEY_ENTER;
}
return PhotoAlbums.base._processKeyEvent.apply(this,arguments);
};
PhotoAlbums.prototype.onActivated=function(_9){
PhotoAlbums.base.onActivated.call(this);
var _a=this.uid;
var _b=false;
if(_9){
this.userData=_9.userData?_9.userData:UserData;
this.uid=_9.uid||FacebookManager.getSessionUid();
_b=_9.forceReload;
}
Menu.createDefaultSoftMenu(this.id,true,this.uid);
var _c=this.fbManager.isUpdateRequired()||(_a!=this.uid)||_b;
if(_c){
this.clearScreen();
}
$(this.title).setText(((this.userData.firstName&&this.userData.firstName.length)?this.userData.firstName:this.userData.name)+"'s albums");
var _d=this;
var _e={uid:this.uid,loader:this.loader,onSuccess:function(_f){
_d.onAlbumsRetrieved(_f);
},onError:function(msg){
_d.onErrorReceived(msg);
}};
facebook.getAlbums(_e);
};
PhotoAlbums.prototype.onDeactivated=function(){
this.fbManager.cancel();
PhotoAlbums.base.onDeactivated.call(this);
};
PhotoAlbums.prototype.createRow=function(_11){
var tr=document.createElement("tr");
tr.className="n";
tr.setAttribute("id","album_item");
var td=document.createElement("td");
td.className="album_cover";
var div=document.createElement("div");
div.className="album_image_container";
var _15=document.createElement("div");
_15.className="cropper";
var img=document.createElement("img");
img.src="images/3_2/photo_albums_default.png";
_15.appendChild(img);
div.appendChild(_15);
td.appendChild(div);
tr.appendChild(td);
td=document.createElement("td");
td.className="album_title_description";
td.innerHTML="<div class='album_title'>"+Utils.escapeWithWbr(_11.name)+"</div>"+"<div class='album_description'>"+_11.size+" photos "+"</div>";
tr.appendChild(td);
td=document.createElement("td");
td.className="album_arrow_column";
td.innerHTML="<div class='arrow'></div>";
tr.appendChild(td);
tr.aid=_11.aid;
tr.uid=this.uid;
tr.title=_11.name;
Events(tr).setAction(function(){
var _17=uiManager.get("photos");
_17.display(tr.aid,tr.title,false,tr.uid);
});
return {tr:tr,img:img};
};
PhotoAlbums.prototype.onAlbumsRetrieved=function(_18){
this.clearAlbumsList();
if(!_18.length){
this.albumsList.appendChild(FBUtils.createNoDataRow("No albums available."));
return;
}
this.rows=new Array();
var row=null;
var _1a="";
var _1b=null;
var _1c=this;
for(var i=0;i<_18.length;++i){
var _1e=_18[i];
row=this.createRow(_1e);
this.albumsList.appendChild(row.tr);
this.rows.push({element:row.tr,img:row.img,aid:_1e.aid,cover_pid:_1e.cover_pid});
_1a+=_1e.cover_pid+",";
}
if(_1a.length){
_1a=_1a.substring(0,_1a.length-1);
if(_1a.length==1&&_1a=="0"){
return;
}
var _1c=this;
var _1f={method:"photos.get",pids:_1a};
this.fbManager.onSuccess=function(_20){
_1c.onCoversReceived(_20);
};
this.fbManager.startAsync(_1f,null,true);
}
this.invalidate();
};
PhotoAlbums.prototype.onCoversReceived=function(_21){
for(var i=0;i<_21.length;++i){
var _23=_21[i];
var row=this.findRow(_23.pid);
if(row!=null){
row.img.src=_23.src_small;
}
}
this.invalidate();
};
PhotoAlbums.prototype.findRow=function(_25){
for(var i=0;i<this.rows.length;++i){
var row=this.rows[i];
if(row.cover_pid==_25){
return row;
}
}
return null;
};
PhotoAlbums.prototype.onErrorReceived=function(msg){
alert("Error getting user albums: "+msg);
};
PhotoAlbums.prototype.clearAlbumsList=function(){
this.albumsList.removeChildren();
};
PhotoAlbums.prototype.clearScreen=function(){
this.title.innerHTML="";
this.clearAlbumsList();
};
