function PhotoUploadPreview(){
PhotoUploadPreview.baseConstructor.call(this,"photo_upload_preview");
var _1=this;
this.photoViewer=new FacebookPhotoViewer(this,"photo_upload_preview_photo_viewer_content");
this.photoViewer.onImageClicked=function(e){
_1.onImageClicked(e);
};
this.photoViewer.onImageLoaded=function(){
_1.onImageLoaded();
};
this.photoViewer.onImageError=function(){
_1.onImageError();
};
$(this.id).onclick=function(e){
_1.onFormClicked(e);
};
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onError=function(_4){
_1.onTagsError(_4);
};
this.fbManager.onSuccess=function(_5){
_1.onTagsUploaded(_5);
};
this.addTagPopup=new AddTagPopup(this,"photo_upload_preview_add_tag_popup");
this.addTagPopup.onCancelClicked=function(){
_1.tapper.show(false);
_1.tagLeft=-1;
_1.tagTop=-1;
if(_1.fileName){
widget.setNavigationEnabled(true);
}
};
this.addTagPopup.onAddClicked=function(_6,_7){
_1.tapper.show(false);
if(_1.fileName){
widget.setNavigationEnabled(true);
}
if(_6&&_6.length){
_1._addTag(_1.tagLeft,_1.tagTop,_6,_7);
}
};
this.photoUploadPopup=new PhotoUploadPopup(this,"photo_upload_albums");
this.photoUploadPopup.onUploadClicked=function(_8,_9){
_1.onUploadPopupClosed(_8,_9);
};
this.tapper=$("photo_upload_tapper");
this.message=$("photo_upload_tap_message");
this.updateTimer=new IntervalTimer();
this.updateTimer.handler=function(){
_1.fade();
};
this.tags=new Array();
};
Helper.extend(PhotoUploadPreview,FormWithBack);
PhotoUploadPreview.prototype.display=function(_a){
this.parent.activate(this.id);
this.tags=new Array();
this.photoViewer.removeTags();
this.fileName=_a;
var _b=this;
FBAPIBridge.resizeImg(_a,320,320,true,function(_c){
_b.photoViewer.showImage(_c);
},function(){
alert("Error resizing image!");
});
};
PhotoUploadPreview.prototype.onImageLoaded=function(){
widget.setNavigationEnabled(true);
this.mUpload.setDimmed(false);
var _d=function(){
Utils.setOpacity(this.message,10);
this.message.show(true);
this.fadeOut();
};
var _e=this;
setTimeout(function(){
_d.call(_e);
},0);
};
PhotoUploadPreview.prototype.onImageError=function(){
widget.setNavigationEnabled(false);
this.mUpload.setDimmed(true);
this.fileName=null;
alert("Error loading image");
};
PhotoUploadPreview.prototype.onCancelClicked=function(){
this.fbManager.cancel();
CameraApp.activateLastPage();
};
PhotoUploadPreview.prototype.onFormClicked=function(e){
this.tapper.show(false);
};
PhotoUploadPreview.prototype.onImageClicked=function(e){
var _11=e.clientX;
var top=e.clientY;
this.tapper.show(true);
this.tapper.style.left=(_11-Math.round(this.tapper.offsetWidth/2))+"px";
this.tapper.style.top=(top-Math.round(this.tapper.offsetHeight/2))+"px";
this.tagLeft=_11;
this.tagTop=top;
widget.setNavigationEnabled(false);
this.addTagPopup.show(true);
e.cancelBubble=true;
};
PhotoUploadPreview.prototype._addTag=function(_13,top,_15,uid){
var _17=this.photoViewer.getImageOffset();
var x=_13-_17.left;
var y=top-_17.top;
var _1a=this.photoViewer.getImageSize();
var tag={uid:uid,text:_15,xcoord:(x/_1a.width)*100,ycoord:(y/_1a.height)*100};
this.photoViewer.addTag(tag);
this.tags.push(tag);
};
PhotoUploadPreview.prototype.onUploadClicked=function(){
widget.setNavigationEnabled(false);
this.photoUploadPopup.show(true,FacebookManager.getSessionUid());
};
PhotoUploadPreview.prototype.onUploadPopupClosed=function(_1c,aid){
this.aid=aid;
var _1e=this.fileName;
_1e=_1e.replace(/\//g,"\\");
if(!_1e){
PhotoUploadPreview.log.error("Unable to upload photo since path is not set.");
return;
}
if(PhotoUploadPreview.log.isDebugEnabled()){
PhotoUploadPreview.log.debug("Uploading "+_1e);
PhotoUploadPreview.log.debug("Params: aid ["+this.aid+"], title["+_1c+"]");
}
var _1f={method:"facebook.photos.upload",v:FacebookManager.getVersion(),api_key:FacebookManager.getApiKey(),session_key:FacebookManager.getSessionKey(),call_id:FacebookManager.createCallId(),format:"JSON"};
if(this.aid&&this.aid.length){
_1f.aid=this.aid;
}
if(_1c&&_1c.length){
_1f.caption=_1c;
}
var _20=function(){
_20.baseConstructor.call(this);
};
Helper.extend(_20,FacebookBroker);
var _21=this;
FacebookManager.getSignature(_1f,function(sig){
_1f.sig=sig;
_20.prototype.startAsync=function(){
var _23=this;
FBAPIBridge.fileUpload("",_1e,FacebookManager.URL,_1f,function(res){
_23._handleSuccessResponse(res);
},function(res){
_23.onError.call(_23,res.status);
},600);
};
this.uploadJob=new AsyncJob(new _20());
this.uploadJob.onSuccess=function(res){
_21.onPhotoSuccess(res);
};
this.uploadJob.onError=function(res){
PhotoUploadPreview.log.debug(res);
alert(alert_error_when_uplaoding_photo);
};
this.uploadJob.startAsync(null,new LoadingPopup(pr_uploading_photo),true);
});
};
PhotoUploadPreview.prototype.onPhotoSuccess=function(_28){
if(PhotoUploadPreview.log.isDebugEnabled()){
PhotoUploadPreview.log.debug("Uploading tags for pid: "+_28.pid);
}
if(_28&&_28.owner){
facebook.clearAlbumCache(_28.owner);
}
this.uploadTags(_28.pid);
};
PhotoUploadPreview.prototype.uploadTags=function(pid){
if(this.tags&&(this.tags.length==0)){
this.activatePhotoPage();
}else{
this.pid=pid;
var _2a="[";
for(var i=0;i<this.tags.length;++i){
var tag=this.tags[i];
var _2d={x:tag.xcoord,y:tag.ycoord};
if(tag.uid){
_2d.tag_uid=tag.uid;
}else{
_2d.tag_text=tag.text;
}
if(i>0){
_2a+=",";
}
_2a+="{";
for(var _2e in _2d){
_2a+="\""+_2e+"\":\""+_2d[_2e]+"\",";
}
_2a=_2a.substring(0,_2a.length-1);
_2a+="}";
}
_2a+="]";
var _2f=this;
var _30={method:"photos.addTag",pid:pid,tags:_2a};
this.fbManager.startAsync(_30,new LoadingPopup("Adding tags"),true);
}
};
PhotoUploadPreview.prototype.onTagsUploaded=function(_31){
if(_31){
this.activatePhotoPage();
}
};
PhotoUploadPreview.prototype.onTagsError=function(msg){
alert("Error saving tags: "+msg);
};
PhotoUploadPreview.prototype.activatePhotoPage=function(){
var _33=this;
if(this.aid){
facebook.getAlbumInfo({aid:this.aid,uid:FacebookManager.getSessionUid(),onSuccess:function(_34){
_33.onAlbumInfoRetreived(_34);
},onError:function(msg){
alert(msg);
}});
}else{
var _36=this.parent.get("photo_albums");
_36.display();
}
};
PhotoUploadPreview.prototype.onAlbumInfoRetreived=function(_37){
var _38=this.parent.get("photos");
setTimeout(function(){
_38.display(_37.aid,_37.name,true);
},0);
};
PhotoUploadPreview.prototype.createSoftMenu=function(){
var _39=this;
this.mCancel=new MenuItem("Cancel",PhotoUploadPreview.CANCEL);
Events.setMenuAction(this.mCancel,function(_3a){
_39.onCancelClicked();
});
this.mUpload=new MenuItem("Upload",PhotoUploadPreview.UPLOAD);
Events.setMenuAction(this.mUpload,function(_3b){
_39.onUploadClicked();
});
menu.clear();
menu.append(this.mUpload);
menu.append(this.mCancel);
};
PhotoUploadPreview.prototype.onActivated=function(){
PhotoUploadPreview.base.onActivated.call(this);
uiManager.showMenu(false);
this.setIgnoreBack();
this.createSoftMenu();
};
PhotoUploadPreview.prototype.onDeactivated=function(){
PhotoUploadPreview.base.onDeactivated.call(this);
widget.setNavigationEnabled(false);
uiManager.showMenu(true);
};
PhotoUploadPreview.prototype.fadeOut=function(){
this.opacity=10;
this.updateTimer.start(100);
};
PhotoUploadPreview.prototype.fade=function(){
this.opacity=this.opacity-0.5;
Utils.setOpacity(this.message,this.opacity);
if(this.opacity==0){
this.message.show(false);
this.updateTimer.stop();
}
};
PhotoUploadPreview.POPUP_MAX_HEIGHT=318;
PhotoUploadPreview.log=Logger.getLogger("PhotoUploadPreview");
PhotoUploadPreview.CANCEL=Menu.getUniqueId();
PhotoUploadPreview.UPLOAD=Menu.getUniqueId();
