function PhotoView(){
PhotoView.baseConstructor.call(this,"photo_view");
var _1=this;
this.title=$("photo_view_title");
this.nextButton=$("photo_view_next");
this.prevButton=$("photo_view_prev");
this.photoViewer=new FacebookPhotoViewer(this,"photo_view_photo_viewer_content");
this.mComment=new MenuItem("Comments",PhotoView.COMMENTS);
Events.setMenuAction(this.mComment,function(_2){
_1.photoViewer.reInsert=true;
PhotoView.showComments(_1,_2);
_1.photoViewer.reInsert=false;
});
this.mShowTags=new MenuItem("Show Tags",PhotoView.SHOW_TAGS);
Events.setMenuAction(this.mShowTags,function(_3){
PhotoView.onTagsClicked(_1,_3);
});
this.mHideTags=new MenuItem("Hide Tags",PhotoView.HIDE_TAGS);
Events.setMenuAction(this.mHideTags,function(_4){
PhotoView.onTagsClicked(_1,_4);
});
this.fbManager=new AsyncJob(new FacebookBroker());
};
Helper.extend(PhotoView,FormWithBack);
PhotoView.prototype._processKeyEvent=function(_5){
var _6=this;
if((_5.keyNum==Keyboard.KEY_LEFT)&&(this.prevButton.visible==true)){
setTimeout(function(){
_6.setPressed(_6.prevButton);
_6.onPrevClicked();
},0);
return true;
}else{
if((_5.keyNum==Keyboard.KEY_RIGHT)&&(this.nextButton.visible==true)){
setTimeout(function(){
_6.setPressed(_6.nextButton);
_6.onNextClicked();
},0);
return true;
}else{
return PhotoView.base._processKeyEvent.call(this,_5);
}
}
};
PhotoView.prototype.setPressed=function(_7){
var _8="focused";
_7.setClassName(_8);
setTimeout(function(){
_7.setClassName(_8,false);
},300);
};
PhotoView.prototype.resolveAndDisplay=function(_9,_a,_b){
this.parent.activate(this.id);
this.uid=_a;
this.tempAid=_9;
var _c=this;
facebook.resolvePhotoId({src:_b,uid:_a,aid:_9,onSuccess:function(_d){
_c.onResolved(_d);
},onError:function(_e){
_c.onImageError();
}});
};
PhotoView.prototype.onResolved=function(_f){
var _10=this;
if(_f&&_f.aid&&_f.pid){
this.aid=_f.aid;
this.pid=_f.pid;
PhotosList.onError=function(msg){
_10.onImageError();
};
PhotosList.onSuccess=function(_12){
_10.onPhotosLoaded();
};
PhotosList.loadPhotos(this.aid,this.uid);
}else{
facebook.resolveAlbumId({aid:this.tempAid,uid:this.uid,onSuccess:function(_13){
_10.onAlbumResolved(_13);
},onError:function(err){
_10.onImageError();
}});
}
};
PhotoView.prototype.onAlbumResolved=function(_15){
if(_15&&_15.aid){
var _16=this.parent.get("photos");
_16.display(_15.aid,_15.name,false,_15.owner);
}else{
this.onImageError();
}
};
PhotoView.prototype.onPhotosLoaded=function(){
var idx=PhotosList.getIndexForPid(this.pid);
if(idx==-1){
this.onImageError();
}else{
this.display(idx);
}
};
PhotoView.prototype.onImageError=function(){
this.setControls("",{next:false,prev:false});
this.photoViewer.showImage(PhotoViewer.ERROR_IMAGE_URL);
};
PhotoView.prototype.displayForIds=function(aid,pid,uid){
this.parent.activate(this.id);
this.setControls("",{next:false,prev:false});
var _1b=this;
this.aid=aid;
this.pid=pid;
this.uid=uid;
PhotosList.onError=function(msg){
_1b.onImageError();
};
PhotosList.onSuccess=function(_1d){
_1b.onPhotosLoaded();
};
PhotosList.loadPhotos(this.aid,this.uid);
};
PhotoView.prototype.display=function(_1e){
this.parent.activate(this.id);
var _1f=PhotosList.getPhotoAtIndex(_1e);
this.aid=PhotosList.aid;
this.pid=_1f.pid;
this.albumTitle=PhotosList.getAlbumTitle();
this.index=_1e;
this.setControls(_1f.caption,{next:PhotosList.hasNext(this.index),prev:PhotosList.hasPrev(this.index)});
if(this.photoViewer.getImageSrc()!=_1f.src_big){
this.photoViewer.showImage(_1f.src_big);
var _20=this;
var _21=[{method:"photos.canComment",pid:this.pid},{method:"photos.getComments",pid:this.pid}];
this.fbManager.onSuccess=function(_22){
_20.onCommentsReceived(_22);
};
this.fbManager.onError=function(msg){
_20.onCommentsErrorReceived(msg);
};
this.fbManager.startAsync(_21,null,true);
}
};
PhotoView.prototype.getTags=function(){
var _24=this;
var _25={method:"photos.getTags",pids:this.pid};
this.fbManager.onSuccess=function(_26){
_24.onTagsReceived(_26);
};
this.fbManager.onError=function(msg){
_24.onErrorReceived(msg);
};
this.fbManager.startAsync(_25,null,true);
};
PhotoView.prototype.onTagsReceived=function(_28){
this.photoViewer.removeTags();
for(var i=0;i<_28.length;++i){
this.photoViewer.addTag(_28[i]);
}
};
PhotoView.prototype.onErrorReceived=function(msg){
alert("Error getting tags: "+msg);
};
PhotoView.prototype.onCommentsReceived=function(_2b){
this.comments=null;
var _2c=false;
var _2d=new Array();
if(_2b){
if(_2b[0]&&_2b[0]===true){
_2c=true;
}
if(_2b[1]&&_2b[1].length){
var _2e=_2b[1];
for(var i=0;i<_2e.length;++i){
var _30=_2e[i];
_2d.push({time:_30.time,text:_30.body,from:_30.from});
}
}
}
this.comments={comments:_2d,can_post:_2c,pid:this.pid};
this.photoViewer.setCommentsButton(this.comments.comments.length,this.comments.can_post);
};
PhotoView.prototype.onCommentsErrorReceived=function(msg){
alert("Error getting comments: "+msg);
};
PhotoView.showComments=function(_32,_33){
if(!_32.comments){
return;
}
var _34=_32.parent.get("comments");
var _35={comments:_32.comments.comments,can_post:_32.comments.can_post,callback:function(_36){
FeedsBaseView.onPhotoCommentPost(_34,_32,_32.pid,_36);
}};
_34.display(_35);
};
PhotoView.prototype.onCommentAdded=function(_37){
if(this.comments){
this.comments.comments.push(_37);
this.photoViewer.setCommentsButton(this.comments.comments.length,this.comments.can_post);
}
};
PhotoView.prototype.onActivated=function(){
PhotoView.base.onActivated.call(this);
uiManager.showMenu(false);
menu.clear();
menu.append(this.mShowTags);
this.mShowTags.setDimmed(false);
menu.append(this.mHideTags);
this.mHideTags.setDimmed(true);
menu.append(this.mComment);
Menu.createDefaultSoftMenu(this.id,false);
};
PhotoView.prototype.onDeactivated=function(){
PhotoView.base.onDeactivated.call(this);
uiManager.showMenu(true);
};
PhotoView.prototype.setControls=function(_38,_39){
if(_38&&_38.length){
$(this.title).setText(_38);
}else{
this.title.innerHTML="";
}
this.mShowTags.setDimmed(false);
this.mHideTags.setDimmed(true);
this.photoViewer.removeTags();
if(_39){
this.nextButton.show(_39.next);
this.nextButton.visible=_39.next;
this.prevButton.show(_39.prev);
this.prevButton.visible=_39.prev;
}
this.photoViewer.hideCommentsButton();
};
PhotoView.prototype.onPrevClicked=function(){
this.display(this.index-1);
};
PhotoView.prototype.onNextClicked=function(){
this.display(this.index+1);
};
PhotoView.onTagsClicked=function(_3a,_3b){
if(_3b==PhotoView.HIDE_TAGS){
_3a.photoViewer.removeTags();
_3a.mShowTags.setDimmed(false);
_3a.mHideTags.setDimmed(true);
}else{
_3a.getTags();
_3a.mShowTags.setDimmed(true);
_3a.mHideTags.setDimmed(false);
}
};
PhotoView.log=Logger.getLogger("PhotoView");
PhotoView.COMMENTS=Menu.getUniqueId();
PhotoView.SHOW_TAGS=Menu.getUniqueId();
PhotoView.HIDE_TAGS=Menu.getUniqueId();
