function Photos(){
Photos.baseConstructor.call(this,"photos","photos_title","photos_container",{elementId:"photos_pagination_table",titleId:"photos_page_text",prevBtnId:"photos_prev_page",nextBtnId:"photos_next_page"});
};
Helper.extend(Photos,PhotoMatrixBase);
Photos.prototype.onActivated=function(){
Photos.base.onActivated.call(this);
this.setupPagination();
};
Photos.prototype.onDeactivated=function(){
Photos.base.onDeactivated.call(this);
};
Photos.prototype.reset=function(){
this.clearScreen();
this.aid=0;
this.uid=0;
};
Photos.prototype.display=function(_1,_2,_3,_4){
this.parent.activate(this.id);
var _5=(this.aid!=_1)||_3;
this.aid=_1;
this.uid=_4;
this.title=_2;
if(!_5){
return;
}
this.clearScreen(true);
this.pager.setItemCount(0);
this.setupPagination();
$(this.photosTitle).setText(this.title);
var _6=this;
PhotosList.onError=function(_7){
_6.onErrorReceived(_7);
};
PhotosList.onSuccess=function(_8){
_6.onPhotosReceived();
};
PhotosList.loadPhotos(this.aid,this.uid,this.loader,_3);
};
Photos.prototype.onPhotosReceived=function(_9){
this.pager.setItemCount(PhotosList.size());
this.setupPagination();
this.layoutPhotos(this.getCurrentPagePhotos());
};
Photos.prototype.nextPage=function(){
Photos.base.nextPage.call(this);
this.layoutPhotos(this.getCurrentPagePhotos());
};
Photos.prototype.prevPage=function(){
Photos.base.prevPage.call(this);
this.layoutPhotos(this.getCurrentPagePhotos());
};
Photos.prototype.getCurrentPagePhotos=function(){
return PhotosList.getPhotosForPage(this.pager.offset,this.pager.offset+this.pager.itemsPerPage);
};
Photos.prototype.layoutPhotos=function(_a){
var _b=this;
var _c=null;
for(var i=0;i<_a.length;++i){
var _e=_a[i];
var _f=this.createPhoto(_e);
this.photosContainer.appendChild(_f.container);
_f.img.src=_e.src;
this.setupCallback(_f.container,i+this.pager.offset);
}
this.invalidate();
};
Photos.prototype.setupCallback=function(_10,_11){
var _12=this;
Events(_10).setAction(function(){
_12.onImageClicked(_11);
});
};
Photos.prototype.onErrorReceived=function(msg){
alert("Error getting photos: "+msg);
};
Photos.prototype.onImageClicked=function(_14){
var _15=this.parent.get("photo_view");
_15.display(_14);
};
Photos.prototype.move=function(_16,_17){
if((_16==Photos.NEXT)&&this.activeItem.down){
this.activate(this.activeItem.down);
}else{
if((_16==Photos.PREV)&&this.activeItem.up){
this.activate(this.activeItem.up);
}
}
if(_16==Photos.NEXT){
this.onImageClicked(_17.index+1);
}else{
this.onImageClicked(_17.index-1);
}
};
Photos.NEXT=0;
Photos.PREV=1;
Photos.log=Logger.getLogger("Photos");
