function UserInfo(){
UserInfo.baseConstructor.call(this,"user_info","content");
this.subtitle=$("user_info_subtitle");
this.infoTable=$("user_info_table");
this.loader=new InlineLoader($(this.id),pr_loading);
};
Helper.extend(UserInfo,FormWithBack);
UserInfo.prototype.clearScreen=function(){
this.infoTable.removeChildren();
this.subtitle.innerHTML="";
};
UserInfo.prototype.getCustomObjForHistory=function(){
return {uid:this.uid,menu:this.activeMenu};
};
UserInfo.prototype.beforeActivatedFromHistory=function(_1){
if(_1&&_1.menu){
uiManager.getMenu().activateMenu(_1.menu);
}
if(_1&&this.uid!==_1.uid){
this.display(_1.uid,true);
}
};
UserInfo.prototype.reset=function(){
this.uid=0;
this.clearScreen();
};
UserInfo.prototype.display=function(_2,_3){
this.parent.activate(this.id);
var _2=_2||FacebookManager.getSessionUid();
if(this.uid==_2&&!_3){
return;
}
this.uid=_2;
this.clearScreen();
var _4=this;
var _5={uids:this.uid,fields:FacebookManager.PARAMS_USER_INFO,loader:this.loader,onSuccess:function(_6){
_4.onUserInfoReceived(_6);
},onError:function(_7){
_4.onError(_7);
}};
facebook.getFriendInfo(_5);
};
UserInfo.prototype.uppercaseFirstLetter=function(_8){
return _8.substring(0,1).toUpperCase()+_8.substring(1);
};
UserInfo.prototype.validateAndApendChild=function(_9){
if(_9!=null){
this.infoTable.appendChild(_9);
}
};
UserInfo.prototype.formatItemsAsString=function(_a,_b){
var _c="";
if(_a==null){
return _c;
}
for(var i=0;i<_a.length;++i){
if((_a[i]==null)||(_a[i].length==0)){
continue;
}
if(i!=0){
_c+=_b;
}
_c+=this.uppercaseFirstLetter(_a[i]);
}
return _c;
};
UserInfo.prototype.formatDateAsString=function(_e,_f){
var _10=null;
if((_e=="0000-00")&&(_f=="0000-00")){
return null;
}
if((_e!="0000-00")&&(_e!="")){
var _11=_e.split("-");
var _12=new Date();
_12.setFullYear(parseInt(_11[0]),parseInt(_11[1]),0);
if(_f==""){
_10=dateFormat(_12,"mmmm yyyy\" - Present\"");
}else{
if(_f=="0000-00"){
_10=dateFormat(_12,"\"In\" mmmm yyyy");
}
}
}
return _10;
};
UserInfo.prototype.createTitleRow=function(_13){
var tr=document.createElement("tr");
tr.className="title";
var td=document.createElement("td");
td.setAttribute("colspan",2);
$(td).setText(_13);
tr.appendChild(td);
return tr;
};
UserInfo.prototype.createRow=function(_16,_17){
if(_17==null||_17==""||_17.nodeValue==""){
return null;
}
if(typeof _17=="string"){
_17=this.uppercaseFirstLetter(_17);
}
var tr=document.createElement("tr");
tr.className="n";
var _19=document.createElement("td");
_19.className="table_info_label";
_19.innerHTML=_16;
var _1a=$(document.createElement("td"));
_1a.className="table_info_content";
if(typeof _17=="string"){
_1a.setText(_17);
}else{
_1a.appendChild(_17);
}
tr.appendChild(_19);
tr.appendChild(_1a);
return tr;
};
UserInfo.prototype.onUserInfoReceived=function(_1b){
var _1c=_1b[0][0];
var _1d=_1b[1][0];
$(this.subtitle).setText(_1d.name+" Info");
var _1e=this.createTitleRow("Basic Information");
this.validateAndApendChild(_1e);
var _1f=this.infoTable.rows.length;
this.validateAndApendChild(this.createRow("Sex:",_1c.sex));
this.validateAndApendChild(this.createRow("Birthday:",_1c.birthday));
if(_1c.hometown_location){
this.validateAndApendChild(this.createRow("Hometown:",this.formatItemsAsString([_1c.hometown_location.city,_1c.hometown_location.state,_1c.hometown_location.country],", ")));
}
if(_1c.significant_other_id&&_1c.significant_other_id.length){
var _20="";
this.validateAndApendChild(this.createRow("Relationship Status:",_1c.relationship_status+" with "+_20));
}else{
this.validateAndApendChild(this.createRow("Relationship Status:",_1c.relationship_status));
}
this.validateAndApendChild(this.createRow("Interested In:",this.formatItemsAsString(_1c.meeting_sex," ")));
this.validateAndApendChild(this.createRow("Looking For:",this.formatItemsAsString(_1c.meeting_for,", ")));
this.validateAndApendChild(this.createRow("Political Views:",_1c.political));
this.validateAndApendChild(this.createRow("Religious Views:",_1c.religion));
if(this.infoTable.rows.length==_1f){
this.infoTable.removeChild(_1e);
}
_1e=this.createTitleRow("Personal Information");
this.validateAndApendChild(_1e);
_1f=this.infoTable.rows.length;
this.validateAndApendChild(this.createRow("Activities:",_1c.activities));
this.validateAndApendChild(this.createRow("Interests:",_1c.interests));
this.validateAndApendChild(this.createRow("Favorite Music:",_1c.music));
this.validateAndApendChild(this.createRow("Favorite TV Shows:",_1c.tv));
this.validateAndApendChild(this.createRow("Favorite Movies:",_1c.movies));
this.validateAndApendChild(this.createRow("Favorite Books:",_1c.books));
this.validateAndApendChild(this.createRow("Favorite Quotations:",_1c.quotes));
this.validateAndApendChild(this.createRow("About Me:",_1c.about_me));
if(this.infoTable.rows.length==_1f){
this.infoTable.removeChild(_1e);
}
_1e=this.createTitleRow("Contact Information");
this.validateAndApendChild(_1e);
_1f=this.infoTable.rows.length;
this.validateAndApendChild(this.createRow("Email:",_1d.email));
this.validateAndApendChild(this.createRow("Mobile:",_1d.cell));
this.validateAndApendChild(this.createRow("Other:",_1d.phone));
var _21=(_1d.address)?_1d.address+", ":"";
_21+=(_1d.city)?_1d.city+" ":"";
_21+=(_1d.zip)?_1d.zip:"";
this.validateAndApendChild(this.createRow("Current Address:",_21));
if(this.infoTable.rows.length==_1f){
this.infoTable.removeChild(_1e);
}
_1e=this.createTitleRow("Education and Work");
this.validateAndApendChild(_1e);
_1f=this.infoTable.rows.length;
if(_1c.education_history){
for(var i=0;i<_1c.education_history.length;++i){
var _23=_1c.education_history[i];
this.validateAndApendChild(this.createRow("College",this.formatItemsAsString([_23.name+", "+_23.degree,this.formatItemsAsString(_23.concentrations,",")],", ")));
}
}
if(_1c.work_history){
for(var i=0;i<_1c.work_history.length;++i){
var _24=_1c.work_history[i];
this.validateAndApendChild(this.createRow("Employer:",_24.company_name));
this.validateAndApendChild(this.createRow("Position:",_24.position));
this.validateAndApendChild(this.createRow("Time Period:",this.formatDateAsString(_24.start_date,_24.end_date)));
this.validateAndApendChild(this.createRow("Location:",this.formatItemsAsString([_24.location.city,_24.location.state,_24.location.country],", ")));
this.validateAndApendChild(this.createRow("Description:",_24.description));
}
}
if(this.infoTable.rows.length==_1f){
this.infoTable.removeChild(_1e);
}
this.invalidate();
};
UserInfo.prototype.onError=function(_25,msg){
alert("Error when loading user info!");
};
UserInfo.prototype.onActivated=function(){
UserInfo.base.onActivated.call(this);
};
UserInfo.prototype.onDeactivated=function(){
UserInfo.base.onDeactivated.call(this);
};
UserInfo.log=Logger.getLogger("UserInfo");
