function CommentsView(){
CommentsView.baseConstructor.call(this,"comments","content",ConversationBase.COMMENT);
var _1=this;
this.commentsContainer=$("comments_content");
this.loader=new SimpleLoader($("comments_loader"),$("comments_loader_text"));
this.loader.setText(pr_posting);
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onError=function(_2){
_1.onErrorReceived(_2);
};
};
Helper.extend(CommentsView,ConversationBase);
CommentsView.prototype.reset=function(){
this.fbManager.setForceUpdate();
this.clearScreen();
};
CommentsView.prototype.onActivated=function(){
ConversationView.base.onActivated.call(this);
this.commentType=CommentsView.NEWS_FEED;
var _3=this;
this.injectBackButton(function(){
_3.onBackSoftMenu();
});
};
CommentsView.prototype.onDeactivated=function(){
this.setIgnoreBack();
ConversationView.base.onDeactivated.call(this);
};
CommentsView.prototype.resolveAndShowStoryComments=function(_4,_5,_6,_7,_8){
this.parent.activate(this.id);
var _9=this;
this.clearScreen();
if(_6>0){
var _a={method:"newsfeed.getComments",story_id:_4,uid:_5,loader:this.loader,onSuccess:function(_b){
_9.onStoryCommentsLoaded(_b,_7,_8);
},onError:function(_c){
_9.onErrorReceived(_c);
}};
this.loader.setText(pr_loading);
facebook.getComments(_a);
}else{
this.showComments({comments:[],can_post:_7,fbid:_4,target:_5},CommentsView.NEWS_FEED,_8);
}
};
CommentsView.prototype.onStoryCommentsLoaded=function(_d,_e,_f){
_d.can_post=_e;
this.showComments(_d,CommentsView.NEWS_FEED,_f);
};
CommentsView.prototype.resolveAndShowPhotoComments=function(pid,_11,_12,_13){
this.parent.activate(this.id);
var _14=this;
this.clearScreen();
var _15=[];
if(_12.length>0){
for(var i=0;i<_12.length;++i){
var _17=_12[i];
_15.push({time:_17.time,text:_17.body,from:_17.from});
}
}
this.showComments({comments:_15,can_post:_11,pid:pid},CommentsView.PHOTOS,_13);
};
CommentsView.prototype.showComments=function(_18,_19,_1a){
this.parent.activate(this.id);
if(_19){
this.commentType=_19;
}
this.callback=_1a;
this.comment_info=_18;
this.clearScreen();
if(!this.comment_info){
return;
}
var _1b=[];
var _1c=this.comment_info.comments;
this.lastResponse=null;
if(_1c&&_1c.length){
_1c.sort(function(a,b){
var _1f=parseInt(a.time);
var _20=parseInt(b.time);
if(_1f<_20){
return -1;
}else{
if(_1f>_20){
return 1;
}
}
return 0;
});
var row=null;
this.rows=new Array();
var _22=new Date();
var _23=-1;
for(var i=0;i<_1c.length;++i){
var _25=_1c[i];
var _26=new Date(parseInt(_25.time)*1000);
var _27=FBUtils.dateDayDiff(_22,_26);
if(_27!=_23){
var _28=this.createMessageDate(FBUtils.createDateTableTitle(_22,_26));
this.commentsContainer.appendChild(_28);
_23=_27;
this.lastDayDiff=_27;
}
if(_25.from==FacebookManager.getSessionUid()){
row=this.createMessageRight({time_sent:_25.time,body:_25.text});
}else{
row=this.createMessageLeft({time_sent:_25.time,body:_25.text});
}
_1b.push(_25.from);
this.commentsContainer.appendChild(row.div);
this.lastResponse=row.div;
this.rows.push({element:row.div,img:row.img,nameSpan:row.nameSpan,uid:_25.from});
}
}
if(this.comment_info.can_post){
this.appendReplyRow(this.commentsContainer);
this.btnReply=this.add("comment_reply_button");
this.btnReply.onclicked=function(){
_29.onCommentClicked();
};
}
this.commentsContainer.appendChild(document.createElement("br"));
this.scrollToLastResponse(this.lastResponse);
var _29=this;
var _2a={uids:_1b,onSuccess:function(_2b){
_29.onDetailsReceived(_2b);
},onError:function(msg){
_29.onErrorReceived(msg);
}};
facebook.getFriendInfo(_2a);
};
CommentsView.prototype.onDetailsReceived=function(_2d){
for(var i=0;i<_2d.length;++i){
var _2f=_2d[i];
for(var j=0;j<this.rows.length;++j){
var row=this.rows[j];
if(row.uid==_2f.uid){
$(row.nameSpan).setText(_2f.name);
if(_2f.pic_square&&_2f.pic_square.length){
row.img.src=_2f.pic_square;
}else{
row.img.src="images/user_default_square.png";
}
}
}
}
};
CommentsView.prototype.onErrorReceived=function(msg){
if(this.replyRow){
var _33=false;
if(this.comment_info&&(this.comment_info.can_post==true)){
_33=true;
}
this.replyRow.show(_33);
}
alert(alert_comments_error_posting+": "+msg);
};
CommentsView.prototype.onCommentClicked=function(){
var _34=this.getReplyText();
var _35=this;
var _36=null;
var now=Math.round(new Date().getTime()/1000);
if(this.commentType===CommentsView.NEWS_FEED){
_36={method:"story.addComment",body:_34,uid:this.comment_info.target,wsid:this.comment_info.fbid};
this.newComment={time:now,text:_34,from:FacebookManager.getSessionUid()};
}else{
if(this.commentType===CommentsView.PHOTOS){
_36={method:"photos.addComment",body:_34,pid:this.comment_info.pid};
this.newComment={pid:this.comment_info.pid,time:now,text:_34,from:FacebookManager.getSessionUid()};
}else{
return;
}
}
this.loader.setText(pr_posting);
this.fbManager.onSuccess=function(_38){
_35.onPostCommentDone(_38);
};
if(this.replyRow){
this.replyRow.show(false);
}
this.fbManager.startAsync(_36,this.loader,true);
};
CommentsView.prototype.onPostCommentDone=function(_39){
if(this.replyRow){
this.replyRow.show(true);
}
if(_39){
this.appendPostedItem(this.commentsContainer);
if(this.callback!=null){
this.callback(this.newComment);
}
}else{
this.onErrorReceived("failed from API");
}
};
CommentsView.prototype.clearScreen=function(){
this.commentsContainer.removeChildren();
this.loader.show(false);
this.lastDayDiff=-1;
};
CommentsView.log=Logger.getLogger("CommentsView");
CommentsView.NEWS_FEED=0;
CommentsView.PHOTOS=1;
