function ConversationView(){
ConversationView.baseConstructor.call(this,"conversation","content",ConversationBase.MESSAGE);
var _1=this;
this.messageContainer=$("conversation_content");
this.loader=new SimpleLoader($("conversation_loader"),$("conversation_loader_text"));
this.loader.setText(pr_posting);
window.addEventListener("resize",function(){
_1.onResize();
},false);
};
Helper.extend(ConversationView,ConversationBase);
ConversationView.prototype.reset=function(){
this.tid=null;
this.subject=null;
this.isUnread=null;
this.participants=null;
this.clearScreen();
};
ConversationView.prototype.onResize=function(){
if(!this.isActive()){
return;
}
this.scrollToLastResponse(this.lastResponse);
};
ConversationView.prototype.onActivated=function(){
ConversationView.base.onActivated.call(this);
var _2=this;
this.injectBackButton(function(){
_2.onBackSoftMenu();
});
};
ConversationView.prototype.onDeactivated=function(){
ConversationView.base.onDeactivated.call(this);
};
ConversationView.prototype._getParticipantUids=function(_3){
var _4="";
for(uid in _3){
_4+=uid+",";
}
_4=_4.substring(0,_4.length-1);
return _4;
};
ConversationView.prototype.appendSubtitle=function(_5,_6){
var _7=FBUtils.generateThreadMessagesSubtitleDiv(_5,_6);
this.messageContainer.insertBefore(_7,this.messageContainer.firstChild);
};
ConversationView.prototype.fetchMessages=function(){
this.loader.setText(pr_loading);
var _8=this;
var _9={uid:FacebookManager.getSessionUid(),tid:this.tid,loader:this.loader,onError:function(_a){
_8.onErrorReceived(_a);
},onSuccess:function(_b){
_8.onMessagesReceived(_b);
}};
facebook.getThreadMessages(_9);
};
ConversationView.prototype.showThread=function(_c){
this.parent.activate(this.id);
this.clearScreen();
this.tid=_c.tid;
this.subject=_c.subject;
this.isUnread=_c.isUnread;
this.participants=_c.participants;
var _d=this;
_d.fetchMessages();
};
ConversationView.prototype.onMessagesReceived=function(_e){
this.clearScreen();
_e.sort(function(a,b){
if(a.time_sent<b.time_sent){
return -1;
}else{
if(a.time_sent>b.time_sent){
return 1;
}
}
return 0;
});
var row=null;
this.rows=new Array();
var _12=new Date();
var _13=-1;
this.lastResponse=null;
for(var i=0;i<_e.length;++i){
var _15=_e[i];
var _16=new Date(parseInt(_15.time_sent)*1000);
var _17=FBUtils.dateDayDiff(_12,_16);
if(_17!=_13){
var _18=this.createMessageDate(FBUtils.createDateTableTitle(_12,_16));
this.messageContainer.appendChild(_18);
_13=_17;
this.lastDayDiff=_17;
}
if(_15.author==FacebookManager.getSessionUid()){
row=this.createMessageRight(_15);
}else{
row=this.createMessageLeft(_15);
}
this.messageContainer.appendChild(row.div);
this.lastResponse=row.div;
this.rows.push({element:row.div,img:row.img,nameSpan:row.nameSpan,tid:_15.tid,uid:_15.author});
}
var _19=this.rows.length==1&&this.rows[0].uid==FacebookManager.getSessionUid();
if(!_19){
this.appendReplyRow(this.messageContainer);
this.btnReply=this.add("conversation_reply_button");
this.btnReply.onclicked=function(){
_1a.onReplyClicked();
};
}
var _1a=this;
var _1b={uids:this._getParticipantUids(this.participants),noLoader:true,onSuccess:function(_1c){
_1a.appendSubtitle(_1a.subject,_1c);
_1a.onDetailsReceived(_1c);
_1a.scrollToLastResponse(_1a.lastResponse);
},onError:function(msg){
_1a.onErrorReceived(msg);
}};
facebook.getFriendInfo(_1b);
if(this.isUnread){
this.markMessagesAsRead();
}
this.scrollToLastResponse(this.lastResponse);
};
ConversationView.prototype.markMessagesAsRead=function(){
var _1e={tid:this.tid,onSuccess:function(r){
},onError:function(err){
ConversationView.log.warn(err);
}};
facebook.markMessagesAsRead(_1e);
facebook.refreshNotifications();
};
ConversationView.prototype.onDetailsReceived=function(_21){
for(var i=0;i<_21.length;++i){
var _23=_21[i];
for(var j=0;j<this.rows.length;++j){
var row=this.rows[j];
if(row.uid==_23.uid){
$(row.nameSpan).setText(_23.name);
if(_23.pic_square&&_23.pic_square.length){
row.img.src=_23.pic_square;
}else{
row.img.src="images/user_default_square.png";
}
}
}
}
};
ConversationView.prototype.onErrorReceived=function(msg){
if(this.replyRow){
this.replyRow.show(true);
}
alert(msg);
};
ConversationView.prototype.onReplyClicked=function(){
var _27=$(this.id+"_taReplyBox").value;
if(!_27||_27.length==0){
alert(alert_inbox_conversation_reply);
return;
}
var _28=this;
this.loader.setText(pr_posting);
var _29={tid:this.tid,body:_27,loader:this.loader,onError:function(msg,_2b){
alert(msg);
},onSuccess:function(_2c){
_28.onPostMessageDone(_2c);
}};
if(this.replyRow){
this.replyRow.show(false);
}
facebook.mailboxReply(_29);
};
ConversationView.prototype.onPostMessageDone=function(msg){
if(this.replyRow){
this.replyRow.show(true);
}
if(msg){
this.appendPostedItem(this.messageContainer);
}else{
this.onErrorReceived("failed from API");
}
};
ConversationView.prototype.clearScreen=function(){
this.messageContainer.removeChildren();
this.loader.show(false);
};
ConversationView.log=Logger.getLogger("ConversationView");
