function HomeEvents(){
HomeEvents.baseConstructor.call(this,"home_events");
var _1=this;
this.loader=new SimpleLoader($("home_loader"),$("home_loader_text"));
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onError=function(_2){
_1.onEventsError(_2);
};
};
Helper.extend(HomeEvents,Container);
HomeEvents.prototype.reset=function(){
this.clearScreen();
this.fbManager.setForceUpdate();
};
HomeEvents.prototype.refresh=function(_3){
if(_3){
this.clearScreen();
this.fbManager.setForceUpdate();
}
this.onActivated();
};
HomeEvents.prototype.onActivated=function(){
var _4=[{method:"events.get",rsvp_status:"attending"},{method:"events.get",rsvp_status:"unsure"},{method:"events.get",rsvp_status:"declined"},{method:"events.get",rsvp_status:"not_replied"}];
var _5=this;
this.fbManager.onSuccess=function(_6){
_5.onEventsReceived(_6);
};
this.fbManager.startAsync(_4,this.loader);
};
HomeEvents.prototype.createRow=function(_7){
var li=document.createElement("li");
var _9=document.createElement("div");
_9.className="img cell";
var _a=document.createElement("img");
_a.src="images/s_default_square.jpg";
if(_7.pic_small&&_7.pic_small.length){
_a.src=_7.pic_small;
}
_9.appendChild(_a);
li.appendChild(_9);
_9=document.createElement("div");
_9.className="cell";
_9.style.textAlign="left";
var h1=$(document.createElement("h1"));
h1.setText(_7.name);
_9.appendChild(h1);
var p;
if(_7.tagline&&_7.tagline.length){
div2=document.createElement("div");
div2.className="quote_description";
var _a=document.createElement("img");
_a.src="images/quote_start_icon.png";
div2.appendChild(_a);
div2.appendChild(document.createTextNode(_7.tagline));
_a=document.createElement("img");
_a.src="images/quote_start_icon.png";
div2.appendChild(_a);
_9.appendChild(div2);
}
if(_7.type&&_7.type.length){
p=$(document.createElement("p"));
p.setText(_7.type);
_9.appendChild(p);
}
if(_7.start_time){
p=document.createElement("p");
p.innerHTML="<strong>"+lbl_events_when+": </strong>"+FacebookTimeStyleUtil.formatWhenString(_7.start_time,_7.end_time);
_9.appendChild(p);
}
if(_7.venue&&_7.venue.city){
p=document.createElement("p");
p.innerHTML="<strong>"+lbl_events_where+": </strong>";
p.appendChild(document.createTextNode(_7.venue.city));
_9.appendChild(p);
}
var _d=lbl_home_event_rsvp_awaiting_reply;
if(_7.rsvp==="attending"){
_d=lbl_home_event_rsvp_attending;
}else{
if(_7.rsvp==="unsure"){
_d=lbl_home_event_rsvp_maybe_attending;
}else{
if(_7.rsvp==="declined"){
_d=lbl_home_event_rsvp_not_attending;
}else{
if(_7.rsvp==="not_replied"){
_d=lbl_home_event_rsvp_awaiting_reply;
}
}
}
}
var _e=document.createElement("p");
_e.className="your_rsup";
_e.innerHTML="<strong>"+lbl_event_table_your_rsvp+":</strong> "+_d;
_9.appendChild(_e);
li.appendChild(_9);
_9.className+=" last";
return {tr:li,rsvpDiv:_e};
};
HomeEvents.prototype.onEventsReceived=function(_f){
this.clearScreen();
var _10=["attending","unsure","declined","not_replied"];
var _11=new Array();
var _12=new Array();
var now=new Date();
for(var j=0;j<_10.length;++j){
for(var i=0;i<_f[j].length;++i){
var _16=_f[j][i];
_16.rsvp=_10[j];
var _17=FBUtils.eventMs2Date(_16.start_time*1000);
if(_17>=now){
_11.push(_16);
}else{
_12.push(_16);
}
}
}
var _18=document.createElement("center");
$(this.id).appendChild(_18);
this.processEvents(_18,title_home_event_table_upcoming_events,lbl_home_events_no_events,_11);
this.processEvents(_18,title_home_event_table_past_events,msg_home_event_no_past_events,_12);
};
HomeEvents.prototype.processEvents=function(_19,_1a,_1b,_1c){
var _1d=this;
var _1e=document.createElement("span");
_1e.className="ul_title";
_1e.innerHTML=_1a;
_19.appendChild(_1e);
if(_1c.length){
var ul=document.createElement("ul");
ul.id="home_events_table";
ul.className="ul_list";
_19.appendChild(ul);
for(var i=0;i<_1c.length;++i){
var _21=_1c[i];
var _22=this.createRow(_21);
var row=this.add(_22.tr);
row.event=_21;
row.event.rsvpDiv=_22.rsvpDiv;
row.onclicked=function(){
_1d.onEventClicked();
};
ul.appendChild(row.element);
}
FBUtils.setStyleForLastRow(ul);
_19.appendChild(document.createElement("br"));
}else{
var _24=document.createElement("div");
_24.className="no_data";
_24.innerHTML=_1b;
_19.appendChild(_24);
}
};
HomeEvents.prototype.onEventsError=function(msg){
this.clearScreen();
alert(alert_error_getting_events+": "+msg);
};
HomeEvents.prototype.onEventClicked=function(msg){
var _27=this.activeItem.event;
var _28=uiManager.get("event_description");
_28.display(_27);
};
HomeEvents.prototype.clearScreen=function(){
var _29=$(this.id);
_29.removeChildren();
this.loader.show(false);
};
HomeEvents.log=Logger.getLogger("HomeEvents");
