function Inbox(){
Inbox.baseConstructor.call(this,"inbox","content");
var _1=this;
this.btnCompose=this.add("inbox_compose_button");
this.btnCompose.onclicked=function(){
_1.onComposeClicked();
};
this.btnExit=this.add("inbox_exit_button");
this.btnExit.onclicked=function(){
Utils.closeApplication();
};
this.tabControler=new TabControler(this,"inbox_tabs");
this.tabControler.addTab(Inbox.TAB_INBOX);
this.tabControler.addTab(Inbox.TAB_SENT);
this.inboxLoaded=false;
this.tabControler.onTabClicked=function(_2){
var _3=_1.selectedTabId==_2;
_1.selectedTabId=_2;
if(_2==Inbox.TAB_INBOX){
_1.fetchInbox(_3);
}else{
_1.fetchSent(_3);
}
};
this.loader=new SimpleLoader($("inbox_loader"),$("inbox_loader_text"));
this.loader.setText(pr_getting_messages);
};
Helper.extend(Inbox,FormWithBack);
Inbox.prototype.reset=function(){
this.clearScreen();
this.tabControler.reset();
};
Inbox.prototype.refresh=function(_4,_5){
if(_4||_5){
var _6=this.tabControler.selectedTab;
if(!_6||_6.id==Inbox.TAB_INBOX){
this.fetchInbox(_4);
}else{
this.fetchSent(_4);
}
}
};
Inbox.prototype.onActivated=function(){
Inbox.base.onActivated.call(this);
this.btnCompose.element.show(true);
this.btnExit.element.show(true);
var _7=this.tabControler.selectedTab;
if(_7==null){
this.tabControler.activateTab(Inbox.TAB_INBOX);
}else{
this.refresh(false,true);
}
};
Inbox.prototype.onDeactivated=function(){
this.btnCompose.element.show(false);
this.btnExit.element.show(false);
Inbox.base.onDeactivated.call(this);
};
Inbox.prototype.fetchInbox=function(_8){
var _9=this;
this.clearScreen();
var _a={uid:FacebookManager.getSessionUid(),loader:this.loader,onSuccess:function(_b){
_9.onInboxReceived(_b);
},onError:function(_c){
_9.onErrorReceived(_c);
}};
if(_8){
_a.nocache=true;
}
this.clearScreen();
facebook.getThreads(_a);
};
Inbox.prototype.fetchSent=function(_d){
var _e=this;
this.clearScreen();
var _f={uid:FacebookManager.getSessionUid(),outbox:true,loader:this.loader,onSuccess:function(_10){
_e.onInboxReceived(_10);
},onError:function(msg){
_e.onErrorReceived(msg);
}};
if(_d){
_f.nocache=true;
}
this.clearScreen();
facebook.getThreads(_f);
};
Inbox.prototype.onComposeClicked=function(){
uiManager.activate("compose");
};
Inbox.prototype.onInboxReceived=function(_12){
if(!_12.length){
var _13=$("inbox_message_table");
var _14=document.createElement("center");
var div=document.createElement("div");
div.className="no_data inbox_no_threads";
div.innerHTML=msg_inbox_empty;
_14.appendChild(div);
_13.appendChild(_14);
return;
}
_12.sort(function(a,b){
if(a.last_update<b.last_update){
return 1;
}else{
if(a.last_update>b.last_update){
return -1;
}
}
return 0;
});
var _18=$("inbox_message_table");
var row=null;
var _1a=null;
this.rows=new Array();
var _1b=[];
var _1c={};
for(var i=0;i<_12.length;++i){
var _1e=_12[i];
row=this.createThread(_1e);
_18.appendChild(row.li);
this.rows.push({element:row.li,img:row.img,h1:row.h1,tid:row.li._tid,uid:row.li._uid,participants:row.li._participants,gid:row.li_gid});
if(!_1c[row.li._uid]){
_1c[row.li._uid]=true;
_1b.push(row.li._uid);
}
_1a=this.add(row.li,_1a);
_1a.tid=row.li._tid;
_1a.subject=FBUtils.generateThreadSubject(_1e,false);
_1a.isUnread=row.li._isUnread;
_1a.participants=_1e.participants;
_1a.onclicked=function(){
_1f.onThreadClicked();
};
}
if(row){
row.li.className=row.li.className+" last";
}
if(this.tabControler.selectedTab.id==Inbox.TAB_INBOX){
facebook.refreshNotifications();
}
var _1f=this;
var _20={uids:_1b,onSuccess:function(_21){
_1f.onDetailsReceived(_21);
},onError:function(err){
_1f.onErrorReceived(err);
},noLoader:true};
facebook.getFriendInfo(_20);
};
Inbox.prototype.onDetailsReceived=function(_23){
for(var i=0;i<_23.length;++i){
var _25=_23[i];
for(var j=0;j<this.rows.length;++j){
var row=this.rows[j];
if(row.uid==_25.uid){
_25.participants=row.participants;
var _28=this.tabControler.selectedTab;
var _29=FBUtils.getThreadRowUserDetails(_25,_28.id==Inbox.TAB_SENT);
row.h1.insertBefore(document.createTextNode(_29.name),row.h1.firstChild);
row.img.src=_29.pic;
}
}
}
};
Inbox.prototype.onErrorReceived=function(msg){
alert(alert_error_getting_inbox+msg);
};
Inbox.prototype.createThread=function(_2b){
var li=document.createElement("li");
var div=document.createElement("div");
div.className="img cell";
var img=document.createElement("img");
img.src="images/user_default_square.png";
div.appendChild(img);
li.appendChild(div);
div=document.createElement("div");
div.className="cell";
var _2f=$(document.createElement("div"));
var _30=FBUtils.generateThreadSubject(_2b,true);
_2f.className="message_title";
_2f.setText(_30);
div.appendChild(_2f);
var h1=document.createElement("h1");
h1.innerHTML="";
div.appendChild(h1);
var _2f=document.createElement("div");
_2f.className="date";
_2f.innerHTML=FacebookTimeStyleUtil.convertToDateStringLong(_2b.last_update);
div.appendChild(_2f);
li.appendChild(div);
if(_2b.unread_count>0){
li.className="unread";
li._isUnread=true;
}else{
li._isUnread=false;
}
li._tid=_2b.tid;
li._gid=_2b.originator.gid;
li._uid=FBUtils.getUidFromThread(_2b,this.tabControler.selectedTab.id==Inbox.TAB_SENT);
li._subject=_30;
li._participants=_2b.participants;
div.className+=" last";
return {li:li,img:img,h1:h1};
};
Inbox.prototype.clearScreen=function(){
$("inbox_message_table").removeChildren();
};
Inbox.prototype.onThreadClicked=function(){
var _32=this.parent.get("conversation");
var obj={tid:this.activeItem.tid,subject:this.activeItem.subject,isUnread:this.activeItem.isUnread,participants:this.activeItem.participants};
_32.showThread(obj);
};
Inbox.TAB_INBOX="inbox_tab_inbox";
Inbox.TAB_SENT="inbox_tab_sent";
