function PhotoAlbums(){
PhotoAlbums.baseConstructor.call(this,"photo_albums","content");
var _1=this;
this.albumsList=$("photo_albums_content");
this.title=$("photo_albums_title");
this.loader=new SimpleLoader($("photo_albums_loader"),$("photo_albums_loader_text"));
this.loader.setText(pr_loading);
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onError=function(_2){
_1.onErrorReceived(_2);
};
this.imageLoader=new ImageLoader();
};
Helper.extend(PhotoAlbums,FormWithBack);
PhotoAlbums.prototype.reset=function(){
this.clearScreen();
this.fbManager.setForceUpdate();
this.uid=0;
};
PhotoAlbums.prototype._display=function(_3,_4,_5){
var _6={uid:_3,userData:_4,forceReload:_5?true:false};
if(this.parent.activePage==this){
_6.forceReload=true;
this.onActivated(_6);
}else{
this.parent.activate(this.id,_6);
}
};
PhotoAlbums.prototype.display=function(_7,_8,_9){
var _a=this;
if(!_8){
var _b={uids:[_7],noLoader:false,onSuccess:function(_c){
_8=_c[0];
_a._display(_7,_8,_9);
},onError:function(_d){
alert(_d);
}};
facebook.getFriendInfo(_b);
}else{
_a._display(_7,_8,_9);
}
};
PhotoAlbums.prototype.onActivated=function(_e){
PhotoAlbums.base.onActivated.call(this);
var _f=this.uid;
var _10=false;
if(_e){
this.userData=_e.userData?_e.userData:UserData;
this.uid=_e.uid||FacebookManager.getSessionUid();
_10=_e.forceReload;
}
var _11=this.fbManager.isUpdateRequired()||(_f!=this.uid)||_10;
if(_11){
this.clearScreen();
}
if(this.uid==FacebookManager.getSessionUid()){
this.btnCameraButton.element.show(true);
$("back").show(false);
}else{
this.injectBackButton(function(){
this.onBackSoftMenu();
});
}
this.btnExit.element.show(true);
var nm=((this.userData.firstName&&this.userData.firstName.length)?this.userData.firstName:this.userData.name);
this.title.setText(FBUtils.formatString(lbl_photos_nmb_albums,nm));
var _13=this;
var _14={uid:this.uid,loader:this.loader,onSuccess:function(_15){
_13.onAlbumsRetrieved(_15);
},onError:function(msg){
_13.onErrorReceived(msg);
}};
if(_11){
_14.nocache=true;
}
facebook.getAlbums(_14);
};
PhotoAlbums.prototype.onDeactivated=function(){
this.fbManager.cancel();
if(this.uid==FacebookManager.getSessionUid()){
this.btnCameraButton.element.show(false);
}
this.btnExit.element.show(false);
PhotoAlbums.base.onDeactivated.call(this);
};
PhotoAlbums.prototype.createRow=function(_17){
var li=document.createElement("li");
var div=document.createElement("div");
div.className="img cell";
var _1a=document.createElement("div");
_1a.className="album_image_container";
var _1b=document.createElement("div");
_1b.className="cropper";
var img=document.createElement("img");
img.src="images/photo_albums_default.png";
_1b.appendChild(img);
_1a.appendChild(_1b);
div.appendChild(_1a);
li.appendChild(div);
div=document.createElement("div");
div.className="album_title_description cell";
var h1=$(document.createElement("h1"));
h1.setText(_17.name);
div.appendChild(h1);
var p=$(document.createElement("p"));
p.innerHTML=FBUtils.formatString(lbl_photoalbum_nmb_photos,_17.size);
div.appendChild(p);
li.appendChild(div);
div.className+=" last";
return {li:li,img:img,cropper:_1b};
};
PhotoAlbums.prototype.onAlbumsRetrieved=function(_1f){
this.clearAlbumsList();
if(!_1f.length){
this.albumsList.appendChild(FBUtils.createNoDataRow(lbl_photalbum_no_albums));
return;
}
this.rows=new Array();
var row=null;
var _21="";
var _22=null;
var _23=this;
for(var i=0;i<_1f.length;++i){
var _25=_1f[i];
row=this.createRow(_25);
this.albumsList.appendChild(row.li);
this.rows.push({element:row.li,img:row.img,cropper:row.cropper,aid:_25.aid,cover_pid:_25.cover_pid});
_21+=_25.cover_pid+",";
_22=this.add(row.li,_22);
_22.aid=_25.aid;
_22.title=_25.name;
_22.onclicked=function(){
_23.onAlbumClicked();
};
}
if(row){
row.li.className="last";
}
if(_21.length){
_21=_21.substring(0,_21.length-1);
if(_21.length==1&&_21=="0"){
return;
}
var _23=this;
var _26={method:"photos.get",pids:_21};
this.fbManager.onSuccess=function(_27){
_23.onCoversReceived(_27);
};
this.fbManager.startAsync(_26,null,true);
}
};
PhotoAlbums.prototype.onCoversReceived=function(_28){
for(var i=0;i<_28.length;++i){
var _2a=_28[i];
var row=this.findRow(_2a.pid);
if(row!=null){
this.imageLoader.addImage({container:row.cropper,src:_2a.src_small});
}
}
this.imageLoader.load();
};
PhotoAlbums.prototype.findRow=function(_2c){
for(var i=0;i<this.rows.length;++i){
var row=this.rows[i];
if(row.cover_pid==_2c){
return row;
}
}
return null;
};
PhotoAlbums.prototype.onErrorReceived=function(msg){
alert(alert_error_getting_albums+": "+msg);
};
PhotoAlbums.prototype.onCameraClicked=function(){
var _30=this;
photoSourcePopup.show(function(_31){
_30.onPhotoPopupClosed(_31);
});
};
PhotoAlbums.prototype.onPhotoPopupClosed=function(_32){
if(_32==PhotoSrcPopup.TAKE_PHOTO){
CameraApp.takePhoto(this.id);
}else{
if(_32==PhotoSrcPopup.GALLERY){
CameraApp.chooseFromGallery();
}
}
};
PhotoAlbums.prototype.onAlbumClicked=function(){
var _33=this.parent.get("photos");
_33.display(this.activeItem.aid,this.activeItem.title,false,this.uid);
};
PhotoAlbums.prototype.clearAlbumsList=function(){
this.imageLoader.cancel();
this.albumsList.removeChildren();
this.loader.show(false);
};
PhotoAlbums.prototype.clearScreen=function(){
this.title.innerHTML="";
this.clearAlbumsList();
this.clear(false);
var _34=this;
if(this.uid==FacebookManager.getSessionUid()){
this.btnCameraButton=this.add("photo_albums_camera_button");
this.btnCameraButton.onclicked=function(){
_34.onCameraClicked();
};
}else{
this.injectBackButton(function(){
_34.onBackSoftMenu();
});
}
this.btnExit=this.add("friends_exit_button");
this.btnExit.onclicked=function(){
Utils.closeApplication();
};
};
