function PhotoUploadPreview(){
PhotoUploadPreview.baseConstructor.call(this,"photo_upload");
var _1=this;
this.btnCancel=this.add("photo_upload_cancel");
this.btnCancel.onclicked=function(){
_1.onCancelClicked();
};
this.btnUpload=this.add("photo_upload_upload");
this.btnUpload.onclicked=function(){
_1.onUploadClicked();
};
this.btnTagAdd=this.add("photo_upload_tag_add");
this.btnTagAdd.onclicked=function(){
_1.onTagAddClicked();
};
this.btnTagCancel=this.add("photo_upload_tag_cancel");
this.btnTagCancel.onclicked=function(){
_1.onTagCancelClicked();
};
this.photoViewer=new FacebookPhotoViewer(this,"photo_upload_photo_viewer_content");
this.photoViewer.onImageClicked=function(e){
_1.onImageClicked(e);
};
this.photoViewer.onImageLoaded=function(){
_1.onImageLoaded();
};
this.photoViewer.onImageError=function(){
_1.onImageError();
};
this.photoViewer.onTagRemoved=function(_3){
_1.onTagRemoved(_3);
};
$(this.id).onclick=function(e){
_1.onFormClicked(e);
};
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onError=function(_5){
_1.onTagsError(_5);
};
this.fbManager.onSuccess=function(_6){
_1.onTagsUploaded(_6);
};
this.addTagPopup=$("photo_upload_add_tag_popup");
this.tapper=$("photo_upload_tapper");
this.controlsBar=$("photo_upload_controls");
this.message=$("photo_upload_tap_message");
this.friendsContent=$("photo_upload_friends_content");
this.loader=new SimpleLoader($("photo_upload_friends_progress"),$("photo_upload_friends_progress_text"));
this.loader.setText(pr_loading);
this.tagTextBox=$("photo_upload_tag_text");
this.tagTextBox.onkeyup=function(_7){
if(!_1.suggestInProgress){
if(_1.lastTimerId){
clearTimeout(_1.lastTimerId);
}
_1.lastTimerId=setTimeout(function(){
_1.lastTimerId=null;
_1.onTagTextKeyPress();
},500);
}
};
var _1=this;
window.addEventListener("resize",function(){
_1.onResize();
},false);
this.updateTimer=new IntervalTimer();
this.updateTimer.handler=function(){
_1.fade();
};
this.tags=new Array();
this.tagId=0;
};
Helper.extend(PhotoUploadPreview,Container);
PhotoUploadPreview.prototype.reset=function(){
this.fbManager.setForceUpdate();
this.tags=[];
this.aid=0;
};
PhotoUploadPreview.prototype.onResize=function(){
if(!this.isActive()){
return;
}
var _8=this.landscape;
this.landscape=isLandscape();
if(_8!=this.landscape){
if(this.relativePos){
var _9=this._getTagActualPos(this.relativePos.xcoord,this.relativePos.ycoord);
this.onImageClicked({clientX:_9.x,clientY:_9.y});
}
}
this.centerControls();
};
PhotoUploadPreview.prototype.centerControls=function(){
var _a=$(this.id).clientWidth;
this.controlsBar.style.left=(_a-202)/2;
};
PhotoUploadPreview.prototype.display=function(_b){
this.parent.activate(this.id);
this.tags=new Array();
this.photoViewer.removeTags();
this.hideTagMenu();
this.fileName=_b;
var _c=this;
FBAPIBridge.resizeImg(_b,640,640,true,function(_d){
_c.photoViewer.showImage(_d);
},function(){
alert("Error resizing image!");
});
};
PhotoUploadPreview.prototype.onImageLoaded=function(){
var _e=function(){
Utils.setOpacity(this.message,10);
this.message.style.display="block";
this.fadeOut();
this.centerControls();
this.controlsBar.show(true);
};
var _f=this;
setTimeout(function(){
_e.call(_f);
},0);
};
PhotoUploadPreview.prototype.onImageError=function(){
this.centerControls();
this.controlsBar.show(true);
this.fileName=null;
alert(alert_error_loading_image);
};
PhotoUploadPreview.prototype.onCancelClicked=function(){
this.fbManager.cancel();
CameraApp.activateLastPage();
};
PhotoUploadPreview.prototype.onImageClicked=function(e){
var _11=e.clientX;
var top=e.clientY;
this.tapper.show(true);
this.tapper.style.left=_11-Math.round(this.tapper.offsetWidth/2);
this.tapper.style.top=top-Math.round(this.tapper.offsetHeight/2);
this.tagLeft=_11;
this.tagTop=top;
this.relativePos=this._getTagRelativePos(_11,top);
this.showTagMenu(_11,top);
e.cancelBubble=true;
};
PhotoUploadPreview.prototype.onFormClicked=function(e){
if(((e.target.id=="photo_upload_image")||isParentOf(e.target,this.addTagPopup))==false){
this.hideTagMenu();
}
};
PhotoUploadPreview.prototype.clearFriendSuggestion=function(){
this.friendsContent.removeChildren();
var li=$(document.createElement("li"));
li.className="me";
li.uid=FacebookManager.getSessionUid();
if(UserData.name&&UserData.name.length){
li.name=UserData.name;
}else{
li.name=UserData.firstName+" "+UserData.lastName;
}
li.setText(li.name);
var _15=this;
Events(li).setAction(function(){
_15.onFriendTagClicked(this);
});
this.friendsContent.appendChild(li);
li=$(document.createElement("li"));
li.innerHTML=msg_friend_find_enter_name;
li.className="no_data";
this.friendsContent.appendChild(li);
};
PhotoUploadPreview.prototype.showFriendSuggestion=function(_16){
var _17=this;
if(!_16||_16.length==0){
this.clearFriendSuggestion();
return;
}
this.friendsContent.removeChildren();
var row=null;
for(var i=0;i<_16.length;i++){
var _1a=_16[i];
row=$(document.createElement("li"));
row.uid=_1a.uid;
if(_1a.name&&_1a.name.length){
row.name=_1a.name;
}else{
row.name=_1a.first_name+" "+_1a.last_name;
}
row.setText(row.name);
this.friendsContent.appendChild(row);
Events(row).setAction(function(){
_17.onFriendTagClicked(this);
});
}
if(row){
row.setClassName("last",true);
}
};
PhotoUploadPreview.prototype.onFriendTagClicked=function(_1b){
this.hideTagMenu();
this._addTag(this.tagLeft,this.tagTop,_1b.name,_1b.uid);
};
PhotoUploadPreview.prototype.searchFriends=function(_1c){
var _1d=this;
if(!_1c||_1c.length==0){
this.clearFriendSuggestion();
return;
}
var _1e={limit:5,orderBy:"last_name",offset:0,filterByName:_1c,noLoader:false,loader:this.loader,onSuccess:function(_1f){
var _20=_1d.tagTextBox.value;
if(_1c!=_20){
_1d.searchFriends(_20);
_1d.suggestInProgress=false;
}else{
_1d.suggestInProgress=false;
_1d.showFriendSuggestion(_1f);
}
},onError:function(err){
_1d.suggestInProgress=false;
_1d.clearFriendSuggestion();
}};
_1d.suggestInProgress=true;
this.friendsContent.removeChildren();
facebook.getFriendList(_1e);
};
PhotoUploadPreview.prototype.onTagTextKeyPress=function(){
if(!this.suggestInProgress){
this.searchFriends(this.tagTextBox.value);
}
};
PhotoUploadPreview.prototype.showTagMenu=function(_22,top){
var _24=this;
this.addTagPopup.show(true);
this.clearFriendSuggestion();
this.tagTextBox.value="";
var _25=this.photoViewer.getOffsetSize();
var _26=_22;
var _27=top;
if((_22+this.addTagPopup.offsetWidth)>_25.width){
_26=_25.width-this.addTagPopup.offsetWidth;
}
var _28=Math.max(this.addTagPopup.offsetHeight,PhotoUploadPreview.POPUP_MAX_HEIGHT);
if((top+_28)>_25.height){
_27=_25.height-_28;
}
this.addTagPopup.style.left=_26;
this.addTagPopup.style.top=_27;
setTimeout(function(){
_24.tagTextBox.focus();
},0);
};
PhotoUploadPreview.prototype._getTagRelativePos=function(_29,top){
var _2b=this.photoViewer.getImageOffset();
var _2c=this.photoViewer.getImageSize();
var x=_29-_2b.left;
var y=top-_2b.top;
return {xcoord:(x/_2c.width)*100,ycoord:(y/_2c.height)*100};
};
PhotoUploadPreview.prototype._getTagActualPos=function(_2f,_30){
var _31=this.photoViewer.getImageSize();
var _32=this.photoViewer.getImageOffset();
var _33=_31.width*(_2f/100);
var top=_31.height*(_30/100);
return {x:_32.left+_33,y:_32.top+top};
};
PhotoUploadPreview.prototype._addTag=function(_35,top,_37,uid){
var _39=this._getTagRelativePos(_35,top);
var tag={tagId:this.tagId++,uid:uid,text:_37,xcoord:_39.xcoord,ycoord:_39.ycoord};
this.photoViewer.addTag(tag,true);
this.tags.push(tag);
};
PhotoUploadPreview.prototype.onTagRemoved=function(_3b){
for(var i=0;i<this.tags.length;++i){
if(this.tags[i].tagId===_3b){
this.tags.splice(i,1);
break;
}
}
};
PhotoUploadPreview.prototype.hideTagMenu=function(){
this.relativePos=null;
this.tapper.show(false);
this.addTagPopup.show(false);
};
PhotoUploadPreview.prototype.onTagAddClicked=function(){
this.hideTagMenu();
var _3d=this.tagTextBox.value;
if(_3d&&_3d.length){
this._addTag(this.tagLeft,this.tagTop,this.tagTextBox.value);
}
};
PhotoUploadPreview.prototype.onTagCancelClicked=function(){
this.tagLeft=-1;
this.tagTop=-1;
this.hideTagMenu();
};
PhotoUploadPreview.prototype.onUploadPopupClosed=function(_3e){
if(_3e.result!=PhotoUploadAlbumPopup.UPLOAD){
return;
}
this.aid=_3e.aid;
var _3f=_3e.title;
var _40=this.fileName;
_40=_40.replace(/\//g,"\\");
if(!_40){
PhotoUploadPreview.log.error("Unable to upload photo since path is not set.");
return;
}
if(PhotoUploadPreview.log.isDebugEnabled()){
PhotoUploadPreview.log.debug("Uploading "+_40);
PhotoUploadPreview.log.debug("Params: aid ["+this.aid+"], title["+_3f+"]");
}
var _41={method:"facebook.photos.upload",v:FacebookManager.getVersion(),api_key:FacebookManager.getApiKey(),session_key:FacebookManager.getSessionKey(),call_id:FacebookManager.createCallId(),format:"JSON"};
if(this.aid&&this.aid.length){
_41.aid=this.aid;
}
if(_3f&&_3f.length){
_41.caption=_3f;
}
var _42=function(){
_42.baseConstructor.call(this);
};
Helper.extend(_42,FacebookBroker);
var _43=this;
FacebookManager.getSignature(_41,function(sig){
_41.sig=sig;
_42.prototype.startAsync=function(){
var _45=this;
FBAPIBridge.fileUpload("",_40,FacebookManager.URL,_41,function(res){
_45._handleSuccessResponse(res);
},function(res){
_45.onError.call(_45,res.status);
},600);
};
this.uploadJob=new AsyncJob(new _42());
this.uploadJob.onSuccess=function(res){
_43.onPhotoSuccess(res);
};
this.uploadJob.onError=function(res){
PhotoUploadPreview.log.debug(res);
var _4a=alert_error_when_uplaoding_photo;
if(res&&res.constructor===String){
_4a+=": "+res;
}
alert(_4a);
};
this.uploadJob.startAsync(null,new LoadingPopup(pr_uploading_photo),true);
});
};
PhotoUploadPreview.prototype.onUploadClicked=function(){
var _4b=this;
photoUploadPopup.show(function(_4c){
_4b.onUploadPopupClosed(_4c);
});
};
PhotoUploadPreview.prototype.onPhotoSuccess=function(_4d){
if(PhotoUploadPreview.log.isDebugEnabled()){
PhotoUploadPreview.log.debug("Uploading tags for pid: "+_4d.pid);
}
if(_4d&&_4d.owner){
facebook.clearAlbumCache(_4d.owner);
}
this.uploadTags(_4d.pid);
};
PhotoUploadPreview.prototype.uploadTags=function(pid){
if(this.tags&&(this.tags.length==0)){
this.activatePhotoPage();
}else{
var _4f="[";
for(var i=0;i<this.tags.length;++i){
var tag=this.tags[i];
var _52={x:tag.xcoord,y:tag.ycoord};
if(tag.uid){
_52.tag_uid=tag.uid;
}else{
_52.tag_text=tag.text;
}
if(i>0){
_4f+=",";
}
_4f+="{";
for(var _53 in _52){
_4f+="\""+_53+"\":\""+_52[_53]+"\",";
}
_4f=_4f.substring(0,_4f.length-1);
_4f+="}";
}
_4f+="]";
var _54=this;
var _55={method:"photos.addTag",pid:pid,tags:_4f};
this.fbManager.startAsync(_55,new LoadingPopup(pr_adding_tags),true);
}
};
PhotoUploadPreview.prototype.onTagsUploaded=function(_56){
if(_56){
this.activatePhotoPage();
}
};
PhotoUploadPreview.prototype.activatePhotoPage=function(){
var _57=this;
if(this.aid){
facebook.getAlbumInfo({aid:this.aid,uid:FacebookManager.getSessionUid(),onSuccess:function(_58){
_57.onAlbumInfoRetreived(_58);
},onError:function(msg){
alert(msg);
}});
}else{
var _5a=this.parent.get("photo_albums");
_5a.display();
}
};
PhotoUploadPreview.prototype.onAlbumInfoRetreived=function(_5b){
var _5c=this.parent.get("photos");
_5c.display(_5b.aid,_5b.name,true);
};
PhotoUploadPreview.prototype.onTagsError=function(msg){
alert(alert_error_saving_tags+msg);
};
PhotoUploadPreview.prototype.onActivated=function(){
uiManager.showMenu(false);
this.controlsBar.show(false);
PhotoUploadPreview.base.onActivated.call(this);
};
PhotoUploadPreview.prototype.onDeactivated=function(){
uiManager.showMenu(true);
PhotoUploadPreview.base.onDeactivated.call(this);
};
PhotoUploadPreview.prototype.fadeOut=function(){
this.opacity=10;
this.updateTimer.start(100);
};
PhotoUploadPreview.prototype.fade=function(){
this.opacity=this.opacity-0.5;
Utils.setOpacity(this.message,this.opacity);
if(this.opacity==0){
this.message.style.display="none";
this.updateTimer.stop();
}
};
PhotoUploadPreview.POPUP_MAX_HEIGHT=349;
PhotoUploadPreview.log=Logger.getLogger("PhotoUploadPreview");
