function PhotoView(){
PhotoView.baseConstructor.call(this,"photo_view");
var _1=this;
this.portraitTitleContainer=$("photo_view_portrait_title_container");
this.portraitTitleMore=$("photo_view_portrait_title_more");
this.portraitTitle=$("photo_view_portrait_title");
this.portraitTitleBar=$("photo_view_portrait_title_bar");
this.portraitControls=$("photo_view_portrait_controls");
this.portraitBackButton=$("photo_view_portrait_back");
var _2=this.add("photo_view_portrait_back");
_2.onclicked=function(){
_1.onBackClicked();
};
this.portraitTagsButton=$("photo_view_portrait_tags");
_2=this.add("photo_view_portrait_tags");
_2.onclicked=function(){
_1.onTagsClicked();
};
this.portraitNextButton=$("photo_view_portrait_next");
_2=this.add("photo_view_portrait_next");
_2.onclicked=function(){
_1.onNextClicked();
};
this.portraitPrevButton=$("photo_view_portrait_prev");
_2=this.add("photo_view_portrait_prev");
_2.onclicked=function(){
_1.onPrevClicked();
};
this.landscapeTitleContainer=$("photo_view_landscape_title_container");
this.landscapeTitleMore=$("photo_view_landscape_title_more");
this.landscapeTitle=$("photo_view_landscape_title");
this.landscapeControls=$("photo_view_landscape_controls");
this.landscapeBackButton=$("photo_view_landscape_back");
_2=this.add("photo_view_landscape_back");
_2.onclicked=function(){
_1.onBackClicked();
};
this.landscapeTagsButton=$("photo_view_landscape_tags");
_2=this.add("photo_view_landscape_tags");
_2.onclicked=function(){
_1.onTagsClicked();
};
this.landscapeNextButton=$("photo_view_landscape_next");
_2=this.add("photo_view_landscape_next");
_2.onclicked=function(){
_1.onNextClicked();
};
this.landscapePrevButton=$("photo_view_landscape_prev");
_2=this.add("photo_view_landscape_prev");
_2.onclicked=function(){
_1.onPrevClicked();
};
this.photoViewer=new FacebookPhotoViewer(this,"photo_view_photo_viewer_content");
this.photoViewer.onCommentsClicked=function(){
_1.showComments();
};
this.fbManager=new AsyncJob(new FacebookBroker());
var _1=this;
window.addEventListener("resize",function(){
_1.onResize();
},false);
};
Helper.extend(PhotoView,FormWithBack);
PhotoView.prototype.reset=function(){
this.aid=0;
this.pid=0;
this.uid=0;
this.callback=null;
this.fbManager.setForceUpdate();
};
PhotoView.prototype.onResize=function(){
if(!this.isActive()){
return;
}
this.isInLandscape=isLandscape();
this.portraitTitleBar.show(!landscape);
this.portraitControls.show(!landscape);
this.showTitle(this.portraitTitleContainer,this.portraitTitle,this.portraitTitleMore,!landscape);
this.landscapeControls.show(landscape);
this.showTitle(this.landscapeTitleContainer,this.landscapeTitle,this.landscapeTitleMore,landscape);
};
PhotoView.prototype.onBackClicked=function(){
this.onBackSoftMenu();
};
PhotoView.prototype.displayForIds=function(_3,_4,_5,_6){
if(this.photoViewer.tmpImageSrc){
this.photoViewer.tmpImageSrc=null;
if(this.photoViewer.loader){
this.photoViewer.loader.show(true);
}
}
this.parent.activate(this.id);
this.setControls("",{next:false,prev:false});
var _7=this;
this.aid=_3;
this.pid=_4;
this.uid=_5;
this.callback=_6;
PhotosList.onError=function(_8){
_7.onPhotosLoadError();
};
PhotosList.onSuccess=function(_9){
_7.onPhotosLoaded();
};
PhotosList.loadPhotos(this.aid,this.uid);
};
PhotoView.prototype.onPhotosLoaded=function(){
var _a=PhotosList.getIndexForPid(this.pid);
if(_a==-1){
this.onPhotosLoadError();
}else{
this.display(_a,true);
}
};
PhotoView.prototype.onPhotosLoadError=function(){
this.showControls(false);
this.photoViewer.showImage(PhotoViewer.ERROR_IMAGE_URL);
};
PhotoView.prototype.display=function(_b,_c){
this.parent.activate(this.id);
var _d=PhotosList.getPhotoAtIndex(_b);
this.aid=PhotosList.aid;
this.pid=_d.pid;
this.albumTitle=PhotosList.getAlbumTitle();
this.index=_b;
if(!_c){
this.callback=null;
}
this.setControls(_d.caption,{next:PhotosList.hasNext(this.index),prev:PhotosList.hasPrev(this.index)});
if(this.photoViewer.getImageSrc()!=_d.src_big){
this.photoViewer.showImage(_d.src_big);
var _e=this;
var _f=[{method:"photos.canComment",pid:this.pid},{method:"photos.getComments",pid:this.pid}];
this.fbManager.onSuccess=function(_10){
_e.onCommentsReceived(_10);
};
this.fbManager.onError=function(msg){
_e.onCommentsErrorReceived(msg);
};
this.fbManager.startAsync(_f,null,true);
}
};
PhotoView.prototype.getTags=function(){
var _12=this;
var _13={method:"photos.getTags",pids:this.pid};
this.fbManager.onSuccess=function(_14){
_12.onTagsReceived(_14);
};
this.fbManager.onError=function(msg){
_12.onErrorReceived(msg);
};
this.fbManager.startAsync(_13,null,true);
};
PhotoView.prototype.onTagsReceived=function(_16){
this.photoViewer.removeTags();
for(var i=0;i<_16.length;++i){
this.photoViewer.addTag(_16[i]);
}
};
PhotoView.prototype.onErrorReceived=function(msg){
alert(alert_error_getting_tags+": "+msg);
};
PhotoView.prototype.onCommentsReceived=function(_19){
this.comments=null;
var _1a=false;
var _1b=new Array();
if(_19){
if(_19[0]&&_19[0]===true){
_1a=true;
}
if(_19[1]&&_19[1].length){
var _1c=_19[1];
for(var i=0;i<_1c.length;++i){
var _1e=_1c[i];
_1b.push({time:_1e.time,text:_1e.body,from:_1e.from});
}
}
}
this.comments={comments:_1b,can_post:_1a,pid:this.pid};
this.photoViewer.setCommentsButton(this.comments.comments.length,this.comments.can_post);
};
PhotoView.prototype.onCommentsErrorReceived=function(msg){
alert("Error getting comments: "+msg);
};
PhotoView.prototype.showComments=function(){
if(!this.comments){
return;
}
var _20=this;
var _21=this.parent.get("comments");
_21.showComments(this.comments,CommentsView.PHOTOS,function(_22){
_20.onCommentAdded(_22);
});
};
PhotoView.prototype.onCommentAdded=function(_23){
if(this.comments){
this.comments.comments.push(_23);
this.photoViewer.setCommentsButton(this.comments.comments.length,this.comments.can_post);
}
if(this.callback){
try{
this.callback(_23);
}
catch(ex){
PhotoView.log.error("Trying to notify that a new comment was there but it failed (silently ignoring it).");
}
}
};
PhotoView.prototype.onActivated=function(){
PhotoView.base.onActivated.call(this);
this.onResize();
uiManager.showMenu(false);
};
PhotoView.prototype.onDeactivated=function(){
PhotoView.base.onDeactivated.call(this);
uiManager.showMenu(true);
};
PhotoView.prototype.setControls=function(_24,_25){
this.setTitle(_24);
this.portraitTagsButton.setClassName("button_toggle",false);
this.landscapeTagsButton.setClassName("button_toggle",false);
this.photoViewer.removeTags();
if(_25){
this.portraitNextButton.show(_25.next);
this.landscapeNextButton.show(_25.next);
this.portraitPrevButton.show(_25.prev);
this.landscapePrevButton.show(_25.prev);
}
this.photoViewer.hideCommentsButton();
};
PhotoView.prototype.showControls=function(_26){
this.portraitTitle.innerHTML="";
this.landscapeTitle.innerHTML="";
this.portraitNextButton.show(_26);
this.landscapeNextButton.show(_26);
this.portraitPrevButton.show(_26);
this.landscapePrevButton.show(_26);
};
PhotoView.prototype.setTitle=function(_27){
this.portraitTitle.setText(_27);
this.landscapeTitle.setText(_27);
this.showTitle(this.portraitTitleContainer,this.portraitTitle,this.portraitTitleMore,!this.isInLandscape);
this.showTitle(this.landscapeTitleContainer,this.landscapeTitle,this.landscapeTitleMore,this.isInLandscape);
};
PhotoView.prototype.showTitle=function(_28,_29,_2a,_2b){
var _2c=isLandscape()?PhotoView.LANDSCAPE_TITLE_HEIGHT:PhotoView.PORTRAIT_TITLE_HEIGHT;
_28.style.height=_2c;
_28.setClassName("down",false);
_28.expanded=false;
if(_29.innerHTML&&_29.innerHTML.length){
_28.show(_2b);
}else{
_28.show(false);
}
_2a.show(false);
_2a.show(_28.scrollHeight>_28.offsetHeight);
Events(_28).setAction(function(){
if(this.expanded){
Effects.expand(this,Effects.DOWN,_2c,300,function(_2d){
_2d.setClassName("down",false);
});
this.expanded=false;
}else{
Effects.expand(this,Effects.UP,_28.scrollHeight,300,function(_2e){
_2e.setClassName("down",true);
});
this.expanded=true;
}
});
};
PhotoView.PORTRAIT_TITLE_HEIGHT=55;
PhotoView.LANDSCAPE_TITLE_HEIGHT=33;
PhotoView.prototype.onPrevClicked=function(){
this.display(this.index-1);
};
PhotoView.prototype.onNextClicked=function(){
this.display(this.index+1);
};
PhotoView.prototype.onTagsClicked=function(){
if((this.portraitTagsButton.className.indexOf("button_toggle")!=-1)||(this.landscapeTagsButton.className.indexOf("button_toggle")!=-1)){
this.portraitTagsButton.setClassName("button_toggle",false);
this.landscapeTagsButton.setClassName("button_toggle",false);
this.photoViewer.removeTags();
}else{
this.portraitTagsButton.setClassName("button_toggle");
this.landscapeTagsButton.setClassName("button_toggle");
this.getTags();
}
};
PhotoView.log=Logger.getLogger("PhotoView");
