function StoriesPhotoCommentResolver(){
this._comments=new Array();
var _1=this;
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onSuccess=function(_2){
_1._onSuccess(_2);
};
this.fbManager.onError=function(_3){
_1._onError(_3);
};
};
StoriesPhotoCommentResolver.prototype.addPhoto=function(_4){
this._comments.push(_4);
};
StoriesPhotoCommentResolver.prototype.resolve=function(){
if(this._comments.length<=0){
return;
}
this._comments.reverse();
this.fbManager.setForceUpdate();
var _5=[];
for(var i=0;i<this._comments.length;++i){
_5.push({method:"photos.canComment",pid:this._comments[i].pid});
_5.push({method:"photos.getComments",pid:this._comments[i].pid});
}
this.fbManager.startAsync(_5,null,true);
};
StoriesPhotoCommentResolver.prototype.cancel=function(){
this._comments=new Array();
this.fbManager.cancel();
};
StoriesPhotoCommentResolver.prototype._onSuccess=function(_7){
if(_7){
var _8=0;
for(var i=0;i<this._comments.length;++i){
var _a=this._comments[i].cell;
var _b=this._comments[i].pid;
var _c=this._comments[i].callbackRef;
var _d=false;
var _e=false;
if(_7[_8]&&_7[_8]==true){
_e=true;
}
var _f=_7[_8+1];
if(_f&&(_f.length>0)){
_a.className="cell event_command button_number_comments";
_a.innerHTML="<span>"+_f.length+"</span>";
_d=true;
}else{
if(_e==true){
_a.className="cell event_command button_add_comments";
_f=[];
_d=true;
}
}
if(_d==true){
_a.is_photo_comment=true;
_a.can_post=_e;
_a.comment_count=_f.length;
_a.pid=_b;
_a.comments=_f;
Events(_a).setAction(function(){
_c.onCommentButtonClicked(this);
});
}
_8+=2;
}
}
this.cancel();
};
StoriesPhotoCommentResolver.prototype._onError=function(msg){
StoriesPhotoCommentResolver.log.error("Error resolving photo comments (will be silently ignored)",msg);
this.cancel();
};
StoriesPhotoCommentResolver.log=Logger.getLogger("StoriesPhotoCommentResolver");
