function StoriesView(id,_2,_3){
StoriesView.baseConstructor.call(this,id);
var _4=this;
this.loader=new SimpleLoader($(_2),$(_3));
this.uid=0;
this.imageLoader=new ImageLoader();
this.photoCommentsResolver=new StoriesPhotoCommentResolver();
};
Helper.extend(StoriesView,Container);
StoriesView.prototype.clearScreen=function(){
var _5=$(this.id);
this.imageLoader.cancel();
this.photoCommentsResolver.cancel();
_5.removeChildren();
this.loader.show(false);
};
StoriesView.prototype.reset=function(){
this.uid=0;
this.clearScreen();
};
StoriesView.prototype.getStoryUid=function(_6,_7){
var id=null;
if(_6.actor&&_6.actor.length){
id=_6.actor;
}else{
if(_7&&_6.participants&&_6.participants.length){
id=_6.participants[0];
}else{
if(_6.href&&_6.href.length){
id=FBUtils.extractUidFromHref(_6.href);
}
}
}
return id;
};
StoriesView.prototype.createDescriptionCell=function(_9){
var _a=this;
var _b=$(document.createElement("div"));
_b.className="cell event_description";
_b.setText(_9.text);
if(_9.photos&&_9.photos.length){
_b.appendChild(document.createElement("br"));
for(var i=0;i<_9.photos.length;++i){
var _d=_9.photos[i];
var _e=document.createElement("div");
_e.style.cssFloat="left";
var _f=document.createElement("img");
_f.className="event_added_photo";
_f.src="images/photo_albums_default.png";
_e.appendChild(_f);
this.imageLoader.addImage({container:_e,src:_d.src,className:"event_added_photo"});
_b.appendChild(_e);
_e.photo=_d;
if(_9.album&&_9.album.owner&&_9.album.owner.length){
_e.actor=_9.album.owner;
}else{
if(_d.owner&&_d.owner.length){
_e.actor=_d.owner;
}else{
_e.actor=this.getStoryUid(_9,false);
}
}
if(_e.actor&&(_d.pid&&_d.pid.length&&_d.pid!="0")){
this.setupImageCallback(_e);
}
}
}
if(!_b.innerHTML.length){
}
return _b;
};
StoriesView.prototype.setupImageCallback=function(img){
var _11=this;
Events(img).setAction(function(){
_11.onImageClicked(this);
});
};
StoriesView.prototype.getStoryOwnerForComments=function(_12){
var _13=null;
if(_12.comment_info&&_12.comment_info.target&&_12.comment_info.length){
_13=_12.comment_info.target;
}else{
if(_12.actor&&_12.actor.length){
_13=_12.actor;
}else{
_13=this.getStoryUid(_12,false);
}
}
return _13;
};
StoriesView.prototype.processPhotoComments=function(_14,_15){
if(_14.photos.length>1){
return null;
}
var _16=$(document.createElement("a"));
_16.href="#";
_16.className="cell";
if(_15){
_16.className+=" arrow_column";
}
this.photoCommentsResolver.addPhoto({cell:_16,pid:_14.photos[0].pid,callbackRef:this});
return _16;
};
StoriesView.prototype.createCommandCellForComments=function(_17,_18){
var _19=null;
if(_17.photos&&(_17.photos.length>0)){
_19=this.processPhotoComments(_17,_18);
}else{
if(!_17.comment_info){
return null;
}
var _1a=-1;
var _1b=false;
if(_17.comment_info.count){
_1a=parseInt(_17.comment_info.count);
}
_1b=(_17.comment_info.can_post&&(_17.comment_info.can_post==true));
if(_1a>0){
_19=$(document.createElement("a"));
_19.href="#";
_19.className="cell event_command button_number_comments";
_19.innerHTML="<span>"+_1a+"</span>";
}else{
if(_1b==true){
_19=$(document.createElement("a"));
_19.href="#";
_19.className="cell event_command button_add_comments";
}
}
if(_19){
_19.story_id=_17.comment_info.fbid;
_19.story_owner=this.getStoryOwnerForComments(_17);
_19.is_story_comment=true;
_19.comment_count=_1a;
_19.can_post=_1b;
var _1c=this;
Events(_19).setAction(function(){
_1c.onCommentButtonClicked(this);
});
}
}
return _19;
};
StoriesView.prototype.addRow=function(ul,_1e){
var li=document.createElement("li");
var div=document.createElement("div");
div.className="cell event_icon";
var img=document.createElement("img");
img.src=_1e.icon;
div.appendChild(img);
li.appendChild(div);
var _22=this.createDescriptionCell(_1e);
li.appendChild(_22);
var _23=this.getStoryUid(_1e,true);
if(_23&&_23.length){
li.actor=_23;
}
if(_1e.href&&_1e.href.length){
li.href=_1e.href;
}
if(_1e.participants&&(_1e.participants.length>0)){
li.first_participant=_1e.participants[0];
}
var _24=((li.actor&&li.actor.length>0)||(li.first_participant&&li.first_participant.length>0));
var _25=false;
var _26=(li.actor==FacebookManager.getSessionUid()||li.actor==this.uid);
var _27=this.createCommandCellForComments(_1e,(_24&&!_26));
if((_27==null)&&(_24==true)){
_27=document.createElement("a");
_27.href="#";
_27.className="cell arrow_column";
_25=true;
}
if(_27!=null){
if((_25==true)&&(_26==true)){
_27=null;
}else{
li.appendChild(_27);
}
}
ul.appendChild(li);
if((_24==true)&&(_26==false)){
var _28=this;
Events(li).setAction(function(){
_28.onRowClicked(this);
});
}
};
StoriesView.prototype.onCommentButtonClicked=function(_29){
if(_29.is_story_comment&&(_29.is_story_comment==true)){
if(_29.story_id&&_29.story_id.length&&_29.story_owner&&_29.story_owner.length){
var _2a=this;
uiManager.get("comments").resolveAndShowStoryComments(_29.story_id,_29.story_owner,_29.comment_count,_29.can_post,function(_2b){
_2a.onCommentAdded(_29,_2b);
});
}
}else{
if(_29.is_photo_comment&&(_29.is_photo_comment==true)){
if(_29.pid&&_29.pid.length){
var _2a=this;
uiManager.get("comments").resolveAndShowPhotoComments(_29.pid,_29.can_post,_29.comments,function(_2c){
if(!_29.comments||_29.comments.constructor!=Array){
_29.comments=[];
}
_29.comments.push({time:_2c.time,body:_2c.text,from:_2c.from});
_2a.onCommentAdded(_29,_2c);
});
}
}
}
};
StoriesView.prototype.onCommentAdded=function(_2d,_2e){
if(_2d){
if(_2d.comment_count<0){
_2d.comment_count=1;
}else{
_2d.comment_count=_2d.comment_count+1;
}
_2d.className="cell event_command button_number_comments";
_2d.innerHTML="<span>"+_2d.comment_count+"</span>";
}
};
StoriesView.prototype.onRowClicked=function(_2f){
var uid=null;
if(_2f.actor){
uid=_2f.actor;
}else{
if(_2f.first_participant){
uid=_2f.first_participant;
}else{
if(_2f.href){
uid=FBUtils.extractUidFromHref(_2f.href);
}
}
}
if(uid){
facebook.isFriend({uid:uid,onSuccess:function(_31){
if(_31){
uiManager.get("user").display(uid);
}else{
uiManager.get("user_not_visible").display(uid);
}
},onError:function(err){
alert(err);
}});
}else{
}
};
StoriesView.prototype.onImageClicked=function(_33){
if(_33.photo){
var uid=(_33.photo.owner&&_33.photo.owner.length)?_33.photo.owner:_33.actor;
if(_33.photo.aid&&_33.photo.aid.length){
this.openPhotoInView(_33.photo.aid,_33.photo.pid,uid);
}else{
var _35=this;
facebook.resolveAidForPhoto({pid:_33.photo.pid,onSuccess:function(_36){
_35.openPhotoInView(_36.aid,_33.photo.pid,uid);
},onError:function(err){
StoriesView.log.error("Error while resolving aid for a photo story: "+err);
}});
}
}
};
StoriesView.prototype.openPhotoInView=function(aid,pid,uid){
var _3b=this;
var _3c=uiManager.get("photo_view");
_3c.displayForIds(aid,pid,uid,function(_3d){
_3b.markDirty(true);
});
};
StoriesView.log=Logger.getLogger("StoriesView");
StoriesView.STORIES_LIMIT=30;
