function User(){
User.baseConstructor.call(this,"user","content");
var _1=this;
this.uid=0;
this.btnExit=this.add("user_top_button_exit");
this.btnExit.onclicked=function(){
Utils.closeApplication();
};
this.btnLogout=this.add("user_top_button_log_out");
this.btnLogout.onclicked=function(){
Login.logout();
$("title").style.width="100%";
};
this.userAction=this.add("user_data_clicker");
this.userAction.onclicked=function(){
_1.onUserAction();
};
this.btnFriendsBack=this.add("friends_controls_back");
this.btnFriendsBack.onclicked=function(){
_1.slide(User.SHOW_DATA);
};
this.btnSendMessage=this.add("send_message_button");
this.btnSendMessage.onclicked=function(){
var _2=(_1.userData.name&&_1.userData.name.length)?_1.userData.name:(_1.userData.first_name+_1.userData.last_name);
uiManager.get("compose").display({uid:_1.uid,name:_2},true);
};
this.btnCall=$("call_button");
Events(this.btnCall).setAction(function(){
if(this.phone){
Utils.doAction(this.phone);
}
});
this.btnPoke=this.add("poke_button");
this.btnPoke.onclicked=function(){
_1.onPokeClicked();
};
this.tabControler=new TabControler(this,"user_tabs");
var _3=new UserWall();
_3.onWallLoaded=function(){
_1.updateActivityBarSize();
};
this.tabControler.addTab(User.TAB_WALL,_3);
this.tabControler.addTab(User.TAB_INFO,new UserInfo());
this.tabControler.addTab(User.TAB_PHOTOS,null);
this.tabControler.onTabClicked=function(_4,_5){
if(_4==User.TAB_PHOTOS){
_1.tabControler.activateTab(User.TAB_WALL);
var _6=_1.parent.get("photo_albums");
_6.display(_1.uid);
}
};
this.username=$("user_name");
this.status_text=$("user_status");
this.status_time=$("user_status_time");
this.user_image=$("user_image_picture");
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onSuccess=function(_7){
_1.onStatusRetrieved(_7);
};
this.fbManager.onError=function(_8){
_1.onErrorReceived(_8);
};
this.activeMenu=null;
this.friend_ctrls=$("friend_controls");
this.me_ctrls=$("me_controls");
this.activityContainer=$("activity_scroller");
this.activityScroller=$("user_user_portfolio");
this.activityClicker=$("user_user_portfolio_data");
var _1=this;
window.addEventListener("resize",function(){
_1.onResize();
},false);
};
Helper.extend(User,FormWithBack);
User.prototype.reset=function(){
this.clearScreen();
this.tabControler.reset();
this.uid=0;
};
User.prototype.onResize=function(){
if(!this.isActive()){
return;
}
this.updateActivityBarSize();
};
User.prototype.onActivated=function(){
User.base.onActivated.call(this);
this.btnExit.element.show(true);
this.showHeaderLeftButton();
this.updateActivityBarSize();
};
User.prototype.refresh=function(_9){
if(_9){
var _a=this.tabControler.getActivedTabPage();
if(_a&&_a.refresh){
_a.refresh.apply(_a,arguments);
}
var _b=this;
var _c={uids:[this.uid],nocache:true,noLoader:true,onSuccess:function(_d){
_b.onUserDataRetrieved(_d);
},onError:function(_e){
_b.onErrorReceived(_e);
}};
facebook.getFriendInfo(_c);
}
};
User.prototype.onDeactivated=function(){
this.btnExit.element.show(false);
this.btnLogout.element.show(false);
User.base.onDeactivated.call(this);
};
User.prototype.updateActivityBarSize=function(){
this.activityWidth=this.activityScroller.clientWidth;
this.activityContainer.style.width=2*this.activityWidth;
this.friend_ctrls.style.width=this.activityWidth;
this.me_ctrls.style.width=this.activityWidth;
if(this.slideDirection===User.SHOW_CONTROLS){
this.activityScroller.scrollLeft=0;
}else{
if(this.slideDirection===User.SHOW_DATA){
this.activityScroller.scrollLeft=this.activityWidth;
}
}
};
User.prototype.showUserDataActivity=function(){
this.slideDirection=User.SHOW_DATA;
this.updateActivityBarSize();
};
User.prototype.slide=function(_f){
this.slideDirection=_f;
var _10=(this.slideDirection===User.SHOW_CONTROLS)?Effects.LEFT:Effects.RIGHT;
var _11=(this.slideDirection===User.SHOW_CONTROLS)?0:(2*this.activityWidth);
var _12=this;
Effects.genericSlide(this.activityScroller,_10,_11,450,"scrollLeft","scrollLeft");
};
User.prototype.clearScreen=function(){
this.username.innerHTML="";
this.user_image.src="images/profile_default.png";
this.status_text.innerHTML="";
this.status_time.innerHTML="";
};
User.prototype.getCustomObjForHistory=function(){
return {uid:this.uid,menu:this.activeMenu};
};
User.prototype.beforeActivatedFromHistory=function(ref){
var _14=uiManager.getMenu();
if(ref.menu){
this.activeMenu=ref.menu;
}else{
this.activeMenu=_14.user;
}
_14.activate(this.activeMenu);
if(this.uid!==ref.uid){
this.display(ref.uid,true);
FormWithBack.ignoreBack=false;
}
};
User.prototype.display=function(uid,_16){
var uid=uid||FacebookManager.getSessionUid();
var _17=uiManager.activePage.id==this.id;
var _18=this.tabControler.getTabs();
for(var i=0;i<_18.length;i++){
var _1a=_18[i].page;
if(_1a&&_1a.setUserId){
_1a.setUserId(uid);
}
}
var _1b=this.uid;
this.uid=uid;
this.parent.activate(this.id);
if(_17&&_1b!=uid&&!_16){
this.addPageToHistory(this.id,{uid:_1b,menu:this.activeMenu});
}
this.showUserDataActivity();
if(_1b===uid){
return;
}
this.uid=uid;
this.showHeaderLeftButton();
this.clearScreen();
var _1c=(this.uid==FacebookManager.getSessionUid());
this.tabControler.showTab(User.TAB_PHOTOS,!_1c);
if(_1c){
this.activityClicker.setClassName("user_actions_status",true);
}else{
this.activityClicker.setClassName("user_actions_status",false);
}
if(!_16){
if(_1c){
this.activeMenu=uiManager.getMenu().user;
}else{
this.activeMenu=uiManager.getMenu().activeItem;
}
uiManager.getMenu().activate(this.activeMenu);
}
var _1d=this;
var _1e={uids:[this.uid],reload:true,noLoader:true,onSuccess:function(_1f){
_1d.onUserDataRetrieved(_1f);
},onError:function(msg){
_1d.onErrorReceived(msg);
}};
facebook.getFriendInfo(_1e);
var _21=this.tabControler.getTab(User.TAB_WALL);
var _22=this.tabControler.getActivedTab();
if(!_22||_22.id!=User.TAB_WALL){
this.tabControler.activateTab(User.TAB_WALL);
}else{
if(_17){
_21.page.refresh(true);
}
}
};
User.prototype.showHeaderLeftButton=function(){
var _23=(this.uid==FacebookManager.getSessionUid());
if(_23){
this.btnLogout.element.show(true);
$("back").show(false);
}else{
this.btnLogout.element.show(false);
this.injectBackButton(this.onBackSoftMenu);
}
};
User.prototype.onUserDataRetrieved=function(_24){
_24=_24[0];
this.username.setText(_24.name);
var img="images/profile_default.png";
if(_24.pic&&_24.pic.length){
img=_24.pic;
}
$("user_image_picture").src=img;
var _26=_24.status;
if(_26&&_26.message&&_26.message.length>0){
this.status_text.setText(_26.message);
this.status_time.setText(FacebookTimeStyleUtil.dateSec2TimeStyle(_26.time));
}else{
this.status_text.innerHTML="";
this.status_time.innerHTML="";
}
this.userData={name:_24.name,first_name:_24.first_name,last_name:_24.last_name};
var _27=this;
var _28=(_24.cell||_24.phone);
if(_28){
_27.btnCall.show(true);
_27.btnCall.phone="wtai://wp/mc;"+_28;
}else{
_27.btnCall.show(false);
}
this.updateActivityBarSize();
};
User.prototype.onErrorReceived=function(msg){
alert("Error getting status: "+msg);
};
User.prototype.onUserAction=function(){
var _2a=this;
if(this.uid===FacebookManager.getSessionUid()){
updateStatusPopup.show(function(_2b){
_2a.onUpdateStatusPopupClosed(_2b);
});
}else{
this.slide(User.SHOW_CONTROLS);
}
};
User.prototype.onUpdateStatusPopupClosed=function(_2c){
if(_2c==UpdateStatusPopup.UPDATE){
this.status=$("update_status_textarea").value;
this.onPostStatus();
}else{
if(_2c==UpdateStatusPopup.CLEAR){
this.status="";
this.onPostStatus();
}
}
};
User.prototype.onPostStatus=function(){
var _2d=this;
var _2e={method:"users.setStatus",uid:this.uid,status:this.status,clear:false,status_includes_verb:true,loader:new LoadingPopup(pr_updating_status),onSuccess:function(_2f){
_2d.onStatusPosted(_2f);
},onError:function(msg){
_2d.onStatusError(msg);
}};
facebook.postStatusUpdate(_2e);
};
User.prototype.onStatusPosted=function(_31){
if(_31){
this.status_text.setText(this.status);
this.status_time.setText((this.status&&this.status.length>0)?lbl_user_status_text_just_after_update:"");
}else{
alert(alert_couldnt_update_status);
}
};
User.prototype.onStatusError=function(msg){
alert(alert_couldnt_update_status+": "+msg);
};
User.prototype.onPokeClicked=function(msg){
var _34=(this.userData.name&&this.userData.name.length)?this.userData.name:(this.userData.first_name+this.userData.last_name);
PokeManager.poke(this.uid,this.userData.first_name,_34);
};
User.log=Logger.getLogger("User");
User.TAB_WALL="user_tab_wall";
User.TAB_INFO="user_tab_info";
User.TAB_PHOTOS="user_tab_photos";
User.SHOW_DATA=0;
User.SHOW_CONTROLS=1;
