function UserWall(){
UserWall.baseConstructor.call(this,"user_profile_wall","user_profile_loader","user_loader_text");
var _1=this;
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onError=function(_2,_3){
_1.onWallError(_2,_3);
};
this.uid=0;
this.btnWriteOnWall=$("write_on_wall_button");
Events(this.btnWriteOnWall).setAction(function(){
writeOnWallPopup.show(function(_4){
_1.onWriteOnWallPopupClosed(_4);
});
});
};
Helper.extend(UserWall,StoriesView);
UserWall.prototype.reset=function(){
this.uid=0;
this.clearScreen();
this.fbManager.setForceUpdate();
};
UserWall.prototype.refresh=function(_5){
UserWall.log.info("Loading minifeed "+_5+", uid: "+this.uid);
if(_5){
this.fbManager.setForceUpdate();
this.clearScreen();
}
this.btnWriteOnWall.show(!(this.uid==FacebookManager.getSessionUid()));
var _6={method:"minifeed.get",show_comments:1,comment_count:0,uid:this.uid,limit:StoriesView.STORIES_LIMIT};
var _7=this;
this.fbManager.onSuccess=function(_8){
_7.onWallReceived(_8);
};
this.fbManager.startAsync(_6,this.loader,_5);
};
UserWall.prototype.onActivated=function(){
UserWall.base.onActivated.apply(this,arguments);
this.btnWriteOnWall.show(!(this.uid==FacebookManager.getSessionUid()));
};
UserWall.prototype.onDeactivated=function(){
UserWall.base.onDeactivated.call(this);
this.btnWriteOnWall.show(false);
};
UserWall.prototype.setUserId=function(_9){
if(this.uid!=_9){
this.markDirty(true);
}
this.uid=_9;
};
UserWall.prototype.display=function(_a,_b){
if(this.uid!=_a||_b){
this.reset();
}
this.uid=_a;
};
UserWall.prototype.onWallReceived=function(_c){
this.clearScreen();
var _d=this;
var _e=null;
var _f=document.createElement("center");
$(this.id).appendChild(_f);
if(_c&&_c.length){
_c.sort(function(a,b){
if(a.time<b.time){
return 1;
}else{
if(a.time>b.time){
return -1;
}
}
return 0;
});
var _12=new Date();
var _13=-1;
var _14=null;
for(var i=0;i<_c.length;++i){
var _16=_c[i];
if(_16.type=="17"){
continue;
}
var _17=new Date(parseInt(_16.time*1000));
var _18=FBUtils.dateDayDiff(_12,_17);
if(_18!=_13){
if(_14){
FBUtils.setStyleForLastRow(_14);
}
var _19=FBUtils.createTitleElement(FBUtils.createDateTableTitle(_12,_17));
_14=FBUtils.createTableElement("no_arrow");
_f.appendChild(_14);
_f.appendChild(_19);
_f.appendChild(_14);
_13=_18;
}
this.addRow(_14,_16);
}
FBUtils.setStyleForLastRow(_14);
}else{
if(this.uid==FacebookManager.getSessionUid()){
_f.innerHTML="<div class='no_data'>"+lbl_user_profile_wall_no_wall_posts+"</div>";
}else{
_f.innerHTML="<div class='no_data'>"+lbl_friend_profile_wall_no_wall_posts+"</div>";
}
}
_f.appendChild(document.createElement("br"));
this.imageLoader.load();
this.photoCommentsResolver.resolve();
if(this.onWallLoaded){
this.onWallLoaded();
}
};
UserWall.prototype.onWallError=function(msg,_1b){
this.clearScreen();
if(_1b=="210"){
alert(msg);
}else{
alert(alert_error_getting_user_info+": "+msg);
}
};
UserWall.prototype.onWriteOnWallPopupClosed=function(_1c){
if(_1c==WriteOnWallPopup.POST){
var _1d=$("write_on_wall_textarea").value;
if(!_1d){
alert(alert_inbox_conversation_reply);
return;
}
var _1e={method:"wall.post",to:this.uid,body:_1d};
var _1f=this;
this.fbManager.onSuccess=function(_20){
_1f.onWallPosted(_20);
};
this.fbManager.startAsync(_1e,new LoadingPopup(pr_posting),true);
}
};
UserWall.prototype.onWallPosted=function(_21){
if(_21){
this.refresh(true);
}else{
alert(alert_write_on_wall_cant_write);
}
};
UserWall.log=Logger.getLogger("UserWall");
