function TabControler(_1,_2){
var _3=this;
this.uiManager=new UIManager();
this.items=[];
this.onTabClicked=null;
this.prev=null;
this.selectedTab=null;
if(_2){
this.container=$(_2);
this.leftButton=$(this.container.id+"_left");
this.rightButton=$(this.container.id+"_right");
this.container.onscroll=function(){
_3.showOrHideArrows();
};
}
this.parent=_1;
var _4=_1.onActivated;
_1.onActivated=function(){
_4.call(_1);
_3.onActivated.call(_3);
};
var _5=_1.onDeactivated;
_1.onDeactivated=function(){
_5.call(_1);
_3.onDeactivated.call(_3);
};
window.addEventListener("resize",function(){
if(_3.isActive()){
_3.showOrHideArrows();
}
},false);
};
Helper.extend(TabControler,Container);
TabControler.prototype.reset=function(){
this.uiManager.resetPages();
this.uiManager.activePage=null;
this.selectedTab=null;
};
TabControler.prototype.onActivated=function(){
TabControler.base.onActivated.call(this);
this.showOrHideArrows();
var _6=this.getActivedTabPage();
if(_6&&_6.onActivated&&!_6.isActive()){
_6.onActivated.call(_6);
}
};
TabControler.prototype.onDeactivated=function(){
TabControler.base.onDeactivated.call(this);
var _7=this.getActivedTabPage();
if(_7&&_7.onDeactivated&&_7.isActive()){
_7.onDeactivated.call(_7);
}
};
TabControler.prototype.showOrHideArrows=function(){
if(!this.container){
return;
}
if(this.container.clientWidth===this.container.scrollWidth){
this.leftButton.setClassName("left_arrow",false);
this.rightButton.setClassName("right_arrow",false);
}else{
if(this.container.scrollLeft===0){
this.leftButton.setClassName("left_arrow",false);
this.rightButton.setClassName("right_arrow");
}else{
if((this.container.scrollLeft+this.container.clientWidth)===this.container.scrollWidth){
this.leftButton.setClassName("left_arrow");
this.rightButton.setClassName("right_arrow",false);
}else{
this.leftButton.setClassName("left_arrow");
this.rightButton.setClassName("right_arrow");
}
}
}
};
TabControler.prototype.addTab=function(id,_9){
var _a=this;
this.prev=this.parent.add(id,this.prev);
this.prev.id=id;
this.prev.page=_9;
this.prev.onclicked=function(){
_a._onTabChanged();
};
this.items.push(this.prev);
if(_9){
this.uiManager.add(_9);
}
};
TabControler.prototype.getTab=function(_b){
for(var i=0;i<this.items.length;i++){
if(_b==this.items[i].id){
return this.items[i];
}
}
TabControler.log.debug(_b+" tab was not found!");
return null;
};
TabControler.prototype.getTabs=function(){
return this.items;
};
TabControler.prototype.getActivedTabPage=function(){
return this.uiManager.activePage;
};
TabControler.prototype.getActivedTab=function(){
return this.selectedTab;
};
TabControler.prototype.showTab=function(_d,_e){
var _f=this.getTab(_d);
_f.element.show(_e);
this.showOrHideArrows();
};
TabControler.prototype.activateTab=function(_10){
TabControler.log.debug("Activating tab "+_10);
for(var i=0;i<this.items.length;i++){
var tab=this.items[i];
tab.element.setClassName("toggle",tab.id==_10);
if(tab.id==_10){
var _13=this.selectedTab&&this.selectedTab.id===_10;
this.selectedTab=tab;
if(tab.page&&tab.page.id){
this.uiManager.activate(tab.page.id);
}
if(this.onTabClicked&&(!_13||!tab.page)){
this.onTabClicked.call(this,tab.id,tab.page);
}
this.parent.activate(tab);
}
}
};
TabControler.prototype._onTabChanged=function(){
var _14=this.parent.activeItem;
this.activateTab(_14.id);
};
TabControler.log=Logger.getLogger("TabControler");
