var uiManager;
var photoSourcePopup;
var updateStatusPopup;
var photoUploadPopup;
var takePhotoPreview;
var navigation;
var updateListener;
var screenSize={width:0,height:0};
function init(){
APIBridge.enableSecureSession();
updateLabels();
WrtHelper.isTouchEnabledDevice=function(){
return false;
};
widget.setNavigationEnabled(false);
uiManager=new UIManager();
uiManager.add(new Login());
uiManager.add(new Home());
uiManager.add(new User());
uiManager.add(new Friends());
uiManager.add(new UserWall());
uiManager.add(new UserInfo());
uiManager.add(new CommentsView());
uiManager.add(new PhotoAlbums());
photoUploadPreview=new PhotoUploadPreview();
uiManager.add(photoUploadPreview);
uiManager.add(new PhotoView());
uiManager.add(new Photos());
uiManager.add(new PhotoGallery());
uiManager.add(new Inbox());
uiManager.add(new ComposeMessageView());
uiManager.add(new UpdateStatus());
uiManager.add(new UserNotVisible());
uiManager.add(new Pokes());
uiManager.add(new FriendRequests());
uiManager.add(new About());
uiManager.add(new Blank());
window.menu.showSoftkeys();
uiManager.setMenu(new Menu());
onResize();
setTimeout(Login.autoLogin,0);
updateListener=new UpdateListener();
onResizeWithTimeout();
PhotoViewer.EMPTY_IMAGE_URL="images/3_2/image_empty.png";
PhotoViewer.ERROR_IMAGE_URL="images/3_2/image_error.png";
};
function isLandscape(){
var _1=screen.height;
var _2=screen.width;
return (_1<_2);
};
var MENU_WIDTH=90;
var MENU_HEIGHT=40;
function onResizeWithTimeout(){
setTimeout(onResize,0);
};
function onResize(){
var _3=window.innerHeight;
var _4=window.innerWidth;
Logger.getRootLogger().info("Widget resized: "+_4+", height :"+_3);
if((_4==screenSize.width)&&(_3==screenSize.height)){
}
screenSize.width=_4;
screenSize.height=_3;
var _5=$("container");
var _6=$("content");
var _7=$("buttons_bottom");
var _8=$("title");
_5.style.height=_3+"px";
_5.style.width=_4+"px";
_7.setClassName("landscape",isLandscape());
var _9=_3-_8.clientHeight;
if(_7.clientHeight){
_9-=_7.clientHeight;
}
_6.style.height=_9+"px";
_6.style.width=_4+"px";
var _a=$("pop_up");
_a.style.height=_3+"px";
_a.style.width=_4+"px";
var _b=_4;
var _c=_3;
if(isLandscape()){
_b=_4;
_c=_3-107;
}else{
_b=_4-90;
_c=_3;
}
};
var ImagePreloader={list:[],images:[],add:function(_d){
this.list=this.list.concat(_d);
},start:function(){
for(var i=0;i<this.list.length;i++){
var _f=new Image();
_f.src=this.list[i];
this.images.push(_f);
}
}};
function updateLabels(){
$("fb_start_text").innerHTML=lbl_startup_text;
$("bottom_button_home").innerHTML=menu_home;
$("bottom_button_friends").innerHTML=menu_friends;
$("bottom_button_photos").innerHTML=menu_photos;
$("bottom_button_inbox_empty").innerHTML=menu_inbox;
$("login_email_label").innerHTML=lbl_login_email;
$("login_password_label").innerHTML=lbl_login_pass;
$("login_login_button").innerHTML=btn_login;
$("login_or").innerHTML=txt_static_startup_or;
$("login_signup_button").innerHTML=btn_static_startup_signup;
$("login_fb_startup_text").innerHTML=lbl_startup_text;
$("activities_title").innerHTML=lbl_user_info_activities;
$("act_text_update_status").innerHTML=btn_update_status;
$("act_text_send_message").innerHTML=btn_friend_send_message;
$("act_text_call").innerHTML=btn_friend_call;
$("act_text_poke").innerHTML=btn_friend_poke;
$("act_text_wall").innerHTML=tab_user_wall;
$("act_text_photos").innerHTML=tab_friend_photos;
$("act_text_add_photos").innerHTML=btn_add_photos;
$("act_text_info").innerHTML=tab_user_info;
$("usernotvisible_add_as_friend_btn").innerHTML=btn_usernotvisible_add_as_friend;
$("usernotvisible_send_a_message").innerHTML=btn_usernotvisible_send_a_message;
$("wall_title").innerHTML=tab_user_wall;
$("pokes_top_subtitle").innerHTML=btn_home_notifications_pokes;
$("update_status_subtitile").innerHTML=btn_update_status;
$("update_status_btn_update").innerHTML=btn_updatestatus_update;
$("update_status_btn_clear").innerHTML=btn_updatestatus_clear;
$("photos_prev_page").innerHTML=btn_pagination_prev;
$("photos_next_page").innerHTML=btn_pagination_next;
$("photo_gallery_prev_page").innerHTML=btn_pagination_prev;
$("photo_gallery_next_page").innerHTML=btn_pagination_next;
$("friend_search_but").innerHTML=txt_friends_searh_filter_hint;
$("friendsPrevPage").innerHTML=btn_pagination_prev;
$("friendsNextPage").innerHTML=btn_pagination_next;
$("inbox_no_messages").innerHTML=msg_inbox_empty;
$("compose_subtitle").innerHTML=title_compose;
$("compose_search_label").innerHTML=txt_friends_searh_filter_hint+":";
$("button_compose_adduser").innerHTML=txt_friends_searh_filter_hint;
$("compose_no_recipinet_message").innerHTML=alert_compose_no_recipients;
$("compose_label_subject").innerHTML=lbl_compose_subject+":";
$("compose_label_message:").innerHTML=lbl_compose_message+":";
$("btn_compose_send").innerHTML=btn_compose_send;
$("comments_post_comment").innerHTML=btn_addcomments_popup;
$("about_subtitle").innerHTML=lbl_about;
$("photo_upload_tap_message").innerHTML="* "+lbl_addtag_hint;
$("photo_upload_popup_subtitle").innerHTML=title_albumchoose_popup;
$("photo_upload_popup_title").innerHTML=lbl_albumchoose_popup_title;
$("photo_upload_popup_album").innerHTML=lbl_albumchoose_popup_album;
$("photo_upload_albums_upload").innerHTML=btn_picupload_upload;
$("photo_upload_albums_cancel").innerHTML=btn_picupload_cancel;
$("tagging_popup_title").innerHTML="Add tag";
$("photo_upload_tag_search").innerHTML=txt_friends_searh_filter_hint;
$("photo_upload_tag_add").innerHTML=btn_photoupload_addtag_add;
$("photo_upload_tag_cancel").innerHTML=btn_photoupload_addtag_cancel;
$("message_popup_title").innerHTML=lbl_albumchoose_popup_title;
$("message_popup_text").innerHTML=lbl_albumchoose_popup_album;
$("photo_upload_tag_add").innerHTML=btn_photoupload_addtag_add;
$("photo_upload_tag_cancel").innerHTML=btn_photoupload_addtag_cancel;
};
function preloadImages(){
ImagePreloader.add(["images/3_2/action_comment.png","images/3_2/action_photos.png","images/3_2/action_profile.png","images/3_2/arrow.png","images/3_2/buttons_bg.png","images/3_2/button_friends.png","images/3_2/button_friends_s.png","images/3_2/button_home.png","images/3_2/button_home_s.png","images/3_2/button_inbox_empty.png","images/3_2/button_inbox_empty_s.png","images/3_2/button_photos.png","images/3_2/button_photos_s.png","images/3_2/button_s.png","images/3_2/button_s_act.png","images/3_2/button_s_gray.png","images/3_2/button_s_middle.png","images/3_2/button_s_middle_act.png","images/3_2/button_s_middle_gray.png","images/3_2/button_s_wide.png","images/3_2/button_s_wide_act.png","images/3_2/button_s_wide_gray.png","images/3_2/button_user.png","images/3_2/button_user_s.png","images/3_2/control_panel_friend.png","images/3_2/control_panel_info.png","images/3_2/control_panel_mail.png","images/3_2/control_panel_phone.png","images/3_2/control_panel_photos.png","images/3_2/control_panel_poke.png","images/3_2/control_panel_status.png","images/3_2/control_panel_wall.png","images/3_2/facebook_title.png","images/3_2/icon_add_comment.png","images/3_2/icon_add_comment_focused.png","images/3_2/icon_comments.png","images/3_2/icon_comments_focused.png","images/3_2/icon_phone.png","images/3_2/image_empty.png","images/3_2/image_error.png","images/3_2/image_error_61.png","images/3_2/inbox_delete.png","images/3_2/inbox_delete_pressed.png","images/3_2/inbox_mail.png","images/3_2/notifications_friend.png","images/3_2/notifications_mail.png","images/3_2/notifications_poke.png","images/3_2/photo_albums_default.png","images/3_2/photo_default.png","images/3_2/photo_view_arrow_left.png","images/3_2/photo_view_arrow_left_pressed.png","images/3_2/photo_view_arrow_right.png","images/3_2/photo_view_arrow_right_pressed.png","images/3_2/pop_up_bottom_left.png","images/3_2/pop_up_bottom_right.png","images/3_2/pop_up_straight.png","images/3_2/pop_up_top_left.png","images/3_2/pop_up_top_right.png","images/3_2/profile_default.png","images/3_2/shadow.png","images/3_2/splash_bg.png","images/3_2/splash_logo.png","images/3_2/table_pop_up_bg.png","images/3_2/tag_tapper.png","images/3_2/top_bg.png","images/3_2/tr_bg.png","images/3_2/user_default_square.png"]);
ImagePreloader.start();
};
