function AsyncJob(_1){
this.lastUpdateTime=0;
this.broker=_1;
this.onError=null;
this.onSuccess=null;
var _2=this;
this.broker.onSuccess=function(_3){
_2.handleSuccessResponse(_3);
};
this.broker.onError=function(_4,_5){
_2.handleErrorResponse(_4,_5);
};
this.updateInterval=AsyncJob.INTERVAL;
};
AsyncJob.prototype.setForceUpdate=function(){
this.lastUpdateTime=0;
};
AsyncJob.prototype.startAsync=function(_6,_7,_8,_9){
if(_8||this.isUpdateRequired()){
this.progressHandler=_7;
this.hideAfterSuccess=_9;
this.showProgress();
return this.broker.startAsync(_6);
}
return true;
};
AsyncJob.prototype.isUpdateRequired=function(){
var _a=new Date().getTime();
return (this.lastUpdateTime+this.updateInterval<_a);
};
AsyncJob.prototype.cancel=function(){
this.showProgress(false);
this.broker.cancel();
};
AsyncJob.prototype.showProgress=function(_b){
if(this.progressHandler){
if(_b==null){
_b=true;
}
if(AsyncJob.log.isDebugEnabled()){
AsyncJob.log.debug("showProgress "+_b);
}
this.progressHandler.show(this,_b);
if(!_b){
this.progressHandler=null;
}
}
};
AsyncJob.prototype.handleSuccessResponse=function(_c){
var _d=this.hideAfterSuccess;
var _e=this.progressHandler;
if(!this.hideAfterSuccess){
this.showProgress(false);
}
if(this.onSuccess){
this.onSuccess.call(this,_c);
}
if(_d){
if(this.progressHandler==_e){
this.showProgress(false);
}else{
_e.show(null,false);
}
}
this.lastUpdateTime=new Date().getTime();
};
AsyncJob.prototype.handleErrorResponse=function(_f,_10){
this.showProgress(false);
if(this.onError){
this.onError.call(this,_f,_10);
}
};
AsyncJob.log=Logger.getLogger("AsyncJob");
AsyncJob.INTERVAL=300000;
