function ComposeMessageView(){
ComposeMessageView.baseConstructor.call(this,"compose","content");
var _1=this;
this.no_recipient_message=$("compose_no_recipinet_message");
this.compose_to=$("compose_to");
this.subject=$("compose_subject");
this.message=$("compose_message");
this.added_users=$("compose_added_users");
this.send_table=$("compose_recipient_added");
this.lastSearch="";
this.btnSend=$("btn_compose_send");
Events(this.btnSend).setAction(function(){
_1.onSendClicked();
});
this.btnSearchUser=$("button_compose_adduser");
Events(this.btnSearchUser).setAction(function(){
_1.onSearchClicked();
});
this.friendSuggestHelper=new FriendSuggestHelper(this,$("compose_search_results"),$("compose_search_progress"),this.compose_to);
this.friendSuggestHelper.createRow=function(_2){
var _3=document.createElement("tr");
_3.className="compose_search_results_row";
var _4=document.createElement("td");
_4.className="n";
$(_4).setText(_2.name);
_3.appendChild(_4);
_4.friend={uid:_2.uid,name:_2.name};
Events(_4).setAction(function(){
_1._appendUserToList(this.friend);
_1.friendSuggestHelper.hideFriendSuggestion();
});
return _3;
};
};
Helper.extend(ComposeMessageView,FormWithBack);
ComposeMessageView.prototype.onSelectionChanged=function(_5,_6,_7){
ComposeMessageView.base.onSelectionChanged.call(this,_5,_6,_7);
this.showSearchSoftMenu();
};
ComposeMessageView.prototype.showSearchSoftMenu=function(){
this.mSearch.setDimmed(this._hasRecipients&&this.lastSearch.length&&this.lastSearch==this.compose_to.value);
};
ComposeMessageView.prototype.reset=function(){
this.clearScreen();
};
ComposeMessageView.prototype.showForSend=function(){
var _8=this._hasRecipients();
this.send_table.show(_8);
this.no_recipient_message.show(!_8);
this.mSendMessage.setDimmed(!_8);
};
ComposeMessageView.prototype._hasRecipients=function(){
if(this.added_users.childNodes&&this.added_users.childNodes.length>=1){
return true;
}
return false;
};
ComposeMessageView.prototype.onSearchClicked=function(){
this.lastSearch=this.compose_to.value;
this.friendSuggestHelper.searchFriends(this.compose_to.value);
};
ComposeMessageView.prototype._validate=function(){
if(!this._hasRecipients()){
alert("You must specify at least one recipient for this message.");
return false;
}
if(!this.message||this.message.value.length<=0){
alert("You may not send a message without any text.");
return false;
}
return true;
};
ComposeMessageView.prototype._createToParameter=function(){
var to="";
for(var i=0;i<this.added_users.childNodes.length;i++){
var _b=this.added_users.childNodes[i];
if(_b._uid){
to+=_b._uid+",";
}
}
to=to.substring(0,to.length-1);
return to;
};
ComposeMessageView.prototype.onSendClicked=function(){
if(this._validate()){
var _c=this;
var _d=this._createToParameter();
var _e={to:_d,subject:this.subject.value,body:this.message.value,onError:function(_f){
_c.onErrorReceived(_f);
},onSuccess:function(_10){
_c.onSuccessSend(_10);
}};
facebook.sendMessage(_e);
}
};
ComposeMessageView.prototype._appendUserToList=function(_11){
if(!_11){
return;
}
var _12=this;
var _13=this.createUserDiv(_11);
this.added_users.appendChild(_13);
this.invalidate();
Events(_13).setAction(function(){
var div=this;
div.className="";
setTimeout(function(){
_12.added_users.removeChild(div);
_12.showForSend();
_12.invalidate();
},0);
});
this.showForSend();
};
ComposeMessageView.prototype.display=function(_15,_16){
this.parent.activate(this.id,_16);
this.compose_to.value="";
if(_15){
this._appendUserToList(_15);
}
this.showForSend();
};
ComposeMessageView.prototype.clearScreen=function(){
this.compose_to.value="";
this.subject.value="";
this.message.value="";
this.send_table.show(false);
this.added_users.removeChildren();
};
ComposeMessageView.prototype.createUserDiv=function(_17){
var div=document.createElement("div");
div.className="compose_remove_user n";
$(div).setText(_17.name);
div._uid=_17.uid;
return div;
};
ComposeMessageView.prototype.onSuccessSend=function(_19){
this.onBackSoftMenu();
};
ComposeMessageView.prototype.onErrorReceived=function(msg){
alert("Error when sending message: "+msg);
};
ComposeMessageView.prototype.onDeactivated=function(){
this.setIgnoreBack();
ComposeMessageView.base.onDeactivated.call(this);
};
ComposeMessageView.prototype.onActivated=function(_1b){
ComposeMessageView.base.onActivated.call(this);
var _1c=this;
menu.clear();
this.mSendMessage=new MenuItem("Send message",ComposeMessageView.SEND_MESSAGE);
Events.setMenuAction(this.mSendMessage,function(_1d){
uiManager.get("compose").onSendClicked();
});
this.mSearch=new MenuItem("Search",ComposeMessageView.SEARCH);
Events.setMenuAction(this.mSearch,function(_1e){
uiManager.get("compose").onSearchClicked();
});
menu.append(this.mSearch);
menu.append(this.mSendMessage);
if(_1b==null||_1b){
this.clearScreen();
}
this.showForSend();
};
ComposeMessageView.SEARCH=Menu.getUniqueId();
ComposeMessageView.SEND_MESSAGE=Menu.getUniqueId();
ComposeMessageView.log=Logger.getLogger("compose");
