function FriendRequests(){
FriendRequests.baseConstructor.call(this,"friend_requests","content");
var _1=this;
this.friendsRequestsList=$("friends_requests_list");
this.titleBar=$("friend_requests_title");
this.loader=new InlineLoader($(this.id),pr_loading);
};
Helper.extend(FriendRequests,FormWithBack);
FriendRequests.prototype.clearScreen=function(){
this.friendsRequestsList.removeChildren();
this.titleBar.innerHTML="";
};
FriendRequests.prototype.reset=function(){
this.clearScreen();
};
FriendRequests.prototype.updateTitle=function(){
if(this.count<=0){
$(this.titleBar).setText(lbl_home_notifications_no_friend_requests);
}else{
if(this.count==1){
$(this.titleBar).setText(FBUtils.formatString(lbl_home_notifications_one_friend_request,this.count));
}else{
$(this.titleBar).setText(FBUtils.formatString(lbl_home_notifications_x_friends_requests,this.count));
}
}
};
FriendRequests.prototype.display=function(_2){
this.parent.activate(this.id);
var _3=this;
this.clearScreen();
var _4={uids:_2,reload:true,loader:this.loader,onSuccess:function(_5){
_3.onDataReceived(_5);
},onError:function(_6){
alert(_6);
}};
facebook.getFriendInfo(_4);
};
FriendRequests.prototype.createRow=function(_7){
var tr=document.createElement("tr");
var _9=document.createElement("td");
_9.className="user_data_pic";
_9.innerHTML="<img src='images/3_2/user_default_square.png'/>";
if(_7.pic_square&&_7.pic_square.length){
_9.innerHTML="<img src='"+_7.pic_square+"' />";
}
var _a=document.createElement("td");
var _b=document.createElement("div");
_b.className="user_data_name";
$(_b).setText(_7.name);
_a.appendChild(_b);
var _c=document.createElement("div");
_c.className="user_data_content";
var _d=document.createElement("div");
_d.className="button button_middle n";
_d.innerHTML=btn_friendrequests_accept;
_c.appendChild(_d);
var _e=document.createElement("div");
_e.className="button gray n";
_e.innerHTML=btn_friendrequests_ignore;
_c.appendChild(_e);
_a.appendChild(_c);
tr.appendChild(_9);
tr.appendChild(_a);
_e._self=this;
_e._uid=_7.uid;
_e._div=_c;
_e._row=tr;
_d._self=this;
_d._uid=_7.uid;
_d._div=_c;
_d._row=tr;
Events(_d).setAction(function(){
FriendRequests.onAcceptClicked(this);
});
Events(_e).setAction(function(){
FriendRequests.onIgnoreClicked(this);
});
return tr;
};
FriendRequests.prototype.onDataReceived=function(_f){
this.friendsRequestsList.show(_f.length!=0);
this.count=_f.length;
if(_f.length==0){
this.updateTitle();
return;
}
this.updateTitle();
var _10=this;
for(var i=0;i<_f.length;++i){
var _12=_f[i];
var row=this.createRow(_12);
this.friendsRequestsList.appendChild(row);
}
this.invalidate();
};
FriendRequests.onRowClicked=function(uid,_15){
if(_15!=FriendRequests.ACCEPT){
return;
}
uiManager.get("user").display(uid);
};
FriendRequests.prototype.onResponseToRequest=function(_16,_17,_18){
if(_16){
if(_18==FriendRequests.ACCEPT){
_17._div.innerHTML="You accepted this friend request.";
_17._div.className="user_data_text";
_17._row.className=_17._row.className+" n";
_17._row.uid=_17._uid;
_17._row.type=_18;
this.setSelected(_17._row);
Events(_17._row).setAction(function(){
FriendRequests.onRowClicked(this.uid,this.type);
});
}else{
_17._div.innerHTML="You ignored this friend request.";
_17._div.className="user_data_text";
_17._row.className=_17._row.className+" n";
_17._row.type=_18;
}
facebook.refreshNotifications();
this.count=this.count-1;
this.updateTitle();
this.invalidate();
}else{
alert("failed from API");
}
};
FriendRequests.onAcceptClicked=function(_19){
var _1a=_19._self;
var _1b={uid:_19._uid,confirm:1,onSuccess:function(_1c){
_1a.onResponseToRequest(_1c,_19,FriendRequests.ACCEPT);
},onError:function(msg){
alert(msg);
},loader:new LoadingPopup(pr_accepting_friend)};
facebook.confirmFriend(_1b);
};
FriendRequests.onIgnoreClicked=function(_1e){
var _1f=_1e._self;
var _20={uid:_1e._uid,confirm:0,onSuccess:function(_21){
_1f.onResponseToRequest(_21,_1e,FriendRequests.IGNORE);
},onError:function(msg){
alert(msg);
},loader:new LoadingPopup(pr_ignoring_friend)};
facebook.confirmFriend(_20);
};
FriendRequests.prototype.onActivated=function(){
FriendRequests.base.onActivated.call(this);
};
FriendRequests.IGNORE=0;
FriendRequests.ACCEPT=1;
