function Inbox(){
Inbox.baseConstructor.call(this,"inbox","content");
var _1=this;
this.threadsTable=$("inbox_threads_table");
this.threads_subtitle=$("inbox_threads_type");
this.no_data=$("inbox_no_messages");
this.threadsType=Inbox.INBOX;
this.loader=new InlineLoader($(this.id),pr_getting_messages);
this.refreshTime=0;
};
Helper.extend(Inbox,FormWithBack);
Inbox.prototype.reset=function(){
this.clearScreen();
this.threadsType=Inbox.INBOX;
};
Inbox.prototype.onMenuItemSelected=function(_2){
var _3=uiManager.get("inbox");
var _4=_3.threadsType;
switch(_2){
case Inbox.INBOX:
_3.threadsType=Inbox.INBOX;
_3.refresh(_4==Inbox.INBOX);
break;
case Inbox.SENT:
_3.threadsType=Inbox.SENT;
_3.refresh(_4==Inbox.SENT);
break;
case Inbox.COMPOSE:
uiManager.activate("compose");
break;
}
};
Inbox.prototype._processKeyEvent=function(_5){
var _6=this.getSelected();
if(_5.keyNum===Keyboard.KEY_RIGHT&&_6&&_6.id=="inbox_thread_item"){
_5.keyNum=Keyboard.KEY_ENTER;
}
return Inbox.base._processKeyEvent.apply(this,arguments);
};
Inbox.prototype.onActivated=function(){
Inbox.base.onActivated.call(this);
var _7=this;
menu.clear();
var _8=new MenuItem("Compose message",Inbox.COMPOSE);
Events.setMenuAction(_8,this.onMenuItemSelected);
menu.append(_8);
var _9=new MenuItem("Mailbox",Inbox.MAILBOX);
menu.append(_9);
var _a=new MenuItem("Sent",Inbox.SENT);
var _b=new MenuItem("Inbox",Inbox.INBOX);
Events.setMenuAction(_a,this.onMenuItemSelected);
Events.setMenuAction(_b,this.onMenuItemSelected);
_9.append(_a);
_9.append(_b);
Menu.createDefaultSoftMenu(this.id,false);
};
Inbox.prototype.refresh=function(_c){
var _d=this;
this.clearScreen();
var _e={uid:FacebookManager.getSessionUid(),outbox:this.threadsType!=Inbox.INBOX,loader:this.loader,nocache:_c,onSuccess:function(_f){
_d.onThreadsReceived(_f);
},onError:function(msg,_11){
_d.onErrorReceived(msg,_11);
}};
facebook.getThreads(_e);
};
Inbox.prototype.onDeactivated=function(){
Inbox.base.onDeactivated.call(this);
};
Inbox.prototype.clearScreen=function(){
this.threadsTable.removeChildren();
this.threads_subtitle.innerHTML="";
this.no_data.show(false);
this.invalidate();
};
Inbox.prototype.onThreadsReceived=function(_12){
this.clearScreen();
if(this.threadsType==Inbox.INBOX){
this.threads_subtitle.innerHTML="Inbox";
}else{
this.threads_subtitle.innerHTML="Sent";
}
this.no_data.show(false);
if(!_12.length){
this.no_data.show(true);
return;
}
_12.sort(function(a,b){
if(a.last_update<b.last_update){
return 1;
}else{
if(a.last_update>b.last_update){
return -1;
}
}
return 0;
});
var _15=new Date();
var _16=-1;
this.rows=new Array();
var _17=[];
var _18={};
var _19=null;
for(var i=0;i<_12.length;i++){
var _1b=_12[i];
var _1c=new Date(parseInt(_1b.last_update)*1000);
var _1d=FBUtils.dateDayDiff(_15,_1c);
if(_1d!=_16){
var _1e=FBUtils.createDateRow(FBUtils.createDateTableTitle(_15,_1c),3);
this.threadsTable.appendChild(_1e);
_16=_1d;
}
var _1f=this.createThreadRow(_1b);
this.threadsTable.appendChild(_1f.tr);
if(!_19){
_19=_1f.tr;
}
this.rows.push({element:_1f.tr,img:_1f.img,nameDiv:_1f.nameDiv,tid:_1f.tr._tid,uid:_1f.tr._uid,gid:_1f.tr._gid,participants:_1f.tr._participants});
if(!_18[_1f.tr._uid]){
_18[_1f.tr._uid]=true;
_17.push(_1f.tr._uid);
}
}
this.setSelected(_19);
var _20=this;
var _21={uids:_17,onSuccess:function(_22){
_20.onDetailsReceived(_22);
},onError:function(err){
_20.onErrorReceived(err);
},noLoader:true};
facebook.getFriendInfo(_21);
this.invalidate();
};
Inbox.prototype.createThreadRow=function(_24){
var tr=document.createElement("tr");
var _26=_24.unread_count&&_24.unread_count!=="0"&&_24.unread_count!==0;
if(_26){
tr.className="inbox_item unread n";
}else{
tr.className="inbox_item n";
}
var _27=document.createElement("td");
_27.className="user_img";
var img=document.createElement("img");
img.src="images/3_2/user_default_square.png";
_27.appendChild(img);
tr.appendChild(_27);
var _29=document.createElement("td");
var _2a=document.createElement("div");
_2a.className="inbox_name";
_2a.innerHTML="";
_29.appendChild(_2a);
var _2b=document.createElement("span");
_2b.className="inbox_time";
_2b.innerHTML=FBUtils.formatString(lbl_timestyle_x_at_x,"",FBUtils.dateSec2String(_24.last_update,"HH:MM"));
_2a.appendChild(_2b);
var _2c=document.createElement("div");
_2c.className="inbox_title";
$(_2c).setText(FBUtils.generateThreadSubject(_24,true));
_29.appendChild(_2c);
tr.appendChild(_29);
var _2d=document.createElement("td");
_2d.className="arrow_column";
_2d.innerHTML="<div class='arrow'></div>";
tr.appendChild(_2d);
tr._tid=_24.tid;
tr._subject=FBUtils.generateThreadSubject(_24,false);
tr._uid=FBUtils.getUidFromThread(_24,this.threadsType==Inbox.SENT);
tr._isUnread=_26;
tr._gid=_24.originator.gid;
tr._participants=_24.participants;
tr.setAttribute("id","inbox_thread_item");
Events(tr).setAction(function(){
Inbox.onThreadClicked(tr);
});
return {tr:tr,img:img,nameDiv:_2a};
};
Inbox.prototype.onDetailsReceived=function(_2e){
for(var i=0;i<_2e.length;++i){
var _30=_2e[i];
for(var j=0;j<this.rows.length;++j){
var row=this.rows[j];
if(row.uid==_30.uid){
_30.participants=row.participants;
var _33=FBUtils.getThreadRowUserDetails(_30,this.threadsType==Inbox.SENT);
row.nameDiv.insertBefore(document.createTextNode(_33.name),row.nameDiv.firstChild);
row.img.src=_33.pic;
}
}
}
this.invalidate();
};
Inbox.prototype.onErrorReceived=function(msg,_35){
alert("Error getting your inbox: "+msg);
};
Inbox._convertToComments=function(_36){
var _37=[];
for(var i=0;i<_36.length;i++){
var _39=_36[i];
_39.from=_39.author;
_39.time=_39.time_sent;
_39.text=_39.body;
_37[i]=_39;
}
return _37;
};
Inbox.onMessagePost=function(_3a,_3b){
var _3c=uiManager.get("comments");
var _3d={tid:_3a._tid,body:_3b,onError:function(msg,_3f){
alert(msg);
_3c.showCommentBox(true);
},onSuccess:function(_40){
_3c.appendLastPost();
_3c.showCommentBox(true);
},loader:_3c.loader};
facebook.mailboxReply(_3d);
};
Inbox.markThreadAsRead=function(tid){
var _42={tid:tid,onSuccess:function(r){
facebook.refreshNotifications();
},onError:function(err){
Inbox.log.warn("Could not mark the mail as read. Error: "+err);
}};
facebook.markMessagesAsRead(_42);
};
Inbox.onThreadClicked=function(_45){
var _46=uiManager.get("comments");
_46.displayThreadMessages(_45);
};
Inbox.INBOX=Menu.getUniqueId();
Inbox.SENT=Menu.getUniqueId();
Inbox.COMPOSE=Menu.getUniqueId();
Inbox.MAILBOX=Menu.getUniqueId();
