function PhotoMatrixBase(id,_2,_3,_4){
PhotoMatrixBase.baseConstructor.call(this,id,"content");
var _5=this;
this.photosTitle=$(_2);
this.photosContainer=$(_3);
this.loader=new InlineLoader($(this.id),pr_loading);
this.pager=new Pager(12);
this.prevButton=$(_4.prevBtnId);
Events(this.prevButton).setAction(function(){
_5.prevPage();
});
this.nextButton=$(_4.nextBtnId);
Events(this.nextButton).setAction(function(){
_5.nextPage();
});
this.pagerTitle=$(_4.titleId);
this.pagerElement=$(_4.elementId);
};
Helper.extend(PhotoMatrixBase,FormWithBack);
PhotoMatrixBase.prototype.createPhoto=function(_6){
var _7=document.createElement("div");
_7.className="image_container n";
var _8=document.createElement("div");
_8.className="cropper";
var _9=document.createElement("img");
_9.src="images/3_2/photo_default.png";
_8.appendChild(_9);
_7.appendChild(_8);
return {container:_7,img:_9};
};
PhotoMatrixBase.prototype.reset=function(){
this.clearScreen();
};
PhotoMatrixBase.prototype.setupPrevNextSoftMenu=function(){
var _a=this;
menu.clear();
if(this.pager.hasNextPage()||this.pager.hasPrevPage()){
var _b=new MenuItem(PhotoMatrixBase.MENU_PAGE_NAME,PhotoMatrixBase.MENU_PAGE_ID);
menu.append(_b);
if(this.pager.hasNextPage()){
var _c=new MenuItem(PhotoMatrixBase.MENU_NEXT_NAME,PhotoMatrixBase.MENU_NEXT_ID);
Events.setMenuAction(_c,function(){
_a.nextPage();
});
_b.append(_c);
}
if(this.pager.hasPrevPage()){
var _d=new MenuItem(PhotoMatrixBase.MENU_PREV_NAME,PhotoMatrixBase.MENU_PREV_ID);
Events.setMenuAction(_d,function(){
_a.prevPage();
});
_b.append(_d);
}
}
Menu.createDefaultSoftMenu(this.id,false);
};
PhotoMatrixBase.prototype.setupPagination=function(){
var _e=this.pager.getPageCount();
if(_e>1){
var _f=this.pager.getCurrentPage();
this.prevButton.show(this.pager.hasPrevPage());
this.nextButton.show(this.pager.hasNextPage());
var _10="Page "+_f+" of "+_e;
this.pagerTitle.innerHTML=_10;
this.pagerElement.show(true);
}else{
this.pagerElement.show(false);
}
this.setupPrevNextSoftMenu();
};
PhotoMatrixBase.prototype.nextPage=function(){
this.pager.nextPage();
this.setupPagination();
this.clearScreen();
this.setScrollerPos(0);
};
PhotoMatrixBase.prototype.prevPage=function(){
this.pager.prevPage();
this.setupPagination();
this.clearScreen();
this.setScrollerPos(0);
};
PhotoMatrixBase.prototype.onActivated=function(){
PhotoMatrixBase.base.onActivated.call(this);
this.setupPagination();
};
PhotoMatrixBase.prototype.clearScreen=function(_11){
if(_11){
this.photosTitle.innerHTML="";
}
this.photosContainer.removeChildren();
};
PhotoMatrixBase.MENU_PAGE_ID=Menu.getUniqueId();
PhotoMatrixBase.MENU_NEXT_ID=Menu.getUniqueId();
PhotoMatrixBase.MENU_PREV_ID=Menu.getUniqueId();
PhotoMatrixBase.MENU_PAGE_NAME="Page";
PhotoMatrixBase.MENU_NEXT_NAME="Next";
PhotoMatrixBase.MENU_PREV_NAME="Prev";
