function ComposeMessageView(){
ComposeMessageView.baseConstructor.call(this,"compose","content");
var _1=this;
this.btnSend=this.add("btn_compose_send");
this.btnSend.onclicked=function(){
_1.onSendClicked();
};
this.btnAddUser=this.add("button_compose_adduser");
this.btnAddUser.onclicked=function(){
_1.onAddClicked();
};
this.compose_to=$("compose_to");
this.compose_to.onkeyup=function(_2){
if(_1.lastTimerId){
clearTimeout(_1.lastTimerId);
}
_1.lastTimerId=setTimeout(function(){
_1.lastTimerId=null;
_1.onKeyPress();
},1000);
};
this.user_list_table=$("table_compose_user_list");
this.friend_suggest_list=$("choose_friend_list");
this.subject=$("compose_subject");
this.message=$("compose_message");
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onSuccess=function(_3){
_1.onSuccessSend(_3);
};
this.fbManager.onError=function(_4){
_1.onErrorReceived(_4);
};
this.prevUserRow=null;
this.inProgress=false;
};
Helper.extend(ComposeMessageView,FormWithBack);
ComposeMessageView.prototype.onAddClicked=function(){
var _5=uiManager.get("friends");
_5.setIgnoreBack();
_5.displayForAdd(this.id);
};
ComposeMessageView.prototype.onKeyPress=function(){
if(!this.inProgress){
this.searchFriends(this.compose_to.value);
}
};
ComposeMessageView.prototype._validate=function(){
if(this.user_list_table.rows.length<=1){
alert(alert_compose_no_recipients);
return false;
}
if(!this.message||this.message.value.length<=0){
alert(alert_compose_message_empty_msg);
return false;
}
return true;
};
ComposeMessageView.prototype.setInProgress=function(_6){
this.inProgress=_6;
this.showFriendsListDialog(_6);
};
ComposeMessageView.prototype.searchFriends=function(_7){
var _8=this;
if(_7.length==0||_7==""){
this.showFriendsListDialog(false);
return;
}
var _9={limit:10,orderBy:"last_name",offset:0,filterByName:_7,noLoader:true,onSuccess:function(_a){
var _b=_8.compose_to.value;
if(_7!=_b){
_8.searchFriends(_b);
_8.setInProgress(false);
}else{
_8.setInProgress(false);
_8.showFriendsListDialog(_a);
}
},onError:function(_c){
_8.setInProgress(false);
alert(_c);
}};
this.setInProgress(true);
facebook.getFriendList(_9);
};
ComposeMessageView.prototype.hideFriendListDialog=function(){
this.friend_suggest_list.innerHTML="";
this.friend_suggest_list.show(false);
};
ComposeMessageView.prototype.showFriendsListDialog=function(_d){
var _e=this;
this.friend_suggest_list.innerHTML="";
var _f=document.createElement("table");
_f.className="choose_friends_table";
if(this.inProgress){
var tr=document.createElement("tr");
tr.className="to_friend_progress";
var td=document.createElement("td");
td.innerHTML=pr_searching;
tr.appendChild(td);
_f.appendChild(tr);
this.friend_suggest_list.appendChild(_f);
this.friend_suggest_list.show(true);
}
if(!_d||_d.length==0){
this.hideFriendListDialog();
return;
}
var _12=null;
for(var i=0;i<_d.length;i++){
var _14=_d[i];
var row=document.createElement("tr");
var col=$(document.createElement("td"));
col.className="to_friend";
col.setText(_14.name);
row.appendChild(col);
_f.appendChild(row);
_12=this.add(row,_12);
_12.friend={uid:_14.uid,name:_14.name};
_12.onclicked=function(){
_e._appendUserToList(_e.activeItem.friend);
_e.hideFriendListDialog();
_e.compose_to.value="";
};
}
this.friend_suggest_list.appendChild(_f);
this.friend_suggest_list.show(true);
};
ComposeMessageView.prototype._createToParameter=function(){
var to="";
var _18=this.user_list_table.rows;
for(var i=1;i<_18.length;i++){
to+=_18[i]._uid+",";
}
to=to.substring(0,to.length-1);
return to;
};
ComposeMessageView.prototype.onSendClicked=function(){
if(this._validate()){
var _1a=this;
var _1b=this._createToParameter();
var _1c={method:"mailbox.send",to:_1b,subject:this.subject.value,body:this.message.value};
this.fbManager.startAsync(_1c,new LoadingPopup(pr_sending_message),true);
facebook.invalidateMessagesCache();
}
};
ComposeMessageView.prototype._appendUserToList=function(_1d){
if(!_1d){
return;
}
var _1e=this;
var row=this.createRow(_1d);
this.user_list_table.appendChild(row.tr);
this.prevUserRow=this.add(row.btn,this.prevUserRow);
this.prevUserRow.row=row.tr;
this.prevUserRow.onclicked=function(){
_1e.user_list_table.removeChild(_1e.activeItem.row);
};
};
ComposeMessageView.prototype.display=function(_20,_21){
this.parent.activate(this.id,_21);
this.showFriendsListDialog(false);
$("compose_to").value="";
if(_20){
this._appendUserToList(_20);
}
};
ComposeMessageView.prototype.clearScreen=function(){
this.compose_to.value="";
this.subject.value="";
this.message.value="";
this.showFriendsListDialog(false);
this.prevUserRow=null;
var _22=this.user_list_table.rows;
while(_22.length){
var _23=_22.length-1;
if(_23==0){
break;
}
this.user_list_table.removeChild(_22[_23]);
}
};
ComposeMessageView.prototype.createRow=function(_24){
var row=document.createElement("tr");
var _26=$(document.createElement("td"));
var _27=document.createElement("td");
_26.setText(_24.name);
var _28=document.createElement("a");
_28.setAttribute("href","#");
_28.setAttribute("class","button_x");
_27.appendChild(_28);
row.appendChild(_26);
row.appendChild(_27);
row._uid=_24.uid;
return {tr:row,btn:_28};
};
ComposeMessageView.prototype.onSuccessSend=function(_29){
this.onBackSoftMenu();
};
ComposeMessageView.prototype.onErrorReceived=function(msg){
alert(alert_compose_message_error+": "+msg);
};
ComposeMessageView.prototype.onDeactivated=function(){
this.setIgnoreBack();
ComposeMessageView.base.onDeactivated.call(this);
};
ComposeMessageView.prototype.onActivated=function(_2b){
var _2c=this;
this.injectBackButton(function(){
_2c.onBackSoftMenu();
});
if(_2b==null||_2b){
this.clearScreen();
}
ComposeMessageView.base.onActivated.call(this);
this.scroller.scrollTop=0;
this.compose_to.focus();
};
ComposeMessageView.log=Logger.getLogger("compose");
