function Event(){
Event.baseConstructor.call(this,"event_description","content");
var _1=this;
this.btnAttend=this.add("event_description_attending");
this.btnAttend.toggle=false;
this.btnAttend.onclicked=function(){
if(this.toggle===true){
return;
}
_1.changeRsvpButton=this;
_1.rsvpResponse=btn_event_attending;
_1.onRsvpClicked("attending");
};
this.btnMaybeAttend=this.add("event_description_maybe_attending");
this.btnMaybeAttend.toggle=false;
this.btnMaybeAttend.onclicked=function(){
if(this.toggle===true){
return;
}
_1.changeRsvpButton=this;
_1.rsvpResponse=btn_event_maybe_attending;
_1.onRsvpClicked("unsure");
};
this.btnNotAttend=this.add("event_description_not_attending");
this.btnNotAttend.toggle=false;
this.btnNotAttend.onclicked=function(){
if(this.toggle===true){
return;
}
_1.changeRsvpButton=this;
_1.rsvpResponse=btn_event_not_attending;
_1.onRsvpClicked("declined");
};
this.buttons=[this.btnAttend,this.btnMaybeAttend,this.btnNotAttend];
this.btnAddCalendar=this.add("event_description_add_calendar");
this.enableAddToCalendar(true);
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onSuccess=function(_2){
_1.onRsvpSuccessful(_2);
};
this.fbManager.onError=function(_3){
_1.onRsvpError(_3);
};
};
Helper.extend(Event,FormWithBack);
Event.prototype.toggleButton=function(_4){
_4.toggle=!_4.toggle;
_4.element.setClassName("toggle",_4.toggle);
};
Event.prototype.enableAddToCalendar=function(_5){
var _6=this;
if(_5){
this.btnAddCalendar.onclicked=function(){
_6.addToCalendar();
};
this.btnAddCalendar.element.setClassName("disabled",false);
}else{
this.btnAddCalendar.onclicked=null;
this.btnAddCalendar.element.setClassName("disabled",true);
}
};
Event.prototype.reset=function(){
this.fbManager.setForceUpdate();
};
Event.prototype.onActivated=function(){
Event.base.onActivated.call(this);
this.injectBackButton(function(){
this.onBackSoftMenu();
});
};
Event.prototype.onDeactivated=function(){
Event.base.onDeactivated.call(this);
};
Event.prototype.onRsvpClicked=function(_7){
this.rsvpStatus=_7;
var _8=this;
var _9={method:"events.rsvp",eid:this.event.eid,rsvp_status:_7};
this.fbManager.startAsync(_9,new LoadingPopup(pr_change_rsvp),true,true);
};
Event.prototype.untoggleButtons=function(){
for(var i=0;i<this.buttons.length;++i){
if(this.buttons[i].toggle===true){
this.toggleButton(this.buttons[i]);
}
}
};
Event.prototype.onRsvpSuccessful=function(_b){
this.untoggleButtons();
this.toggleButton(this.changeRsvpButton);
this.event.rsvpDiv.innerHTML="<strong>"+lbl_event_table_your_rsvp+":</strong> "+this.rsvpResponse;
this.event.rsvp=this.rsvpStatus;
};
Event.prototype.addToCalendar=function(){
if(!this.isCalendarManagerAvailable){
return;
}
var _c=this;
var _d={Type:"Meeting",StartTime:FBUtils.eventMs2Date(this.event.start_time*1000),EndTime:FBUtils.eventMs2Date(this.event.end_time*1000),onSuccess:function(_e){
var _f=new YesNoPopup();
_f.setContent(popup_event_added_to_calendar,FBUtils.formatString(msg_event_added_to_calendar,_c.event.name),[{caption:btn_popup_okay,value:0,type:YesNoPopup.BUTTON_HIGH}]);
_f.show(function(_10){
if(_10===0){
_c.enableAddToCalendar(false);
}
});
},onError:function(_11,msg){
alert(alert_event_cant_add_to_calendar);
}};
if(this.event.name&&this.event.name.length>0){
_d.Summary=this.event.name;
}
if(this.event.venue&&this.event.venue.city&&this.event.venue.city.length){
_d.Location=this.event.venue.city;
}
CalendarManager.addCalendarEntry(_d);
};
Event.prototype.onRsvpError=function(msg){
alert(alert_event_change_rsvp_error+": "+msg);
};
Event.prototype.display=function(_14){
this.parent.activate(this.id);
this.event=_14;
this.isCalendarManagerAvailable=CalendarManager.isAvailable();
if(this.isCalendarManagerAvailable){
this.enableAddToCalendar(true);
}else{
this.enableAddToCalendar(false);
}
this.scroller.scrollTop=0;
var img=$("event_description_image");
img.src=_14.pic?_14.pic:"images/s_default.jpg";
var _16=$("event_description_title");
_16.setText(_14.name);
var _17=$("event_description_tagline");
_17.innerHTML="";
if(_14.tagline){
var img=document.createElement("img");
img.src="images/quote_start_icon.png";
_17.appendChild(img);
_17.appendChild(document.createTextNode(_14.tagline));
img=document.createElement("img");
img.src="images/quote_start_icon.png";
_17.appendChild(img);
}
var _18=$("event_description_info");
this.setulInfo(_18,_14);
var _19=$("event_description_description");
if(_14.description){
_19.setText(_14.description);
_19.show(true);
}else{
_19.innerHTML="";
_19.show(false);
}
this.untoggleButtons();
if(_14.rsvp==="attending"){
this.toggleButton(this.btnAttend);
}else{
if(_14.rsvp==="unsure"){
this.toggleButton(this.btnMaybeAttend);
}else{
if(_14.rsvp==="declined"){
this.toggleButton(this.btnNotAttend);
}
}
}
if(this.isCalendarManagerAvailable){
var _1a=this;
var _1b={Type:"Meeting",StartRange:FBUtils.eventMs2Date(_14.start_time*1000),EndRange:FBUtils.eventMs2Date(_14.end_time*1000),onSuccess:function(_1c){
var _1d=$("event_description_avail");
_1d.removeChildren();
var _1e="";
var _1f=$(document.createElement("div"));
_1f.className="cell calendar_available";
_1d.appendChild(_1f);
var z=0;
while((meetingObj=_1c.getNext())!=undefined){
var _21=meetingObj["Summary"];
if(_21==_1a.event.name){
_1a.enableAddToCalendar(false);
}
_1e+=_21+", ";
z++;
}
if(_1e.length>2){
_1e=_1e.substring(0,_1e.length-2);
_1f.setClassName("calendar_occupied",true);
_1f.innerHTML=msg_event_not_free_for_event+FBUtils.formatString(msg_event_not_free_for_event_info," ")+" "+"<strong>"+_1e+"</strong>.";
}else{
_1f.setClassName("calendar_free",true);
_1f.innerHTML=msg_event_free_for_event;
}
_1c.reset();
},onError:function(_22,msg){
var _24=$("event_description_avail");
_24.removeChildren();
}};
CalendarManager.getCalendarEntryList(_1b);
}
};
Event.prototype.setulInfo=function(ul,_26){
ul.removeChildren();
var li=div=null;
li=document.createElement("li");
div=document.createElement("div");
div.innerHTML=lbl_event_event_info_table_host+":";
div.className="cell data_label";
li.appendChild(div);
div=$(document.createElement("div"));
div.setText(_26.host);
div.className="cell data_label_value";
li.appendChild(div);
ul.appendChild(li);
li=document.createElement("li");
div=document.createElement("div");
div.innerHTML=lbl_event_event_info_table_type+":";
div.className="cell data_label";
li.appendChild(div);
div=$(document.createElement("div"));
var _28=_26.event_type;
if(_26.event_subtype){
_28+=" - "+_26.event_subtype;
}
div.setText(_28);
div.className="cell data_label_value";
li.appendChild(div);
ul.appendChild(li);
var _29=FBUtils.eventMs2Date(_26.start_time*1000);
var end=FBUtils.eventMs2Date(_26.end_time*1000);
var _2b=startTimeText="";
var _2c=endTimeText="";
var _2d="dddd\", \"mmmm\" \"d\", \"yyyy";
var _2e="HH\":\"MM";
if(FBUtils.isSameDay(end,_29)){
_2b=lbl_event_event_info_table_date+":";
startTimeText=dateFormat(_29,_2d);
_2c=lbl_event_event_info_table_time+":";
endTimeText=dateFormat(_29,_2e)+" - "+dateFormat(end,_2e);
}else{
var _2f=_2d+FBUtils.formatString(lbl_timestyle_x_at_x,"'","'")+_2e;
_2b=lbl_event_event_info_start_time;
startTimeText=dateFormat(_29,_2f);
_2c=lbl_event_event_info_end_time;
endTimeText=dateFormat(end,_2f);
}
li=document.createElement("li");
div=document.createElement("div");
div.innerHTML=_2b;
div.className="cell data_label";
li.appendChild(div);
div=document.createElement("div");
div.innerHTML=startTimeText;
div.className="cell data_label_value";
li.appendChild(div);
ul.appendChild(li);
li=document.createElement("li");
div=document.createElement("div");
div.innerHTML=_2c;
div.className="cell data_label";
li.appendChild(div);
div=document.createElement("div");
div.innerHTML=endTimeText;
div.className="cell data_label_value";
li.appendChild(div);
ul.appendChild(li);
};
Event.log=Logger.getLogger("Event");
