function FriendRequests(){
FriendRequests.baseConstructor.call(this,"friend_requests","content");
var _1=this;
this.friendsRequestsList=$("friends_requests_list");
this.titleBar=$("friend_requests_title");
this.loader=new SimpleLoader($("friend_requests_loader"),$("friend_requests_loader_text"));
this.loader.setText(pr_loading);
};
Helper.extend(FriendRequests,FormWithBack);
FriendRequests.prototype.onActivated=function(){
FriendRequests.base.onActivated.call(this);
this.injectBackButton(function(){
this.parent.activate("home");
});
};
FriendRequests.prototype.setFriendRequests=function(_2){
this.friendRequests=_2;
};
FriendRequests.prototype.reset=function(){
this.clearScreen();
};
FriendRequests.prototype.display=function(){
this.parent.activate(this.id);
this.clearScreen();
var _3=this;
var _4={uids:this.friendRequests,reload:true,loader:this.loader,onSuccess:function(_5){
_3.onDataReceived(_5);
},onError:function(_6){
_3.onError(_6);
}};
facebook.getFriendInfo(_4);
};
FriendRequests.prototype.updateTitle=function(){
if(this.count<=0){
this.titleBar.innerHTML=lbl_home_notifications_no_friend_requests;
}else{
if(this.count==1){
this.titleBar.innerHTML=FBUtils.formatString(lbl_home_notifications_one_friend_request,this.count);
}else{
this.titleBar.innerHTML=FBUtils.formatString(lbl_home_notifications_x_friends_requests,this.count);
}
}
};
FriendRequests.prototype.onDataReceived=function(_7){
this.friendsRequestsList.show(_7.length!=0);
this.count=_7.length;
if(_7.length==0){
this.updateTitle();
return;
}
this.updateTitle();
var _8=null;
var _9=this;
for(var i=0;i<_7.length;++i){
var _b=_7[i];
var _c=this.createRow(_b);
if(i==_7.length-1){
_c.className+="last";
}
this.friendsRequestsList.appendChild(_c);
_8=this.add(_c,_8);
_8.uid=_b.uid;
_8.onclicked=function(){
_9.onRowClicked();
};
}
};
FriendRequests.prototype.onError=function(_d){
alert("Error getting requests: "+_d);
};
FriendRequests.prototype.createRow=function(_e){
var li=document.createElement("li");
var div=document.createElement("div");
div.className="img cell";
if(_e.pic_square&&_e.pic_square.length){
div.innerHTML="<img src='"+_e.pic_square+"' />";
}else{
div.innerHTML="<img src='images/user_default_square.png' />";
}
li.appendChild(div);
div=document.createElement("div");
div.className="cell";
var h1=$(document.createElement("h1"));
h1.setText(_e.name);
div.appendChild(h1);
var _12=this;
var p=document.createElement("p");
var a=document.createElement("a");
a.href="#";
a.className="button button_middle";
a.innerHTML=btn_friendrequests_accept;
var _15=this.add(a);
_15.onclicked=function(_16){
_12.onAcceptClicked(_e.uid,div);
_16.cancelBubble=true;
};
p.appendChild(a);
a=document.createElement("a");
a.href="#";
a.className="button button_gray";
a.innerHTML=btn_friendrequests_ignore;
_15=this.add(a);
_15.onclicked=function(_17){
_12.onIgnoreClicked(_e.uid,div);
_17.cancelBubble=true;
};
p.appendChild(a);
div.appendChild(p);
li.appendChild(div);
div.className+=" last";
return li;
};
FriendRequests.prototype.onRowClicked=function(){
var uid=this.activeItem.uid;
facebook.isFriend({uid:uid,onSuccess:function(_19){
if(_19){
uiManager.get("user").display(uid);
}else{
uiManager.get("user_not_visible").display(uid);
}
},onError:function(err){
self.onRowError(err);
}});
};
FriendRequests.prototype.onAcceptClicked=function(uid,div){
var _1d=this;
var _1e={uid:uid,confirm:1,onSuccess:function(_1f){
_1d.onAcceptSuccessful(_1f,div);
},onError:function(msg){
_1d.onAcceptError(msg);
},loader:new LoadingPopup(pr_accepting_friend)};
facebook.confirmFriend(_1e);
facebook.refreshNotifications();
};
FriendRequests.prototype.onAcceptSuccessful=function(_21,div){
if(_21){
div.innerHTML="<div class='msg_ignore'>"+lbl_friends_request_accepted+"</div>";
this.count=this.count-1;
this.updateTitle();
var _23=uiManager.get("home");
_23.updateNotificationsBar(Home.NOTIFICATIONS_REQUESTS,this.count);
}else{
this.onAcceptError("failed from API");
}
};
FriendRequests.prototype.onAcceptError=function(_24){
alert(alert_friends_request_error_acceptting+": "+_24);
};
FriendRequests.prototype.onIgnoreClicked=function(uid,div){
var _27=this;
var _28={uid:uid,confirm:0,onSuccess:function(_29){
_27.onIgnoreSuccessful(_29,div);
},onError:function(msg){
_27.onIgnoreError(msg);
},loader:new LoadingPopup(pr_ignoring_friend)};
facebook.confirmFriend(_28);
facebook.refreshNotifications();
};
FriendRequests.prototype.onIgnoreSuccessful=function(_2b,div){
if(_2b){
div.innerHTML="<div class='msg_ignore'>"+lblfriends_request_ignored+"</div>";
this.count=this.count-1;
this.updateTitle();
var _2d=uiManager.get("home");
_2d.updateNotificationsBar(Home.NOTIFICATIONS_REQUESTS,this.count);
}else{
this.onIgnoreError("failed from API");
}
};
FriendRequests.prototype.onIgnoreError=function(_2e){
alert(pr_ignoring_friend+": "+_2e);
};
FriendRequests.prototype.clearScreen=function(){
this.titleBar.innerHTML="";
this.friendsRequestsList.removeChildren();
this.loader.show(false);
this.clear(false);
};
