function Friends(){
Friends.baseConstructor.call(this,"friends","content");
var _1=this;
this.btnExit=this.add("friends_exit_button");
this.btnExit.onclicked=function(){
Utils.closeApplication();
};
this.tabControler=new TabControler(this,"friends_tabs");
this.tabControler.addTab(Friends.TAB_STATUS,new FriendsStatusList());
this.tabControler.addTab(Friends.TAB_PHONEBOOK,new FriendsList("friends_phone_book","last_name",null,true));
this.tabControler.addTab(Friends.TAB_EVERYONE,new FriendsList("friends_every_one","last_name"));
this.tabControler.addTab(Friends.TAB_FIND,new FriendsFindList());
this.tabControler.onTabClicked=function(){
_1.reloadFriends(false);
};
this.prevButton=$("friendsPrevPage");
this.setAction(this.prevButton,this.prevPage);
this.nextButton=$("friendsNextPage");
this.setAction(this.nextButton,this.nextPage);
this.lastTimerId=null;
$("friends_search_input").onkeyup=function(_2){
if(_2.charCode&&_2.charCode>60000){
return;
}
_1.onSearchKeyPress();
};
this.searchField=$("friends_search_input");
this.searchField.onblur=function(){
if(_1.searchField.value==""){
_1.searchField.value=Friends.SEARCH_HINT;
$(_1.searchField).setClassName("hint",true);
}
};
this.searchField.onfocus=function(){
$(_1.searchField).setClassName("hint",false);
if(_1.searchField.value==Friends.SEARCH_HINT){
_1.searchField.value="";
}
};
this.clearSearchButton=$("friends_search_clear_input");
Events(this.clearSearchButton).setAction(function(){
_1.searchField.value="";
_1.reloadFriends(true);
});
};
Helper.extend(Friends,FormWithBack);
Friends.prototype.reset=function(){
this.clearScreen();
this.searchField.value="";
this.tabControler.reset();
};
Friends.prototype.displayForAdd=function(_3){
this.parent.activate(this.id);
var _4=uiManager.get(_3);
var _5=function(){
_4.display({uid:this.activeItem.uid,name:this.activeItem.name},false);
};
this.setIgnoreBack();
this.injectBackButton(function(){
_4.display(null,false);
});
this.tabControler.getTab(Friends.TAB_STATUS).page._itemClicked=_5;
this.tabControler.getTab(Friends.TAB_PHONEBOOK).page._itemClicked=_5;
this.tabControler.getTab(Friends.TAB_EVERYONE).page._itemClicked=_5;
this.tabControler.getTab(Friends.TAB_FIND).page._itemClicked=_5;
};
Friends.prototype.reloadFriends=function(_6){
var _7=this.tabControler.getActivedTabPage();
if(_6){
_7.offset=0;
}
var _8=this.searchField.value;
_8=_8==Friends.SEARCH_HINT?null:_8;
_7.reload(_8);
};
Friends.prototype.onActivated=function(){
Friends.base.onActivated.apply(this,arguments);
if(!this.searchField.value){
this.searchField.value=Friends.SEARCH_HINT;
$(this.searchField).setClassName("hint",true);
}
this.btnExit.element.show(true);
var _9=function(){
var _a=this.activeItem.uid;
facebook.isFriend({uid:_a,onSuccess:function(_b){
if(_b){
uiManager.get("user").display(_a);
}else{
uiManager.get("user_not_visible").display(_a);
}
},onError:function(){
}});
};
this.tabControler.getTab(Friends.TAB_STATUS).page._itemClicked=_9;
this.tabControler.getTab(Friends.TAB_PHONEBOOK).page._itemClicked=_9;
this.tabControler.getTab(Friends.TAB_EVERYONE).page._itemClicked=_9;
this.tabControler.getTab(Friends.TAB_FIND).page._itemClicked=_9;
if(this.tabControler.getActivedTabPage()==null){
this.tabControler.activateTab(Friends.TAB_STATUS);
}
};
Friends.prototype.refresh=function(){
var _c=this.tabControler.getActivedTabPage();
if(_c&&_c.refresh){
_c.refresh.apply(_c,arguments);
}
};
Friends.prototype.onDeactivated=function(){
this.btnExit.element.show(false);
Friends.base.onDeactivated.call(this);
if(this.lastTimerId){
clearTimeout(this.lastTimerId);
}
};
Friends.prototype.nextPage=function(){
var _d=this.tabControler.getActivedTabPage();
var _e=facebook.getFriendsCount();
if(_d.offset+_d.limit<_e){
_d.offset+=_d.limit;
this.setScrollerPos(0);
_d.reload(_d.filter);
}
};
Friends.prototype.prevPage=function(){
var _f=this.tabControler.getActivedTabPage();
if(_f.offset>0){
_f.offset-=_f.limit;
this.setScrollerPos(0);
_f.reload(_f.filter);
}
};
Friends.prototype.onSearchKeyPress=function(){
$(this.searchField).setClassName("hint",false);
var _10=this;
if(this.lastTimerId){
clearTimeout(this.lastTimerId);
}
this.lastTimerId=setTimeout(function(){
_10.lastTimerId=null;
_10.reloadFriends(true);
},1000);
};
Friends.prototype.clearScreen=function(){
if(this.lastTimerId){
clearTimeout(this.lastTimerId);
}
$("friends_content").removeChildren();
};
Friends.SEARCH_HINT=txt_friends_searh_filter_hint;
Friends.TAB_PHONEBOOK="friendsPhonebookTab";
Friends.TAB_STATUS="friendsStatusTab";
Friends.TAB_EVERYONE="friendsEveryOneTab";
Friends.TAB_FIND="friendsFindTab";
