function FriendsList(id,_2,_3,_4){
FriendsList.baseConstructor.call(this,id);
this.offset=0;
this.limit=20;
this.orderBy=_2;
this.lastResultsCount=0;
this.condition=_3;
this.needsPhone=_4;
this.phoneBookStyle=_2=="last_name";
this.prevButton=$("friendsPrevPage");
this.nextButton=$("friendsNextPage");
this.loader=new SimpleLoader($("friends_content_loader"),$("friends_content_loader_text"));
this.loader.setText(pr_loading);
this.sessionId=0;
};
Helper.extend(FriendsList,Container);
FriendsList.prototype.reset=function(){
this.clearScreen();
};
FriendsList.prototype.onActivated=function(){
};
FriendsList.prototype.refresh=function(_5){
this.reload(this.filter,_5);
};
FriendsList.prototype.reload=function(_6,_7){
this.filter=_6;
this.clearScreen();
this.sessionId++;
$("friendsSummary").session=this.id+this.sessionId;
var _8=this;
var _9={offset:this.offset,limit:this.limit,orderBy:this.orderBy,filterByName:_6,needsPhone:this.needsPhone,condition:this.condition,order:this.orderBy=="status.time"?"desc":null,loader:this.loader,onSuccess:function(_a){
_8.onFriendsDataReceived(_a);
},onError:function(_b){
_8.onFriendsError(_b);
}};
if(_7){
_9.nocache=true;
}
if(!_6){
_9.cacheKey=this.id;
}
facebook.getFriendList(_9);
};
FriendsList.prototype.getEmptyMessage=function(){
if(this.filter){
return "<div class='no_data'>"+lbl_friends_u_not_friends+" '"+this.filter+"'</div>";
}else{
return "<div class='no_data'>"+lbl_friends_no_friends+" </div>";
}
};
FriendsList.prototype.getSummaryMessage=function(_c,_d,_e){
var _f=FBUtils.formatString(lbl_friends_nmb_friends_default_format,_d,_e,_c);
if(this.filter){
_f=FBUtils.formatString(lbl_friends_nmb_friends2,_d,_e,_c,"'"+this.filter+"'");
}
return _f;
};
FriendsList.prototype.getItemCount=function(){
return this.lastResultsCount;
};
FriendsList.prototype.onFriendsDataReceived=function(_10){
var _11=this.id+this.sessionId;
var _12=$("friendsSummary").session;
if(_11!=_12){
return;
}
this.clearScreen();
this.lastResultsCount=_10.friendsCount;
if(!_10.length){
var _13=document.createElement("center");
_13.innerHTML=this.getEmptyMessage();
$(this.id).appendChild(_13);
return;
}
var _14=$("friends_content");
this.rows=new Array();
var _15=null;
var _16=this;
var _17=null;
for(var i=0;i<_10.length;i++){
var _19=_10[i];
if(this.phoneBookStyle){
var _1a=_19.last_name||_19.name||"#";
var li=_1a.lastIndexOf(" ");
var _1c=li>=0&&li+1<_1a.length?_1a.charAt(li+1):_1a.charAt(0);
if(_1c!=_17){
var _1d=this.createHeader(_1c);
_14.appendChild(_1d);
_17=_1c;
}
}
var _1e=this.phoneBookStyle?(_19.cell||_19.phone):null;
var row=this.createRow(_19,_1e);
_14.appendChild(row);
this.rows.push({element:row,uid:_19.uid});
_15=this.add(row,_15);
_15.uid=_19.uid;
_15.name=_19.name;
_15.onclicked=function(){
_16._itemClicked.apply(_16,arguments);
};
}
this.setupPagination();
};
FriendsList.prototype.setupPagination=function(){
var _20=this.getItemCount();
var _21=!this.filter&&_20>=this.limit;
var _22=_20<(this.offset+this.limit)?_20:this.offset+this.limit;
if(_20>0){
$("friendsSummary").innerHTML=this.getSummaryMessage(_20,(this.offset+1),_22);
$("friendsSummary").show(true);
}else{
$("friendsSummary").show(false);
}
var _23=$("friendsPaginationTable");
if(_21){
var _24=Math.ceil(_20/this.limit);
var _25=Math.ceil(this.offset/this.limit)+1;
this.prevButton.show(this.offset>0);
this.nextButton.show(this.offset+this.limit<_20);
var _26=FBUtils.formatString(lbl_pagination_state,_25,_24);
$("paginationPageText").innerHTML=_26;
_23.show(true);
}else{
_23.show(false);
}
};
FriendsList.prototype.createHeader=function(_27){
var li=document.createElement("li");
li.className="letter";
li.innerHTML=_27.length?_27:"#";
return li;
};
FriendsList.prototype.createRow=function(_29,_2a){
var li=document.createElement("li");
var div=document.createElement("div");
div.className="img cell";
if(_29.pic_square&&_29.pic_square.length){
div.innerHTML="<img src='"+_29.pic_square+"'/>";
}else{
if(_29.pic){
div.innerHTML="<img src='"+_29.pic+"'/>";
}else{
div.innerHTML="<img src='images/user_default_square.png'/>";
}
}
li.appendChild(div);
div=document.createElement("div");
div.className="cell";
var h1=$(document.createElement("h1"));
if(_29.name){
h1.setText(_29.name);
}else{
h1.setText(_29.first_name+" "+_29.last_name);
}
div.appendChild(h1);
if(_29.status&&_29.status.message&&_29.status.message.length){
var p=$(document.createElement("p"));
p.setText(_29.status.message);
div.appendChild(p);
}
if(_29.birthday&&_29.birthday.length){
var p=$(document.createElement("p"));
p.className="friends_date";
p.setText(_29.birthday);
div.appendChild(p);
}
li.appendChild(div);
if(_2a){
div=document.createElement("div");
div.className="call cell";
var a=document.createElement("a");
a.className="button button_narrow button_call_friend";
a.innerHTML="<img src='images/icon_phone.png'/>";
a.href="wtai://wp/mc;"+_2a;
var _30=this.add(a);
_30.onclicked=function(e){
e.cancelBubble=true;
};
div.appendChild(a);
li.appendChild(div);
}
div.className+=" last";
return li;
};
FriendsList.prototype.onFriendsError=function(err){
this.clearScreen();
alert(err);
};
FriendsList.prototype.clearScreen=function(){
$(this.id).removeChildren();
$("friendsSummary").show(false);
$("friendsPaginationTable").show(false);
$("friends_content").removeChildren();
this.loader.show(false);
};
function FriendsStatusList(){
var ret=new FriendsList("friends_status_list","status.time","strlen(status.message) > 0");
ret.getEmptyMessage=function(){
if(ret.filter){
return "<div class='no_data'>"+lbl_friends_search_status_no_your_friends_found+"'"+this.filter+"'</div>";
}else{
return "<div class='no_data'>"+lbl_friends_search_status_no_friends_found+"</div>";
}
};
ret.getSummaryMessage=function(_34,_35,end){
var _37=FBUtils.formatString(lbl_friends_nmb_friends_status_format,_35,end,_34);
if(this.filter){
_37=FBUtils.formatString(lbl_friends_nmb_friends_status_match_format,_35,end,_34,"'"+this.filter+"'");
}
return _37;
};
return ret;
};
function FriendsFindList(){
var ret=new FriendsList("friends_find");
ret.reload=function(_39){
$("friendsSummary").session=this.id+this.sessionId;
this.filter=_39;
this.clearScreen();
if(!this.filter){
this.findQueryCount=0;
this.onFriendsDataReceived([]);
return;
}
var _3a=this;
var _3b={offset:this.offset,limit:this.limit,filter:_39,loader:this.loader,onSuccess:function(_3c){
var _3d=parseInt(_3c.total);
if(_3d<this.limit){
_3d=_3c.results.length;
}
_3a.findQueryCount=_3d;
_3a.onFriendsDataReceived(_3c.results);
},onError:function(err){
_3a.onFriendsError(err);
}};
facebook.findFriends(_3b);
};
ret.getEmptyMessage=function(){
if(!this.filter){
return "<div class='no_data'>"+msg_friend_find_enter_name+"</div>";
}else{
return "<div class='no_data'>"+FBUtils.formatString(msg_friend_find_no_results,"'"+this.filter+"'")+"</div>";
}
};
ret.getItemCount=function(){
return this.findQueryCount;
};
return ret;
};
