function Home(){
Home.baseConstructor.call(this,"home","content");
var _1=this;
this.btnCamera=this.add("home_camera_button");
this.btnCamera.onclicked=function(){
_1.onCameraClicked();
};
this.btnExit=this.add("home_exit_button");
this.btnExit.onclicked=function(){
Utils.closeApplication();
};
this.notifyContainer=$("notifications_container");
this.notifyPulldown=$("notifications_pulldown");
Events(this.notifyPulldown).setAction(function(){
_1.showNotificationContainer(true);
widget.setPreferenceForKey("true",Home.NOTIFICATIONS_SHOW_KEY);
});
this.notifyInbox=this.add("home_notify_inbox");
this.notifyInbox.onclicked=function(){
_1.parent.activate("inbox");
};
this.notifyPokes=this.add("home_notify_pokes");
this.notifyPokes.onclicked=function(){
if(_1.pokesCount!==0){
var _2=_1.parent.get("pokes");
_2.display();
}
};
this.notifyRequests=this.add("home_notify_requests");
this.notifyRequests.onclicked=function(){
if(_1.requestsCount!==0){
var _3=_1.parent.get("friend_requests");
_3.display();
}
};
this.notifyClose=this.add("home_notify_close");
this.notifyClose.onclicked=function(){
_1.onNotificationsClose();
};
this.tabControl=new TabControler(this);
this.tabControl.addTab(Home.TAB_NEWS_FEED,new HomeNewsFeed());
this.tabControl.addTab(Home.TAB_EVENTS,new HomeEvents());
facebook.registerChangeListener(FacebookApi.NOTIFICATIONS,function(){
var _4=uiManager.get("home");
_4.setNotifications.apply(_4,arguments);
});
};
Helper.extend(Home,FormWithBack);
Home.prototype.reset=function(){
updateListener.widgetStart=true;
this.tabControl.reset();
updateListener.reset();
this.updateNotificationsBar(Home.NOTIFICATIONS_INBOX,0);
this.updateNotificationsBar(Home.NOTIFICATIONS_POKES,0);
this.updateNotificationsBar(Home.NOTIFICATIONS_REQUESTS,0);
};
Home.prototype.refresh=function(_5){
if(_5){
var _6=this.tabControl.getActivedTabPage();
if(_6&&_6.refresh){
_6.refresh.apply(_6,arguments);
}
}
};
Home.prototype.setNotifications=function(_7){
var _8=0;
var _9=(widget.preferenceForKey(Home.NOTIFICATIONS_SHOW_KEY)==="false");
this.showNotificationContainer(!_9);
_8=_7.messages?parseInt(_7.messages.unread):0;
this.updateNotificationsBar(Home.NOTIFICATIONS_INBOX,_8);
_8=_7.pokes?parseInt(_7.pokes.unread):0;
this.updateNotificationsBar(Home.NOTIFICATIONS_POKES,_8);
_8=_7.friend_requests&&_7.friend_requests.length?_7.friend_requests.length:0;
this.updateNotificationsBar(Home.NOTIFICATIONS_REQUESTS,_8);
if(_7.friend_requests){
var _a=uiManager.get("friend_requests");
_a.setFriendRequests(_7.friend_requests);
}
if(_7.messages){
Menu.updateInboxUnreadCountIcon(_7.messages.unread);
}else{
Menu.updateInboxUnreadCountIcon(null);
}
};
Home.prototype.updateNotificationsBar=function(_b,_c){
var _d=null;
var _e="";
var _f=false;
if(_b==Home.NOTIFICATIONS_INBOX){
_d=this.notifyInbox.element;
_e="inbox";
this.inboxCount=_c;
key=Home.NOTIFICATIONS_INBOX_KEY;
}else{
if(_b==Home.NOTIFICATIONS_POKES){
_d=this.notifyPokes.element;
_e="pokes";
this.pokesCount=_c;
key=Home.NOTIFICATIONS_POKES_KEY;
}else{
if(_b==Home.NOTIFICATIONS_REQUESTS){
_d=this.notifyRequests.element;
_e="requests";
this.requestsCount=_c;
key=Home.NOTIFICATIONS_REQUESTS_KEY;
}
}
}
if(_d){
if(_b==Home.NOTIFICATIONS_INBOX){
_d.innerHTML="<b class='bl ntfc'></b><span class='"+_e+"'>"+_c+"</span>";
}else{
_d.innerHTML="<span class='"+_e+"'>"+_c+"</span>";
}
_d.show(true);
var _10=parseInt(widget.preferenceForKey(key));
_f=_c!==_10;
}
if(_f){
this.showNotificationContainer(true);
widget.setPreferenceForKey("true",Home.NOTIFICATIONS_SHOW_KEY);
}
};
Home.prototype.onActivated=function(){
Home.base.onActivated.call(this);
$("back").show(false);
this.btnCamera.element.show(true);
this.btnExit.element.show(true);
if(this.tabControl.getActivedTabPage()==null){
this.tabControl.activateTab(Home.TAB_NEWS_FEED);
}
};
Home.prototype.onDeactivated=function(){
this.btnCamera.element.show(false);
this.btnExit.element.show(false);
Home.base.onDeactivated.call(this);
};
Home.prototype.onCameraClicked=function(){
var _11=this;
photoSourcePopup.show(function(_12){
_11.onPhotoPopupClosed(_12);
});
};
Home.prototype.onPhotoPopupClosed=function(_13){
if(_13==PhotoSrcPopup.TAKE_PHOTO){
CameraApp.takePhoto(this.id);
}else{
if(_13==PhotoSrcPopup.GALLERY){
CameraApp.chooseFromGallery();
}
}
};
Home.prototype.onNotificationsClose=function(){
widget.setPreferenceForKey(this.inboxCount.toString(),Home.NOTIFICATIONS_INBOX_KEY);
widget.setPreferenceForKey(this.pokesCount.toString(),Home.NOTIFICATIONS_POKES_KEY);
widget.setPreferenceForKey(this.requestsCount.toString(),Home.NOTIFICATIONS_REQUESTS_KEY);
widget.setPreferenceForKey("false",Home.NOTIFICATIONS_SHOW_KEY);
this.showNotificationContainer(false);
};
Home.prototype.showNotificationContainer=function(_14){
this.notifyContainer.show(_14);
this.notifyPulldown.show(!_14);
};
Home.log=Logger.getLogger("Home");
Home.TAB_NEWS_FEED="home_tab_news";
Home.TAB_EVENTS="home_tab_events";
Home.NOTIFICATIONS_INBOX=0;
Home.NOTIFICATIONS_POKES=1;
Home.NOTIFICATIONS_SHOW_KEY="facebook.notify.show";
Home.NOTIFICATIONS_INBOX_KEY="facebook.notify.inbox";
Home.NOTIFICATIONS_POKES_KEY="facebook.notify.pokes";
Home.NOTIFICATIONS_REQUESTS_KEY="facebook.notify.requests";
