function MiniView(){
MiniView.baseConstructor.call(this,"mini_view");
var _1=this;
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onSuccess=function(_2){
_1.onSuccess(_2);
};
this.fbManager.onError=function(_3){
_1.onError(_3);
};
this.loadingView=$("loading_mv");
this.loginView=$("login_mv");
this.errorView=$("error_mv");
this.emptyView=$("empty_mv");
this.newsfeedView=$("mini_view_newsfeed");
this.notificationsView=$("notifications_mv");
this.newsfeedContent=$("miniview_newsfeed_content");
this.fbManager.updateInterval=15*60*1000;
this.nextView=MiniView.NEWSFEED;
};
Helper.extend(MiniView,Container);
MiniView.prototype.reset=function(){
this.clearScreen();
this.lastNewsFeedResults=null;
this.fbManager.setForceUpdate();
};
MiniView.prototype.onActivated=function(){
MiniView.base.onActivated.call(this);
if(this.view!==MiniView.NEWSFEED){
this.showView(MiniView.LOADING);
}
this.update();
var _4=this;
this._intervalId=setInterval(function(){
_4.update();
},MiniView.VIEW_CHANGE_TIMEOUT);
};
MiniView.prototype.onDeactivated=function(){
clearInterval(this._intervalId);
this.lastNewsFeedResults=null;
MiniView.base.onDeactivated.call(this);
};
MiniView.prototype.showView=function(_5){
this.loadingView.show(_5===MiniView.LOADING);
this.loginView.show(_5===MiniView.LOGIN);
this.errorView.show(_5===MiniView.ERROR);
this.newsfeedView.show(_5===MiniView.NEWSFEED);
this.emptyView.show(_5===MiniView.EMPTY);
this.notificationsView.show(_5===MiniView.NOTIFICATIONS);
this.view=_5;
};
MiniView.prototype.login=function(){
if(widget.preferenceForKey(Login.SUCESS_LOGIN_PREF_KEY)!="true"){
this.showView(MiniView.LOGIN);
return;
}
var _6=widget.preferenceForKey(Login.USERNAME_PREF_KEY);
var _7=widget.preferenceForKey(Login.PASS_PREF_KEY);
this.loggingIn=false;
if(!_6||!_7){
this.showView(MiniView.LOGIN);
}else{
uiManager.get("login").loadLogInData();
this.loggingIn=true;
var _8=this;
var _9={email:_6,password:_7,onSuccess:function(_a){
_8.loggingIn=false;
uiManager.get("login").onSuccessfulLogin(_a,true);
_8.update();
},onError:function(_b){
_8.showView(MiniView.ERROR);
}};
this.showView(MiniView.LOADING);
facebook.login(_9);
}
};
MiniView.prototype.update=function(){
if(this.scroller){
this.scroller.stop();
this.scroller=null;
}
if(MiniView.log.isDebugEnabled()){
MiniView.log.debug("Updating MiniView...");
}
if(!FacebookManager.getSessionUid()&&!this.loggingIn){
this.login();
return;
}
var _c=this;
if(this.nextView==MiniView.NEWSFEED){
var _d={onSuccess:function(_e){
(_c.onNotificationsSuccess(_e));
},onError:function(){
_c.showView(MiniView.ERROR);
}};
facebook.getNotifications(_d);
this.nextView=MiniView.NOTIFICATIONS;
}else{
this.nextView=MiniView.NEWSFEED;
var _f={method:"newsfeed.get",limit:3};
var _10=this.fbManager.isUpdateRequired()||!this.lastNewsFeedResults;
this.fbManager.startAsync(_f,null,_10);
if(!_10){
this.onSuccess(this.lastNewsFeedResults);
}
}
};
MiniView.prototype.trim=function(td,_12){
setTimeout(function(){
if(td.scrollWidth>_12){
var _13=document.createElement("span");
_13.innerHTML="...";
td.appendChild(_13);
MiniView.log.info("Triming "+td.scrollWidth);
}
},0);
};
MiniView.prototype.onSuccess=function(_14){
this.lastNewsFeedResults=_14;
this.clearScreen();
if(_14&&_14.length){
for(var i=0;i<Math.min(3,_14.length);++i){
var _16=_14[i];
var row=this.createRow(_16);
this.newsfeedContent.appendChild(row);
}
this.showView(MiniView.NEWSFEED);
var _18=[];
for(var i=0;i<this.newsfeedContent.rows.length;i++){
_18.push(this.newsfeedContent.rows[i].cells[1].childNodes[0]);
}
this.scroller=UIUtils.startScrolling(_18);
}else{
this.showView(MiniView.EMPTY);
}
};
MiniView.prototype.onNotificationsSuccess=function(_19){
var _1a=0;
var _1b=0;
var _1c=0;
if(_19.pokes&&parseInt(_19.pokes.unread)){
_1c=_19.pokes.unread;
}
if(_19.friend_requests&&_19.friend_requests.length){
_1b=_19.friend_requests.length;
}
if(_19.messages.unread){
_1a=_19.messages.unread;
}
$("mvPokes").innerHTML=_1c;
$("mvFriendRequests").innerHTML=_1b;
$("mvMails").innerHTML=_1a;
var _1d=this;
var _1e={onSuccess:function(_1f){
if(_1f&&_1f.length){
var _20=_1f[0];
var _21=_20.name;
if(_20.status&&_20.status.message){
_21+=" "+_20.status.message;
}
_1d.setStatus(_21);
}else{
_1d.setStatus("");
}
},onError:function(){
},uids:[FacebookManager.getSessionUid()]};
facebook.getFriendInfo(_1e);
this.showView(MiniView.NOTIFICATIONS);
};
MiniView.prototype.setStatus=function(_22){
var _23=$("mvStatus");
_23.removeChildren();
var div=$(document.createElement("div"));
div.style.whiteSpace="nowrap";
div.setText(_22,true);
div.style.overflow="hidden";
div.style.width="223px";
div.style.cssFloat="left";
this.scroller=UIUtils.startScrolling(div);
var _25=document.createElement("table");
var row=document.createElement("tr");
row.className="mv_status_text";
var td1=document.createElement("td");
_25.appendChild(row);
row.appendChild(td1);
td1.appendChild(div);
_23.appendChild(_25);
};
MiniView.prototype.onError=function(msg){
this.clearScreen();
this.showView(MiniView.ERROR);
};
MiniView.prototype.createRow=function(_29){
var tr=document.createElement("tr");
var td=document.createElement("td");
td.className="event_icon";
var img=document.createElement("img");
img.src=_29.icon;
td.appendChild(img);
tr.appendChild(td);
td=document.createElement("td");
td.className="event_description";
var div=$(document.createElement("div"));
div.style.whiteSpace="nowrap";
div.setText(_29.text,true);
div.style.overflow="hidden";
div.style.width=195;
div.style.height=17;
div.style.cssFloat="left";
td.appendChild(div);
tr.appendChild(td);
return tr;
};
MiniView.prototype.createMessageRow=function(_2e){
var tr=document.createElement("tr");
tr.className="message_row";
var td=$(document.createElement("td"));
td.className="event_description";
td.colSpan="2";
td.setText(_2e);
tr.appendChild(td);
return tr;
};
MiniView.prototype.clearScreen=function(){
this.newsfeedContent.removeChildren();
};
MiniView.log=Logger.getLogger("MiniView");
MiniView.LOADING=0;
MiniView.LOGIN=1;
MiniView.ERROR=2;
MiniView.NEWSFEED=3;
MiniView.EMPTY=4;
MiniView.NOTIFICATIONS=5;
MiniView.VIEW_CHANGE_TIMEOUT=30*1000;
