function Pager(_1){
Debug.assert(typeof _1=="number");
this.itemsPerPage=_1;
this.offset=0;
this.count=0;
};
Pager.prototype.getCurrentPageItemCount=function(){
return Math.min(this.itemsPerPage,(this.count-this.offset));
};
Pager.prototype.getPageCount=function(){
return Math.ceil(this.count/this.itemsPerPage);
};
Pager.prototype.getCurrentPage=function(){
return Math.ceil(this.offset/this.itemsPerPage)+1;
};
Pager.prototype.nextPage=function(){
Debug.assert(this.hasNextPage(),"No next page");
this.offset+=this.itemsPerPage;
if(this.onNextPage){
this.onNextPage.call(this);
}
};
Pager.prototype.hasNextPage=function(){
return this.offset+this.itemsPerPage<this.count;
};
Pager.prototype.prevPage=function(){
Debug.assert(this.hasPrevPage(),"No prev page");
this.offset=Math.max(0,this.offset-this.itemsPerPage);
if(this.onPrevPage){
this.onPrevPage.call(this);
}
};
Pager.prototype.hasPrevPage=function(){
return this.offset>0;
};
Pager.prototype.setItemCount=function(_2){
this.count=_2;
this.offset=0;
};
Pager.prototype.getItemCount=function(){
return this.count;
};
