function Photos(){
Photos.baseConstructor.call(this,"photos","content");
var _1=this;
this.photosTitle=$("photos_title");
this.photosContainer=$("photos_container");
this.pager=new Pager(12);
this.prevButton=$("photos_prev_page");
this.nextButton=$("photos_next_page");
this.setAction(this.prevButton,this.prevPage);
this.setAction(this.nextButton,this.nextPage);
this.loader=new SimpleLoader($("photos_loader"),$("photos_loader_text"));
this.loader.setText(pr_loading);
this.imageLoader=new ImageLoader();
};
Helper.extend(Photos,FormWithBack);
Photos.prototype.onActivated=function(){
Photos.base.onActivated.call(this);
this.setupPagination();
if(!this.btnCamera){
var _2=this;
this.btnCamera=this.add("photos_camera_button");
this.btnCamera.onclicked=function(){
_2.onCameraClicked();
};
}
this.injectBackButton(function(){
this.onBackSoftMenu();
});
this.btnCamera.element.show(true);
};
Photos.prototype.reset=function(){
this.aid=0;
this.uid=0;
this.clearScreen();
};
Photos.prototype.onDeactivated=function(){
this.btnCamera.element.show(false);
Photos.base.onDeactivated.call(this);
};
Photos.prototype.display=function(_3,_4,_5,_6){
this.parent.activate(this.id);
var _7=(this.aid!=_3)||_5;
this.aid=_3;
this.uid=_6;
this.title=_4;
if(_7){
this.clearScreen();
this.pager.setItemCount(0);
this.setupPagination();
this.clearPhotosContainer();
this.photosTitle.setText(this.title);
}
var _8=this;
PhotosList.onError=function(_9){
_8.onErrorReceived(_9);
};
PhotosList.onSuccess=function(_a){
_8.onPhotosReceived();
};
PhotosList.loadPhotos(this.aid,this.uid,this.loader,_5);
};
Photos.prototype.createPhoto=function(_b){
var _c=document.createElement("div");
_c.className="image_container";
var _d=document.createElement("div");
_d.className="cropper";
var _e=document.createElement("img");
_e.src="images/photo_default.png";
_d.appendChild(_e);
_c.appendChild(_d);
return {container:_c,cropper:_d};
};
Photos.prototype.onPhotosReceived=function(){
this.clearPhotosContainer();
this.pager.setItemCount(PhotosList.size());
this.setupPagination();
this.layoutPhotos(this.getCurrentPagePhotos());
};
Photos.prototype.setupPagination=function(){
var _f=$("photos_pagination_table");
var _10=this.pager.getPageCount();
if(_10>1){
var _11=this.pager.getCurrentPage();
this.prevButton.show(this.pager.hasPrevPage());
this.nextButton.show(this.pager.hasNextPage());
var _12=FBUtils.formatString(lbl_pagination_state,_11,_10);
$("photos_page_text").innerHTML=_12;
_f.show(true);
}else{
_f.show(false);
}
};
Photos.prototype.nextPage=function(){
this.pager.nextPage();
this.setupPagination();
this.clearPhotosContainer();
this.setScrollerPos(0);
this.layoutPhotos(this.getCurrentPagePhotos());
};
Photos.prototype.prevPage=function(){
this.pager.prevPage();
this.setupPagination();
this.clearPhotosContainer();
this.setScrollerPos(0);
this.layoutPhotos(this.getCurrentPagePhotos());
};
Photos.prototype.getCurrentPagePhotos=function(){
return PhotosList.getPhotosForPage(this.pager.offset,this.pager.offset+this.pager.itemsPerPage);
};
Photos.prototype.layoutPhotos=function(_13){
var _14=this;
var _15=null;
for(var i=0;i<_13.length;++i){
var _17=_13[i];
var _18=this.createPhoto(_17);
this.photosContainer.appendChild(_18.container);
this.imageLoader.addImage({container:_18.cropper,src:_17.src});
_15=this.add(_18.container,_15);
_15.pid=_17.pid;
_15.src_big=_17.src_big;
_15.caption=_17.caption;
this.setupCallback(_15,i+this.pager.offset);
}
var _19=document.createElement("div");
_19.className="clear";
this.photosContainer.appendChild(_19);
this.imageLoader.load();
};
Photos.prototype.setupCallback=function(_1a,_1b){
var _1c=this;
_1a.onclicked=function(){
_1c.onImageClicked(_1b);
};
};
Photos.prototype.onErrorReceived=function(msg){
alert(alert_error_getting_photos+": "+msg);
};
Photos.prototype.onImageClicked=function(_1e){
var _1f=this.parent.get("photo_view");
_1f.display(_1e);
};
Photos.prototype.move=function(_20,_21){
if((_20==Photos.NEXT)&&this.activeItem.down){
this.activate(this.activeItem.down);
}else{
if((_20==Photos.PREV)&&this.activeItem.up){
this.activate(this.activeItem.up);
}
}
if(_20==Photos.NEXT){
this.onImageClicked(_21.index+1);
}else{
this.onImageClicked(_21.index-1);
}
};
Photos.prototype.onCameraClicked=function(){
var _22=this;
photoSourcePopup.show(function(_23){
_22.onPhotoPopupClosed(_23);
});
};
Photos.prototype.onPhotoPopupClosed=function(_24){
if(_24==PhotoSrcPopup.TAKE_PHOTO){
this.setIgnoreBack();
CameraApp.takePhoto(this.id);
}else{
if(_24==PhotoSrcPopup.GALLERY){
CameraApp.chooseFromGallery();
}
}
};
Photos.prototype.clearPhotosContainer=function(){
this.imageLoader.cancel();
this.photosContainer.removeChildren();
this.loader.show(false);
};
Photos.prototype.clearScreen=function(){
this.photosTitle.innerHTML="";
this.clearPhotosContainer();
this.clear(false);
var _25=this;
this.btnCamera=this.add("photos_camera_button");
this.btnCamera.onclicked=function(){
_25.onCameraClicked();
};
};
Photos.NEXT=0;
Photos.PREV=1;
Photos.log=Logger.getLogger("Photos");
