function Pokes(){
Pokes.baseConstructor.call(this,"pokes","content");
var _1=this;
this.pokesList=$("pokes_list");
this.loader=new SimpleLoader($("pokes_list_loader"),$("pokes_list_loader_text"));
this.loader.setText(pr_loading);
this.fbManager=new AsyncJob(new FacebookBroker());
};
Helper.extend(Pokes,FormWithBack);
Pokes.prototype.reset=function(){
this.clearScreen();
this.fbManager.setForceUpdate();
};
Pokes.prototype.onActivated=function(){
Pokes.base.onActivated.call(this);
this.injectBackButton(function(){
this.parent.activate("home");
});
};
Pokes.prototype.display=function(_2){
this.parent.activate(this.id);
this.clearScreen();
var _3=this;
PokeManager.onSuccess=function(_4){
_3.onGetPokesSuccessful(_4);
};
PokeManager.onError=function(_5){
_3.onGetPokesError(_5);
};
PokeManager.get(this.loader);
};
Pokes.prototype.onGetPokesSuccessful=function(_6){
var _7=null;
var _8=this;
for(var i=0;i<_6.length;++i){
var _a=_6[i];
var _b=this.createRow(_a);
if(i==_6.length-1){
_b.li.className+="last";
}
this.pokesList.appendChild(_b.li);
_7=this.add(_b.li,_7);
_7.uid=_a.uid;
_7.onclicked=function(){
_8.onRowClicked();
};
var _c=this.add(_b.poke);
_c.row=_b.li;
_c.uid=_a.uid;
_c.name=_a.name;
_c.div=_b.div;
_c.onclicked=function(){
_8.onPokeBackClicked();
};
var _d=this.add(_b.remove);
_d.row=_b.li;
_d.uid=_a.uid;
_d.name=_a.name;
_d.div=_b.div;
_d.onclicked=function(){
_8.onRemoveClicked();
};
}
};
Pokes.prototype.onGetPokesError=function(_e){
alert(alert_poke_getting_pokes_error+": "+_e);
};
Pokes.prototype.createRow=function(_f){
var li=document.createElement("li");
var div=document.createElement("div");
div.className="cell";
var h1=$(document.createElement("h1"));
h1.setText(_f.name);
div.appendChild(h1);
var _13=this;
var p=document.createElement("p");
var _15=document.createElement("a");
_15.href="#";
_15.className="button button_wide";
_15.innerHTML=btn_pokes_poke_back;
p.appendChild(_15);
var _16=document.createElement("a");
_16.href="#";
_16.className="button button_gray";
_16.innerHTML=btn_pokes_remove;
p.appendChild(_16);
div.appendChild(p);
li.appendChild(div);
div.className+=" last";
return {li:li,poke:_15,remove:_16,div:p};
};
Pokes.prototype.onPokeBackClicked=function(){
var _17=this;
var _18=this.activeItem;
PokeManager.onSuccess=function(_19){
_17.onPokeBackSuccess(_19,_18.name,_18.div,Pokes.POKE_BACK);
};
PokeManager.onError=function(msg){
_17.onPokeBackError(msg);
};
PokeManager.poke(_18.uid,_18.name,_18.name);
};
Pokes.prototype.onRemoveClicked=function(){
var _1b=this;
var _1c=this.activeItem;
PokeManager.onSuccess=function(_1d){
_1b.onPokeBackSuccess(_1d,_1c.name,_1c.div,Pokes.POKE_IGNORE);
},PokeManager.onError=function(msg){
_1b.onPokeBackError(msg);
};
PokeManager.hide(_1c.uid,_1c.name);
};
Pokes.prototype.onPokeBackSuccess=function(_1f,_20,div,_22){
if(_1f){
if(_22==Pokes.POKE_BACK){
div.innerHTML=FBUtils.formatString(lbl_pokes_info_who_you_poke,_20);
}else{
this.pokesList.removeChild(this.activeItem.row);
if(this.pokesList.childNodes.length==0){
this.parent.activate("home");
}
}
}else{
this.onAcceptError(alert_poke_poke_back_error);
}
};
Pokes.prototype.onPokeBackError=function(_23){
alert(alert_poke_poke_back_error+": "+_23);
};
Pokes.prototype.onRowClicked=function(){
var uid=this.activeItem.uid;
var _25=this;
facebook.isFriend({uid:uid,onSuccess:function(_26){
if(_26){
_25.parent.get("user").display(uid);
}else{
_25.parent.get("user_not_visible").display(uid);
}
},onError:function(err){
_25.onRowError(err);
}});
};
Pokes.prototype.onRowError=function(_28){
alert(alert_error_display_page+": "+_28);
};
Pokes.prototype.clearScreen=function(){
this.pokesList.removeChildren();
this.loader.show(false);
this.clear(false);
};
Pokes.POKE_BACK=0;
Pokes.POKE_IGNORE=1;
