function UserInfo(){
UserInfo.baseConstructor.call(this,"user_profile_info");
var _1=this;
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onSuccess=function(_2){
_1.onUserInfoReceived(_2);
};
this.fbManager.onError=function(_3){
_1.onUserInfoError(_3);
};
this.loader=new SimpleLoader($("user_profile_loader"),$("user_loader_text"));
this.loader.setText(pr_loading);
this.uid=0;
};
Helper.extend(UserInfo,Container);
UserInfo.prototype.reset=function(){
this.uid=0;
this.clearScreen();
this.fbManager.setForceUpdate();
};
UserInfo.prototype.refresh=function(_4){
if(_4){
this.clearScreen();
this.fbManager.setForceUpdate();
}
var _5=[{method:"users.getInfo",uids:this.uid,fields:FacebookManager.PARAMS_USER_INFO},{method:"users.getContactInfo",uids:this.uid,}];
var _6=this;
this.fbManager.startAsync(_5,this.loader,_4);
};
UserInfo.prototype.display=function(_7){
this.parent.activate(this.id);
var _8=this.uid!=_7;
this.uid=_7||FacebookManager.getSessionUid();
this.refresh(_8);
};
UserInfo.prototype.setUserId=function(_9){
if(this.uid!=_9){
this.markDirty(true);
}
this.uid=_9;
};
UserInfo.prototype.onActivated=function(){
UserInfo.base.onActivated.call(this);
};
UserInfo.prototype.uppercaseFirstLetter=function(_a){
return _a.substring(0,1).toUpperCase()+_a.substring(1);
};
UserInfo.prototype.createRow=function(_b,_c){
if(_c==null||_c==""||_c.nodeValue==""){
return null;
}
var _d=_c;
if(typeof _c=="string"){
_d=$(document.createElement("div"));
_d.setText(this.uppercaseFirstLetter(_c));
}
var li=document.createElement("li");
var _f=document.createElement("div");
_f.className="cell data_label";
_f.innerHTML=_b;
li.appendChild(_f);
_f=$(document.createElement("div"));
if(typeof _c=="string"){
_f.setText(_c);
}else{
_f.appendChild(_c);
}
_f.className="cell data_label_value";
li.appendChild(_f);
return li;
};
UserInfo.prototype.formatItems=function(_10,_11){
if(_10==null){
return null;
}
var _12=document.createElement("span");
for(var i=0;i<_10.length;++i){
if((_10[i]==null)||(_10[i].length==0)){
continue;
}
if(i!=0){
if(_11===UserInfo.SEPARATOR_BREAK){
_12.appendChild(document.createElement("br"));
}else{
_12.appendChild(document.createTextNode(_11));
}
}
if(typeof _10[i]=="string"){
_12.appendChild(document.createTextNode(this.uppercaseFirstLetter(_10[i])));
}else{
_12.appendChild(_10[i]);
}
}
if(!_12.childNodes||_12.childNodes.length<1){
_12=null;
}
return _12;
};
UserInfo.prototype.formatDateAsString=function(_14,_15){
var _16=null;
if((_14=="0000-00")&&(_15=="0000-00")){
return null;
}
if((_14!="0000-00")&&(_14!="")){
var _17=_14.split("-");
var _18=new Date();
_18.setFullYear(parseInt(_17[0]),parseInt(_17[1]),0);
if(_15==""){
_16=dateFormat(_18,"mmmm yyyy\" - Present\"");
}else{
if(_15=="0000-00"){
_16=dateFormat(_18,"\"In\" mmmm yyyy");
}
}
}
return _16;
};
UserInfo.prototype.onUserInfoReceived=function(_19){
this.clearScreen();
var _1a=_19[0][0];
var _1b=_19[1][0];
var ul=FBUtils.createTableElement("no_arrow");
this.validateAndApendChild(ul,this.createRow(lbl_user_info_sex+":",_1a.sex));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_birthday+":",_1a.birthday));
if(_1a.hometown_location){
this.validateAndApendChild(ul,this.createRow(lbl_user_info_hometown+":",this.formatItems([_1a.hometown_location.city,_1a.hometown_location.state,_1a.hometown_location.country],", ")));
}
if(_1a.significant_other_id&&_1a.significant_other_id.length){
var _1d="";
var _1e=document.createElement("span");
$(_1e).setText(FBUtils.formatString(txt_userinfo_user_in_relationship,_1a.relationship_status,_1d));
var row=this.createRow(lbl_user_info_relationship+":",_1e);
var _20={uids:[_1a.significant_other_id],onSuccess:function(_21){
if(_21&&_21.length){
var _22=_21[0].name||"";
$(_1e).setText(FBUtils.formatString(txt_userinfo_user_in_relationship,_1a.relationship_status,_22));
}
},onError:function(){
}};
facebook.getFriendInfo(_20);
this.validateAndApendChild(ul,row);
}else{
this.validateAndApendChild(ul,this.createRow(lbl_user_info_relationship+":",_1a.relationship_status));
}
this.validateAndApendChild(ul,this.createRow(lbl_user_info_interested_in+":",this.formatItems(_1a.meeting_sex,UserInfo.SEPARATOR_BREAK)));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_looking_for+":",this.formatItems(_1a.meeting_for,UserInfo.SEPARATOR_BREAK)));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_political_views+":",_1a.political));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_religious_views+":",_1a.religion));
FBUtils.setStyleForLastRow(ul);
if(ul.childNodes.length>0){
$(this.id).appendChild(FBUtils.createTitleElement(lbl_user_info_basic_info));
$(this.id).appendChild(ul);
}
ul=FBUtils.createTableElement("no_arrow");
this.validateAndApendChild(ul,this.createRow(lbl_user_info_activities+":",_1a.activities));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_interests+":",_1a.interests));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_favorite_music+":",_1a.music));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_favorite_tv_shows+":",_1a.tv));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_favorite_movies+":",_1a.movies));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_favorite_books+":",_1a.books));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_favorite_questions+":",_1a.quotes));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_about_me+":",_1a.about_me));
FBUtils.setStyleForLastRow(ul);
if(ul.childNodes.length>0){
$(this.id).appendChild(FBUtils.createTitleElement(lbl_user_info_personal));
$(this.id).appendChild(ul);
}
ul=FBUtils.createTableElement("no_arrow");
this.validateAndApendChild(ul,this.createRow(lbl_user_info_email+":",_1b.email));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_mobile+":",_1b.cell));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_other+":",_1b.phone));
var _23=$(document.createElement("span"));
if(_1b.address){
_23.setText((_1b.address)?_1b.address:"");
_23.appendChild(document.createElement("br"));
}
if(_1b.city){
_23.appendChild(document.createTextNode(_1b.city+" "));
}
if(_1b.zip){
_23.appendChild(document.createTextNode(_1b.zip));
}
if(_23.childNodes.length>0){
this.validateAndApendChild(ul,this.createRow(lbl_user_info_current_address+":",_23));
}
FBUtils.setStyleForLastRow(ul);
if(ul.childNodes.length>0){
$(this.id).appendChild(FBUtils.createTitleElement(lbl_user_info_contact));
$(this.id).appendChild(ul);
}
ul=FBUtils.createTableElement("no_arrow");
if(_1a.education_history){
for(var i=0;i<_1a.education_history.length;++i){
var _25=_1a.education_history[i];
var _26=$(document.createElement("span"));
_26.setText(_25.name);
if(_25.degree){
_26.appendChild(document.createElement("br"));
_26.appendChild(document.createTextNode(_25.degree));
}
this.validateAndApendChild(ul,this.createRow(lbl_user_info_college,this.formatItems([_26,this.formatItems(_25.concentrations,",")],", ")));
}
}
if(_1a.work_history){
for(var i=0;i<_1a.work_history.length;++i){
var _27=_1a.work_history[i];
this.validateAndApendChild(ul,this.createRow(lbl_user_info_employer+":",_27.company_name));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_position+":",_27.position));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_time_period+":",this.formatDateAsString(_27.start_date,_27.end_date)));
this.validateAndApendChild(ul,this.createRow(lbl_user_info_location+":",this.formatItems([_27.location.city,_27.location.state,_27.location.country],", ")));
this.validateAndApendChild(ul,this.createRow(lbl_user_userinfo_description,_27.description));
}
}
FBUtils.setStyleForLastRow(ul);
if(ul.childNodes.length>0){
$(this.id).appendChild(FBUtils.createTitleElement(lbl_user_info_education));
$(this.id).appendChild(ul);
}
$(this.id).appendChild(document.createElement("br"));
};
UserInfo.prototype.validateAndApendChild=function(_28,_29){
if(_29!=null){
_28.appendChild(_29);
}
};
UserInfo.prototype.onUserInfoError=function(msg){
this.clearScreen();
alert(alert_error_getting_user_info+": "+msg);
};
UserInfo.prototype.clearScreen=function(){
var _2b=$(this.id);
_2b.removeChildren();
this.loader.show(false);
};
UserInfo.log=Logger.getLogger("UserInfo");
UserInfo.SEPARATOR_BREAK="<br>";
