function UserNotVisible(){
UserNotVisible.baseConstructor.call(this,"user_not_visible","content");
var _1=this;
this.uid=0;
this.name="";
this.friendRequestSent=false;
this.btnAddAsFriend=this.add("not_visible_add_as_friend");
this.btnAddAsFriend.onclicked=function(){
_1.onAddAsFriendClicked();
};
this.btnSendMessage=this.add("not_visible_send_message_button");
this.btnSendMessage.onclicked=function(){
_1.onMessageSendClicked();
};
this.fbManager=new AsyncJob(new FacebookBroker());
this.fbManager.onError=function(_2,_3){
_1.onRequestError(_2,_3);
};
};
Helper.extend(UserNotVisible,FormWithBack);
UserNotVisible.prototype.reset=function(){
this.clearScreen();
this.uid=0;
this.fbManager.setForceUpdate();
};
UserNotVisible.prototype.clearScreen=function(){
$("user_not_visible_photo").src="images/profile_default.png";
$("user_not_visible_message").innerHTML="";
$("user_not_visible_name").innerHTML="";
this.friendRequestSent=false;
};
UserNotVisible.prototype.onMessageSendClicked=function(){
var _4=uiManager.get("compose");
_4.display({name:this.name,uid:this.uid},true);
};
UserNotVisible.prototype._enableAddAsFriendButton=function(){
if(this.friendRequestSent){
this.btnAddAsFriend.element.show(false);
}else{
this.btnAddAsFriend.element.show(true);
}
};
UserNotVisible.prototype.onAddAsFriendClicked=function(){
var _5=this;
var _6=(this.firstName?this.firstName:this.name);
var _7=new YesNoPopup();
_7.setContent(FBUtils.formatString(txt_add_as_friiend_question,_6),FBUtils.formatString(msg_added_as_friend_info,_6),[{caption:btn_usernotvisible_add_as_friend,value:0,type:YesNoPopup.BUTTON_HIGH},{caption:btn_updatestatus_cancel,value:1,type:YesNoPopup.BUTTON_HIGH,color:YesNoPopup.COLOR_LIGHT}]);
_7.show(function(_8){
if(_8===0){
var _9={method:"friends.add",uid:_5.uid,};
_5.fbManager.onSuccess=function(_a){
_5.onAddFriendSuccess(_a);
};
_5.fbManager.startAsync(_9,new LoadingPopup(pr_sending_request),true);
}
});
};
UserNotVisible.prototype.onAddFriendSuccess=function(_b){
this.friendRequestSent=true;
this.btnAddAsFriend.element.show(false);
var _c=(this.firstName?this.firstName:this.name);
var _d=txt_add_as_friend_sex_they;
if(this.sex=="male"){
_d=txt_add_as_friend_sex_he;
}else{
if(this.sex=="female"){
_d=txt_add_as_friend_sex_she;
}
}
var _e=new YesNoPopup();
_e.setContent(msg_add_as_friend_sent_request,FBUtils.formatString(msg_add_as_friend_info,_c,_d),[{caption:btn_popup_okay,value:0,type:YesNoPopup.BUTTON_HIGH}]);
_e.show();
};
UserNotVisible.prototype.display=function(_f){
this.parent.activate(this.id);
if(this.uid===_f){
return;
}
this.clearScreen();
this.uid=_f;
this._enableAddAsFriendButton();
this.name="";
var _10=this;
var _11={method:"users.getInfo",uids:this.uid,fields:["first_name","name","sex","pic"]};
this.fbManager.onSuccess=function(_12){
_10.onUserDataReceived(_12);
};
this.fbManager.startAsync(_11,new LoadingPopup(pr_loading),true);
};
UserNotVisible.prototype.onActivated=function(){
this._enableAddAsFriendButton();
this.injectBackButton(this.onBackSoftMenu);
UserNotVisible.base.onActivated.call(this);
};
UserNotVisible.prototype.onDeactivated=function(){
UserNotVisible.base.onDeactivated.call(this);
};
UserNotVisible.prototype.onUserDataReceived=function(_13){
_13=_13[0];
this.firstName=_13.first_name;
this.name=_13.name;
$("user_not_visible_name").setText(this.name);
var img="images/profile_default.png";
if(_13.pic&&_13.pic.length){
img=_13.pic;
}
$("user_not_visible_photo").src=img;
this.sex=_13.sex;
var _15=txt_usernotvisible_sex_their;
if(this.sex=="male"){
_15=txt_usernotvisible_sex_his;
}
if(this.sex=="female"){
_15=txt_usernotvisible_sex_her;
}
$("user_not_visible_message").setText(FBUtils.formatString(lbl_usernotvisible_main_text,this.name,_15));
};
UserNotVisible.prototype.onRequestError=function(msg){
alert(msg);
};
