var uiManager;
var photoSourcePopup;
var updateStatusPopup;
var photoUploadPopup;
var writeOnWallPopup;
var photoUploadPreview;
var blank;
var updateListener;
var landscape=false;
var lastActiveScreenId=null;
var widgetInitialized=false;
function init(){
window.onresize=onResize;
preloadImages();
APIBridge.enableSecureSession();
updateLabels();
widget.setNavigationEnabled(false);
menu.hideSoftkeys();
photoSourcePopup=new PhotoSrcPopup();
updateStatusPopup=new UpdateStatusPopup();
photoUploadPopup=new PhotoUploadAlbumPopup();
writeOnWallPopup=new WriteOnWallPopup();
initUIManager();
widgetInitialized=true;
onResize();
updateListener=new UpdateListener();
};
function initUIManager(){
if(uiManager){
return;
}
uiManager=new UIManager();
uiManager.add(new Login());
uiManager.add(new Home());
uiManager.add(new User());
uiManager.add(new Friends());
uiManager.add(new Photos());
uiManager.add(new DevicePhotos());
uiManager.add(new PhotoView());
uiManager.add(new PhotoAlbums());
photoUploadPreview=new PhotoUploadPreview();
uiManager.add(photoUploadPreview);
uiManager.add(new Inbox());
uiManager.add(new ConversationView());
uiManager.add(new ComposeMessageView());
uiManager.add(new CommentsView());
uiManager.add(new UserNotVisible());
uiManager.add(new Pokes());
uiManager.add(new FriendRequests());
uiManager.add(new Event());
uiManager.add(new About());
Events($("title_about_btn")).setAction(function(){
uiManager.activate("about");
});
uiManager.add(new Blank());
uiManager.add(new MiniView());
uiManager.setMenu(new Menu());
uiManager.showMenu(false);
};
var MINI_VIEW_TRESHOLD=150;
var ViewMode={MiniView:1,NormalView:2};
var viewMode=null;
function isMiniViewMode(){
return (window.innerHeight<MINI_VIEW_TRESHOLD);
};
function setViewMode(){
function showView(_1){
$("container").show(!_1);
$("mini_view").show(_1);
};
if(isMiniViewMode()){
if(viewMode!=ViewMode.MiniView){
Logger.getRootLogger().info("MiniView mode detected!");
$("static_loading_screen").show(false);
showView(true);
if(uiManager.activePage){
lastActiveScreenId=uiManager.activePage.id;
}
uiManager.activate("mini_view");
viewMode=ViewMode.MiniView;
}
}else{
if(viewMode!=ViewMode.NormalView){
showView(false);
if(!FacebookManager.getSessionUid()&&(widget.preferenceForKey(Login.SUCESS_LOGIN_PREF_KEY)=="true")){
Login.auto_login();
}else{
if(!lastActiveScreenId){
lastActiveScreenId=(FacebookManager.getSessionUid())?"home":"login";
}
uiManager.activate(lastActiveScreenId);
if(uiManager.activePage&&uiManager.activePage.refresh){
uiManager.activePage.refresh(true);
}
$("static_loading_screen").show(false);
}
viewMode=ViewMode.NormalView;
}
}
};
function showing(){
};
function onResize(){
if(!widgetInitialized){
return;
}
setViewMode();
if(isMiniViewMode()){
onMiniViewResize();
}else{
onNormalViewResize();
}
};
function onMiniViewResize(){
};
function isLandscape(){
var _2=screen.height;
var _3=screen.width;
return (_2<_3);
};
var MENU_WIDTH=90;
var MENU_HEIGHT=75;
var SCROLLBAR_WIDTH=4;
var TAB_PAGINATION_BUTTON_WIDTH=16;
var TAB_PAGINATION_WIDTH=(2*TAB_PAGINATION_BUTTON_WIDTH)+SCROLLBAR_WIDTH;
function onNormalViewResize(){
var _4=$("container");
var _5=$("content");
var _6=$("buttons_bottom");
var _7=$("title");
var _8=$("inbox_mail");
var _9=$("photos_container");
var _a=screen.height;
var _b=screen.width;
landscape=(_a<_b);
_4.style.height=_a;
_4.style.width=_b;
var _c=false,_d=false,_e=false,_f=true;
if(uiManager&&uiManager.activePage&&uiManager.activePage.id){
_d=uiManager.activePage.id=="photo_view";
_e=uiManager.activePage.id=="photo_upload";
_c=uiManager.activePage.id=="login";
}
if(uiManager&&uiManager.activePage){
_f=!uiManager.activePage;
}
var _10="";
if(_c||_d||_e||_f){
_10="hidden";
}
var _11=_a;
var _12=_b;
if(landscape){
_6.className="buttons_right "+_10;
_6.style.height=_a;
_6.style.width=MENU_WIDTH+"px";
_8.setClassName("landscape");
_9.setClassName("landscape",true);
_11=_a-_7.offsetHeight;
_12=_4.clientWidth-MENU_WIDTH;
if(_10&&_10.length>0&&!_d&&!_e){
_7.style.width="100%";
}else{
_7.style.width=(_4.clientWidth-MENU_WIDTH)+"px";
}
}else{
_6.className="buttons_bottom "+_10;
_6.style.height=MENU_HEIGHT+"px";
_6.style.width="100%";
_8.setClassName("landscape",false);
_9.setClassName("landscape",false);
_11=_4.clientHeight-MENU_HEIGHT-_7.offsetHeight;
_12=_b;
_7.style.width="100%";
}
_5.style.height=_11;
_5.style.width=_12;
if(_c){
_7.style.width="100%";
_5.style.width="100%";
}
var _13=$("home_tabs_positioner");
_13.style.width=_12-SCROLLBAR_WIDTH;
var tab=$("home_tabs");
tab.style.width=_12-TAB_PAGINATION_WIDTH;
_13=$("user_tabs_positioner");
_13.style.width=_12-SCROLLBAR_WIDTH;
tab=$("user_tabs");
tab.style.width=_12-TAB_PAGINATION_WIDTH;
_13=$("friends_tabs_positioner");
_13.style.width=_12-SCROLLBAR_WIDTH;
tab=$("friends_tabs");
tab.style.width=_12-TAB_PAGINATION_WIDTH;
_13=$("inbox_tabs_positioner");
_13.style.width=_12-SCROLLBAR_WIDTH;
tab=$("inbox_tabs");
tab.style.width=_12-TAB_PAGINATION_WIDTH;
var _15=_b;
var _16=_a;
if(!landscape){
_15=_b;
_16=_a-107;
}else{
_15=_b-90;
_16=_a;
}
};
var ImagePreloader={list:[],images:[],add:function(_17){
this.list=this.list.concat(_17);
},start:function(){
for(var i=0;i<this.list.length;i++){
var img=new Image();
img.src=this.list[i];
this.images.push(img);
}
this.list=[];
}};
function preloadImages(){
ImagePreloader.add(["images/button.png","images/button_big.png","images/button_big_light.png","images/button_big_pressed.png","images/button_friends.png","images/button_gray.png","images/button_gray_middle.png","images/button_gray_middle_pressed.png","images/button_gray_pressed.png","images/button_gray_wide.png","images/button_gray_wide_pressed.png","images/button_home.png","images/button_inbox_empty.png","images/button_light_wide.png","images/button_middle.png","images/button_middle_pressed.png","images/button_wide.png","images/button_wide_disabled.png","images/button_mv1.png","images/button_mv2.png"]);
ImagePreloader.add(["images/button_narrow.png","images/button_narrow_pressed.png","images/button_photos.png","images/button_plus.png","images/button_plus_pressed.png","images/button_pressed.png","images/button_red_pressed.png","images/button_wide_lightblue.png","images/button_wide_toggle.png","images/button_user.png","images/button_x.png","images/button_x_pressed.png"]);
ImagePreloader.add(["images/arrow.png","images/arrow_l.png","images/arrow_l_pressed.png","images/arrow_pressed.png","images/arrow_pulldown.png","images/arrow_pulldown_pressed.png","images/border_bottom_left.png","images/border_bottom_right.png","images/border_straight.png","images/border_top_left.png","images/border_top_right.png","images/miniview_corner.png","images/miniview_fb_logo.png","images/mv_rounded_corner.png","images/bottom_separator.png","images/buttons_bg.png","images/control_panel_arrow_left.png","images/control_panel_arrow_right.png","images/control_panel_mail.png","images/control_panel_phone.png","images/control_panel_photos.png","images/control_panel_poke.png","images/control_panel_friend.png","images/control_panel_status.png","images/control_panel_wall.png"]);
ImagePreloader.add(["images/curves.png","images/event_separator.png","images/facebook_title.png","images/top_bar_bg.png","images/friends_icon.png","images/friends_search_icon.png","images/update_status.png","images/update_status_pressed.png"]);
ImagePreloader.add(["images/icon_add_comment.png","images/icon_add_comment_pressed.png","images/icon_add_comment_s.png","images/icon_comments.png","images/icon_comments_pressed.png","images/icon_comments_s.png","images/icon_new_friend.png","images/icon_new_mail.png","images/icon_phone.png","images/icon_photo_camera.png","images/image_empty.png","images/image_error.png","images/image_error_88.png","images/image_title_bg.png","images/open_title.png","images/open_title_down.png","images/use_take_controls_bg.png"]);
ImagePreloader.add(["images/inbox_mail.png","images/landscape_buttons_bg.png","images/landscape_separator.png","images/notifications_x.png","images/pop_up_straight.png","images/profile_default.png","images/reload.png","images/shadow.png","images/table_pop_up_bg.png","images/tabs_header_bg.png","images/tab_arrow_left.png","images/tab_arrow_right.png","images/photo_albums_default.png","images/photo_view_arrow_left.png","images/photo_view_arrow_left_pressed.png","images/photo_view_arrow_right.png","images/photo_view_arrow_right_pressed.png","images/photo_view_bottom_bg.png","images/tag_x.png"]);
ImagePreloader.start();
};
function updateLabels(){
$("back").innerHTML=btn_back;
$("user_top_button_log_out").innerHTML=btn_logout;
$("photos_back").innerHTML=lbl_albumchoose_popup_album;
$("device_photos_back").innerHTML=btn_back;
$("inbox_back").innerHTML=btn_back;
$("login_exit_button").innerHTML=btn_exit;
$("home_exit_button").innerHTML=btn_exit;
$("user_top_button_exit").innerHTML=btn_exit;
$("friends_exit_button").innerHTML=btn_exit;
$("photos_exit_button").innerHTML=btn_exit;
$("inbox_exit_button").innerHTML=btn_exit;
$("static_loading_screen_text").innerHTML=lbl_startup_text;
$("login_email_label").innerHTML=lbl_login_email;
$("login_password_label").innerHTML=lbl_login_pass;
$("login_login_button").innerHTML=btn_login;
$("signup_or").innerHTML=txt_static_startup_or;
$("startup_text_vertical").innerHTML=lbl_startup_text;
$("signup_span_text").innerHTML=btn_static_startup_signup;
$("home_tab_news").innerHTML=tab_home_newsfeed;
$("home_tab_events").innerHTML=tab_home_events;
$("home_loader_text").innerHTML=pr_loading;
$("pokes_top_subtitle").innerHTML=btn_home_notifications_pokes;
$("event_table_info_title").innerHTML=lbl_event_table_event_info;
$("event_table_info_title_rsvp").innerHTML=lbl_event_table_your_rsvp;
$("event_description_attending").innerHTML=lbl_event_att;
$("event_description_maybe_attending").innerHTML=lbl_event_maybe_att;
$("event_description_not_attending").innerHTML=lbl_event_not_att;
$("event_description_add_event_info").innerHTML=lbl_event_click_to_add_to_calendar;
$("event_description_add_calendar").innerHTML=btn_event_add_to_calendar;
$("event_description_table_info").innerHTML=lbl_event_description;
$("event_description_description").innerHTML=lbl_event_description;
$("user_control_panel_message").innerHTML=lbl_compose_message;
$("user_control_panel_poke").innerHTML=btn_friend_poke;
$("user_control_panel_call").innerHTML=btn_friend_call;
$("user_tab_wall").innerHTML=tab_user_wall;
$("user_tab_info").innerHTML=tab_user_info;
$("user_tab_photos").innerHTML=tab_friend_photos;
$("user_write_on_wall_text").innerHTML=btn_friend_writeonwall;
$("user_loader_text").innerHTML=pr_loading;
$("control_panel_add_friend_text").innerHTML=btn_usernotvisible_add_as_friend;
$("control_panel_send_message_text").innerHTML=btn_usernotvisible_send_a_message;
$("friendsStatusTab").innerHTML=tab_friends_status;
$("friendsPhonebookTab").innerHTML=tab_friends_phoonebook;
$("friendsEveryOneTab").innerHTML=tab_friends_everyone;
$("friendsFindTab").innerHTML=tab_friends_label_find;
$("friendsPrevPage").innerHTML=btn_pagination_prev;
$("friendsNextPage").innerHTML=btn_pagination_next;
$("photos_prev_page").innerHTML=btn_pagination_prev;
$("photos_next_page").innerHTML=btn_pagination_next;
$("device_photos_top_subtitle_text").innerHTML=title_device_photos;
$("devicePhotosPrevPage").innerHTML=btn_pagination_prev;
$("devicePhotosNextPage").innerHTML=btn_pagination_next;
$("compose_top_subtitle_text").innerHTML=title_compose;
$("compose_label_to_text").innerHTML=lbl_compose_to+":";
$("compose_label_subject_text").innerHTML=lbl_compose_subject+":";
$("compose_label_message_text").innerHTML=lbl_compose_message+":";
$("btn_compose_send").innerHTML=btn_compose_send;
$("inbox_tab_inbox").innerHTML=tab_inbox_inbox;
$("inbox_tab_sent").innerHTML=tab_inbox_sent;
$("bottom_button_home").innerHTML=menu_home;
$("bottom_button_friends").innerHTML=menu_friends;
$("bottom_button_photos").innerHTML=menu_photos;
$("bottom_button_inbox_empty").innerHTML=menu_inbox;
$("photo_view_portrait_back").innerHTML=btn_photoview_back;
$("photo_view_portrait_tags").innerHTML=btn_photoview_tags;
$("photo_view_landscape_back").innerHTML=btn_photoview_back;
$("photo_view_landscape_tags").innerHTML=btn_photoview_tags;
$("photo_upload_cancel").innerHTML=btn_picupload_cancel;
$("popup_type_name_text").innerHTML=lbl_addtag_popup_type_any_name+":";
$("dialog_text").innerHTML=lbl_addtag_popup_choose_a_person;
$("photo_upload_friends_progress_text").innerHTML=pr_searching;
$("photo_upload_tag_add").innerHTML=btn_photoupload_addtag_add;
$("photo_upload_tag_cancel").innerHTML=btn_photoupload_addtag_cancel;
$("photo_upload_tap_message").innerHTML="* "+lbl_addtag_hint;
$("photo_upload_upload").innerHTML=btn_picupload_upload;
$("mini_view_loading_text").innerHTML=pr_loading;
$("mini_view_please_wait").innerHTML=pr_miniview_please_wait;
$("mini_view_start_text").innerHTML=lbl_startup_text;
$("mini_view_signin_text").innerHTML=lbl_miniview_signin;
$("mini_view_error_text").innerHTML=lbl_miniview_error;
$("mini_view_login_again_text").innerHTML=lbl_miniview_login_again;
$("mini_view_empty_text").innerHTML=lbl_miniview_no_stories;
$("mini_view_empty_info").innerHTML=lbl_miniview_tap_to_friends;
$("about_back").innerHTML=btn_back;
$("about_top_subtitle").innerHTML=lbl_about;
};
